Welcome to LimeSurvey v3.x!

Warranty: This program is provided "as is" without warranties of any kind, either expressed or implied,
including, but not limited to, the implied warranties of merchantability and fitness for a particular
purpose. The entire risk as to the quality and performance of the program is with you.
Should the program prove defective, you assume the cost of all necessary servicing, repair or correction.
In no event will any copyright holder be liable to you for damages, including any general, special,
incidental or consequential damages arising out of the use or inability to use the program
(including but not limited to loss of data or data being rendered inaccurate or losses sustained
by you or third parties or a failure of the program to operate with any other programs).


HOW TO INSTALL
---------------
This release does have the following requirements:

*MySQL 5.5.3 or later OR Microsoft SQL Server 2005 or later OR Postgres 8.1 or later
*PHP 5.5.9 or later with the following modules/libraries enabled:
    *mbstring (Multibyte String Functions) extension library
    *PDO database driver for MySQL (pdo_mysql or pdo_mysqli) or Postgres (pdo_pgsql) or MSSQL (pdo_sqlsrv for Windows and pdo_dblib for Linux)

If you are doing a complete new installation please refer to the manual at
https://manual.limesurvey.org/Installation

Please also have a look at the "Installation security hints" section of the online manual in order to secure your installation.


=== UPGRADING=====
We suggest to check out and hold close to the instructions, which can be found in our online manual:
https://manual.limesurvey.org/Upgrading_from_a_previous_version

Thank you to everyone who helped with this new release!


CHANGE LOG
------------------------------------------------------
Changes from 3.27.12 (build 210816) to 3.27.13 (build 210823) August 23, 2021
-Fixed issue: Fatal error when using unary operator on empty string (Carsten Schmitz)
-Fixed issue #16720:  Invalid question codes during lss import do not get replaced (#1994) (Gabriel Jenik)
-Fixed issue [security]: Disallow XML upload in survey resources (Mika Kulmala and Ville Kapanen at F-Secure) (Olle Haerstedt)
-Fixed issue #17519: LDAP not working when using URI with port (Carsten Schmitz)
-Fixed issue #17517: Doctype, title and other details seem to be filtered at email sending (Carsten Schmitz)
-Fixed issue #17515: Getting an error when changing the language on the data entry page (Carsten Schmitz)
-Fixed issue #17489: No question relevance field for array-by-column question type (#2014) (Gabriel Jenik)
#Updated translation: Turkish by kayazeren
#Updated translation: German by c_schmitz


Changes from 3.27.11 (build 210809) to 3.27.12 (build 210816) August 16, 2021
-Fixed issue: LTS branch shown as unstable in ComfortUpdate (Carsten Schmitz)
-Fixed issue: ComfortUpdate not working when one of the files to back up has 0 size (Carsten Schmitz)
-Fixed issue #17513: System information modal duplicates database server info (Carsten Schmitz)
-Fixed issue #17223: With mandatory attribute : lost all current value when create a token (#1942) (Gabriel Jenik)
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 3.27.10 (build 210803) to 3.27.11 (build 210809) August 9, 2021
-Fixed issue #17285: "Resume later" not working after "Load unfinished survey" (#1988) (Gabriel Jenik)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa


Changes from 3.27.9 (build 210726) to 3.27.10 (build 210803) August 3, 2021
-Fixed issue: [security] Resuming a survey may load wrong data (Carsten Schmitz)
-Fixed issue: Security issues found by Michael Mazzolini (Olle Haerstedt)
-Fixed issue #17432: Group randomization shuffles only questions from first group (Gabriel Jenik)
-Fixed issue #17432: Group randomization shuffles only questions from first group (#1987) (Gabriel Jenik)
-Fixed issue #17148: Publication & access control settings - Start Date / Expiry Date Picker inaccessible in resized browser window (#1984) (Gabriel Jenik)
-Fixed issue #17480: Unable to reload with token + persistence + allow edit (Denis Chenu)
-Fixed issue #17367: Survey policy error not show in vanilla (Denis Chenu)
-Fixed issue: Privacy was not shown in all in one survey (Denis Chenu)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni, Microchip
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj


Changes from 3.27.8 (build 210721) to 3.27.9 (build 210726) July 26, 2021
-Fixed issue #17470 [security]: Arbitrary file read in participant functionality (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17469 [security]: SQL injection in participants (editShareInfo) (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17468 [security]: SQL injection in survey data entries (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17467 [security]: SQL injection in survey data entries (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17471 [security]: Update PHPMailer to 6.5.0 (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17373: Misuse of progress bar (#1953) (Denis Chenu)


Changes from 3.27.7 (build 210713) to 3.27.8 (build 210721) July 21, 2021
-Fixed issue: Seperator showing in Chrome when clicking back (Gabriel Jenik)
-Fixed issue #17451: Upload file link after session expire leads to a message unclear to users (Denis Chenu)
-Fixed issue #17381: Missing evaluation of EM in CSS script field (#1946) (Gabriel Jenik)
-Fixed issue #17330: Ranking Question issue with mandatory setting (#1941) (Gabriel Jenik)


Changes from 3.27.6 (build 210629) to 3.27.7 (build 210713) July 12, 2021
+New feature: Delete response by id in remote API (#1932) (arnaudbore)
-Fixed issue #14726: LanguageSelector national language (Olle Haerstedt)
#Updated translation: Turkish by kayazeren
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj
#Updated translation: Azerbaijani by c_schmitz


Changes from 3.27.5 (build 210624) to 3.27.6 (build 210629) June 28, 2021
-Fixed issue [security] #17388: Stored XSS in quota management (Denis Chenu)
-Fixed issue #17394: Sharing a participant does not work in CPDB (Carsten Schmitz)
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Catalan by qualitatuvic


Changes from 3.27.4 (build 210622) to 3.27.5 (build 210624) June 24, 2021
-Fixed issue: [security] Resuming a survey may load wrong data (Carsten Schmitz)
#Updated translation: Yakut by c_schmitz
#Updated translation: Slovak by jelen1
#Updated translation: Sami by c_schmitz
#Updated translation: Mongolian by amidral
#Updated translation: Latvian (Informal) by anorkusa
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by datamunger, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Azerbaijani by c_schmitz


Changes from 3.27.3 (build 210615) to 3.27.4 (build 210622) June 21, 2021
-Fixed issue #17368: Failed Login Attempt locks out all users when behind nginx proxy (Olle Haerstedt)
-Fixed issue #17351: Also check that GD implement jpeg support (#1917) (Gabriel Jenik)
-Fixed issue #17038: templateurl placeholder not being replaced (#1924) (Gabriel Jenik)


Changes from 3.27.2 (build 210608) to 3.27.3 (build 210615) June 14, 2021
-Fixed issue #17347: 'Class Twig_Environment not found' when uploading an image (#1912) (Gabriel Jenik)
#Updated translation: Turkish by kayazeren
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 3.27.1 (build 210531) to 3.27.2 (build 210608) June 7, 2021
-Fixed issue: Database error when editing a quota and text is too long (Gabriel Jenik)
-Fixed issue #17298: queXML PDF Export: 500: Internal Server Error (#1902) (Adam Zammit)
-Fixed issue #17239: Unable to find template "./subviews/content/.twig" (with PHP8) (Gabriel Jenik)
-Fixed issue #14897: Edit theme permissions: option 'All themes' not working (#1903) (Gabriel Jenik)
-Fixed issue #14039: Captcha prevent panel integration. GET URL parameter not captured (#1896) (Gabriel Jenik)


Changes from 3.27.0 (build 210525) to 3.27.1 (build 210531) May 31, 2021
-Fixed issue #17306: Some update theme can break page in 3.26.4 (#1892) (Gabriel Jenik)


Changes from 3.26.5 (build 210519) to 3.27.0 (build 210525) May 25, 2021
+New feature #17301: Allow whitelisting IP addresses in global settings (#1889) (Gabriel Jenik)
+New feature #17301: Allow whitelisting IP addresses in global settings (#1889) (Carsten Schmitz)
-Fixed issue #17309: Date question always shows error when using AR language - can't proceed at survey (#1888) (Gabriel Jenik)
-Fixed issue #17270: Print statistics take a lot of page (#1880) (Denis Chenu)
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 3.26.4 (build 210517) to 3.26.5 (build 210519) May 19, 2021
-Fixed issue #17303: ZipArchive error when exporting theme and debug mode is active (Carsten Schmitz)
-Fixed issue #17250: Unable to upload image with extension in uppercase in Theme option (#1883) (Gabriel Jenik)
-Fixed issue #17301: Survey participants lock out issue (Gabriel Jenik)


Changes from 3.26.3 (build 210511) to 3.26.4 (build 210517) May 17, 2021
-Fixed issue #17291: Condition for multiple choice with comments question shows JS error (Olle Haerstedt)
-Fixed issue #17236: PHP 8 not supported (Carsten Schmitz)

Changes from 3.26.2 (build 210503) to 3.26.3 (build 210511) May 10, 2021
-Fixed issue: Assessment filter scope does not work for selection 'All' (Patricia Stelling)
-Fixed issue #17283: "Repeat answer options" option does not accept value 0 (Carsten Schmitz)


Changes from 3.26.1 (build 210427) to 3.26.2 (build 210503) May 3, 2021
-Fixed issue #17277: Quick-translation opens blank page (Olle Haerstedt)
-Fixed issue #16339: Plugin helper fullpagewrapper doesnt show content (#1858) (Gabriel Jenik)
-Fixed issue #15196: Passwords of participants who saved their survey progress are stored without salt (Patrick Teichmann)
#Updated translation: Uzbek by Iskandar_r
#Updated translation: Turkish by kayazeren, bulent
#Updated translation: Tajik by Iskandar_r


Changes from 3.26.0 (build 210419) to 3.26.1 (build 210427) April 26, 2021
-Fixed issue #15653: Dark Sky admin theme : Item texts hardly visible in hover (Jessica Höck)
-Fixed issue #17264: Validuntil and validfrom fields don't allow just date (without time) aynmore (Carsten Schmitz)
-Fixed issue #17235: Token additional attributes are blank after editing (#1846) (Gabriel Jenik)
-Fixed issue #17112: Uploading files at quick translation feature using integrated editor fails with permission error (Olle Haerstedt)
#Updated translation: Amharic by c_schmitz


Changes from 3.25.22 (build 210413) to 3.26.0 (build 210419) April 19, 2021
+New feature #16832: Add user group functions to LimeSurveyAPI (Olle Härstedt)
#Updated translation: Japanese by nomoto
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj


Changes from 3.25.21 (build 210407) to 3.25.22 (build 210413) April 12, 2021
-Fixed issue #17230: Inconsistent 'willRun' state of the survey when Start date is undefined (Carsten Schmitz)
-Fixed issue #17221: Check data integrity crash with SQL error when # is use in the name of field (Olle Haerstedt)
-Fixed issue #17204: {GROUPNAME} and other variables not rendered (#1838) (Gabriel Jenik)
-Fixed issue #17195: When attaching PDF to email invitation, full path is kept as value of a hidden input (#1836) (Gabriel Jenik)
-Fixed issue #15712: When doing error in token create : unable to submit, need to reload page (#1839) (Gabriel Jenik)
-Fixed issue # 17207: When attaching using the theme editor, full path is displayed on the screen (#1840) (Gabriel Jenik)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Czech by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 3.25.20 (build 210330) to 3.25.21 (build 210407) April 6, 2021
-Fixed issue: Cannot change page in survey list (Carsten Schmitz)
-Fixed issue #17219: Filter on numeric fields in response view does not work on Postgres (Carsten Schmitz)
-Fixed issue #17208: avoid column name must be either a string or an array during survey taking (#1825) (Denis Chenu)
-Fixed issue #16480: Empty/invalid brand/background logo causes loops on the welcome page (Carsten Schmitz)
-Fixed issue #16414: Question editor is not loaded when config.xml attribute has empty string as default (#1829) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by myliserta, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Greek by george01
#Updated translation: German by mariomaurer, c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by slansky, jelen1
#Updated translation: Czech by c_schmitz, jelen1
#Updated translation: Czech (Informal) by slansky, jelen1


Changes from 3.25.19 (build 210323) to 3.25.20 (build 210330) March 29, 2021
-Fixed issue: Wrong port and TLS description in bounce email/smtp settings (#1807) (Vilius Šumskas)
-Fixed issue: RemoteControl add_participants did not return anything (arnaudbore)
-Fixed issue: RemoteControl add_participants did not return anything (Carsten Schmitz)
-Fixed issue: Debug mode not working in RemoteControl (arnaudbore)
-Fixed issue : Unable to upload heic or heiv files (and other) (#1421) (Denis Chenu)
-Fixed issue #17210: Invalid TSV : OK on mysql/pgsql, broken on MSSQL (#1826) (Denis Chenu)
-Fixed issue #17190: Update Theme Permission Language (#1812) (Gabriel Jenik)
-Fixed issue #16871: When displaying assessment messages, empty lines are being displayed (#1817) (Gabriel Jenik)
-Fixed issue #16870: When saving, an empty rule is being added (#1820) (Gabriel Jenik)
-Fixed issue #15671: Questiontheme Imageselect missing translation (#1819) (Gabriel Jenik)
-Fixed issue #15642: Checking data integrity erroneously modifies column names in result tables (Carsten Schmitz)
#Updated translation: Spanish (Chile) by eskorbutin
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Arabic by KLAwareness


Changes from 3.25.18 (build 210316) to 3.25.19 (build 210323) March 22, 2021
-Fixed issue: Notice when listing CPDB participants (Carsten Schmitz)
-Fixed issue: Error spam when saving invalid question code in a survey with multiple languages (Carsten Schmitz)
-Fixed issue: Display issue in question group bar when deletion button is deactivated (Carsten Schmitz)
-Fixed issue #17193: Auto-mapped participant attributes are not copied to CPDB (Carsten Schmitz)
-Fixed issue #17189: Wrong field size in SPSS syntax export (Carsten Schmitz)
-Fixed issue #17181: User group deletion not working (Carsten Schmitz)
-Fixed issue #14777: For "Numerical input" question type sometimes the first number is erased when beginning to type (Carsten Schmitz)
-Fixed issue #14738: Percentages are not correct for  multiple choice questions if a date filter is set (Carsten Schmitz)


Changes from 3.25.17 (build 210309) to 3.25.18 (build 210316) March 15, 2021
-Fixed issue: Mass emailing using SMTP unnecessary slow due to reconnect on every email being sent out (Gabriel Jenik)
-Fixed issue: Grammar Correction - Array Dual Scale Question Type (Jessica Höck)
-Fixed issue #16902: publicurl disable attchments (#1707) (Gabriel Jenik)
-Fixed issue #15141: Limesurvey uses an out-of-date version of bootstrap.min.js that has security vulnerabilities (#1798) (Gabriel Jenik)
#Updated translation: Turkish by bulent
#Updated translation: Slovak by jelen1
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by ritapas
#Updated translation: Czech by c_schmitz, jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic
#Updated translation: Basque by zatarain


Changes from 3.25.16 (build 210302) to 3.25.17 (build 210309) March 8, 2021
-Fixed issue: Password is not sent in 'Resume later' email anymore for security reasons (Carsten Schmitz)
-Fixed issue: Default survey group can be deleted (Carsten Schmitz)
-Fixed issue #17149: UserGroup hasUser() return true for superadmin (#1789) (Dan)
-Fixed issue #16723: SPSS data export does not include any delimiters after lastpage field (Carsten Schmitz)
-Fixed issue #16604: Adding condition triggers bulk update for complete database (#1788) (Gabriel Jenik)
-Fixed issue #16604: Adding condition triggers bulk update for complete database (#1564) (Gabriel Jenik)
-Fixed issue #15854: Cannot open pop up editor - subquestions (an extra page refresh needed) (#1784) (Gabriel Jenik)
-Fixed issue #15683: Error after changing the language to Tajik (Carsten Schmitz)
-Fixed issue #15500: getSurveyInfo() fails with fatal error for a plugin from console (Olle Haerstedt)
-Fixed issue #15239: Brute-force attack with tokens to enter survey is possible (#1794) (Gabriel Jenik)
-Fixed issue #15239: Brute-force attack with tokens to enter survey is possible (#1792) (Gabriel Jenik)
-Fixed issue #14732: Superadmin user cannot modify members of a group he is not a member of (Carsten Schmitz)
#Updated translation: Turkish by bulent
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfortunato, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Czech by c_schmitz, jelen1
#Updated translation: Czech (Informal) by slansky, jelen1


Changes from 3.25.15 (build 210223) to 3.25.16 (build 210302) March 1, 2021
-Fixed issue: Text - Text to be updated - add participant(s) to survey button - cpdb (Jessica Höck)
-Fixed issue #17114: Import from TSV : relevance set to "0" not imported (#1771) (Gabriel Jenik)
-Fixed issue #17003: LDAP plugin - login lenght (#1778) (Gabriel Jenik)
-Fixed issue #16979: Email continue not shown clearly after activation (#1762) (Gabriel Jenik)
-Fixed issue #16976: Date format problem (#1761) (Gabriel Jenik)
-Fixed issue #16867: Randomization happen in survey logic file and in export (#1770) (Gabriel Jenik)
-Fixed issue #15539: queXML PDF shows JS script (#1768) (Gabriel Jenik)
-Fixed issue #15514: Image "save" button no response action after click (#1777) (Gabriel Jenik)
-Fixed issue #14203: Assessments mode vs Assessment mode (Jessica Höck)
-Fixed issue #16867: Randomization happen in survey logic file and in export (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Russian by vipgroup, ilgizy, ddrmoscow


Changes from 3.25.14 (build 210218) to 3.25.15 (build 210223) February 22, 2021
-Fixed issue: queXMLExport broken (Carsten Schmitz)
-Fixed issue: [security] Updated ckEditor to 4.16.0 (Carsten Schmitz)
-Fixed issue: Error when creating a vvExport and trying only to export complete responses (Carsten Schmitz)
-Fixed issue: Cannot import lss/lsa file that have token length set too big (Carsten Schmitz)
#Updated translation: Turkish by bulent
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Catalan by qualitatuvic


Changes from 3.25.13 (build 210216) to 3.25.14 (build 210218) February 17, 2021
-Fixed issue: [security] Possible XSS in data entry and survey logic check - found by James Mullen, Edgescan (Carsten Schmitz)
-Fixed issue: [security] Possible SQL injection in data entry, CPDB participant sharing and condition editing - found by James Mullen, Edgescan (Carsten Schmitz)
-Fixed issue: [security] Possible SQL injection in data entry, CPDB participant sharing and condition editing (Carsten Schmitz)
-Fixed issue #16917: Error when navigating to global settings and using PHP8 (Carsten Schmitz)


Changes from 3.25.12 (build 210211) to 3.25.13 (build 210216) February 16, 2021
-Fixed issue: Syntax error in user statistics (Olle Harstedt)
-Fixed issue: Don't escape quotes in token attributes (Olle Haerstedt)
-Fixed issue #17054: Public stats don't use the theme set at survey, but at global settings (#1747) (Gabriel Jenik)
#Updated translation: Turkish by bulent
#Updated translation: Japanese by nomoto
#Updated translation: Italian (Informal) by ritapas
#Updated translation: French (France) by aschwey
#Updated translation: English by ritapas


Changes from 3.25.11 (build 210210) to 3.25.12 (build 210211) February 9, 2021
-Fixed issue: [security] Possible SQL injection in statistics (Carsten Schmitz)
-Fixed issue: [security] Auditlog not capturing all response modifications (Carsten Schmitz)
#Updated translation: Turkish by bulent


Changes from 3.25.10 (build 210128) to 3.25.11 (build 210210) February 8, 2021
-Fixed issue #16756: Error with SUM on array text (Gabriel Jenik)
-Fixed issue #16416: image_select question theme : set width mlake invalid HTML (Gabriel Jenik)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni,ritapas
#Updated translation: Italian (Informal) by lfanfoni,ritapas
#Updated translation: German by c_schmitz,eddylackmann
#Updated translation: German (Informal) by eddylackmann,c_schmitz
#Updated translation: French (France) by eddylackmann, c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by valdomir, qualitatuvic


Changes from 3.25.9 (build 210125) to 3.25.10 (build 210128) January 28, 2021
-Fixed issue #17007: bug on invitation+reminder dates when creating a new token using GUI (Gabriel Jenik)
#Updated translation: Tamil by yoavgross
#Updated translation: Romansh by cdorin
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj


Changes from 3.25.8 (build 210118) to 3.25.9 (build 210125) January 25, 2021
-Fixed issue #16481: Easy way to launch CDBException (#1480) (Denis Chenu)
-Fixed issue #15612: Public stats didn't have any theme part, graphic is broken (#1717) (Gabriel Jenik)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic
#Updated translation: Bulgarian by llamaloverbg


Changes from 3.25.7 (build 210113) to 3.25.8 (build 210118) January 18, 2021
-Fixed issue: Grammar Correction in LS3 for Mask Question Type Multiple Numerical Input Slider Tab. (Jessica Höck)
-Fixed issue #16962: Sent is not recorded when validuntil is set and using MSSQL (Carsten Schmitz)
-Fixed issue #16859: Survey list navigator in homle page broke with Multiviews (Denis Chenu)
-Fixed issue #16853: Inconsistent filter behaviour when create token (Denis Chenu)
-Fixed issue #15655: Cannot set SMTP/bounce password containing certain characters (Carsten Schmitz)
#Updated translation: Slovak by jelen1
#Updated translation: Catalan by qualitatuvic
#Updated translation: Bulgarian by baximvt


Changes from 3.25.6 (build 201229) to 3.25.7 (build 210113) January 11, 2021
-Fixed issue: Database error when username or user full name too long (Carsten Schmitz)
-Fixed issue: Database error when survey title too long (Carsten Schmitz)
-Fixed issue #16948: Uploading an image through the theme options fails (#1711) (Gabriel Jenik)
#Updated translation: Japanese by nomoto


Changes from 3.25.5 (build 201222) to 3.25.6 (build 201229) December 28, 2020
-Fixed issue #16906: Version disclosure via limesurvey.pot (Denis Chenu)
-Fixed issue #16862: Not possible to batch-edit owners for Central Participant database (Gabriel Jenik)
#Updated translation: Macedonian by SimonaOgnenovska


Changes from 3.25.4 (build 201215) to 3.25.5 (build 201222) December 21, 2020
-Fixed issue #16849: Question radio button with Question Theme "Bootstrap Buttons" does not keep value in "Other" field (Gabriel Jenik)
-Fixed issue #16799: User with read + create survey : invalid list shown (Gabriel Jenik)
#Updated translation: Spanish (Spain) by MeirOverferst
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by ritapas
#Updated translation: Greek by kiolalis
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic
#Updated translation: Arabic by aziztarik


Changes from 3.25.3 (build 201208) to 3.25.4 (build 201215) December 14, 2020
-Fixed issue #16891: PHP 7.4 + debug : PHP Notice with numeric question type (Denis Chenu)
-Fixed issue #16863: Multi Numeric Slider custom Font Awesome icons (Gabriel Jenik)
-Fixed issue #16854: Cannot attach PDF to email invitation (email template for surveys) (Gabriel Jenik)
-Fixed issue #16761: Wrong details shown at print answer overview for dual scale questions (Gabriel Jenik)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Greek by kiolalis


Changes from 3.25.2 (build 201131) to 3.25.3 (build 201208) December 7, 2020
-Fixed issue #16875: strong tag displayed in First and Last name column of Survey responses page (Denis Chenu)
-Fixed issue #16733: When importing a theme bigger in size than the allowed php.ini settings, there is no proper description of the error (Gabriel Jenik)
#Updated translation: Portuguese (Brazil) by marciojv
#Updated translation: Dutch by c_schmitz, L191, Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by slansky, jelen1, c_schmitz
#Updated translation: Basque by zatarain


Changes from 3.25.1 (build 201124) to 3.25.2 (build 201131) November 30, 2020
-Fixed issue: Hardening for subquestions addition (Carsten Schmitz)
-Fixed issue #16865: Unable to export as PDF with PHP7.4  (Denis Chenu)
-Fixed issue #16861: ComfortUpdateChecker can broke with other plugin (Denis Chenu)
-Fixed issue #16855: Upload File MIME Type Check Error (Denis Chenu)
-Fixed issue #16729: Message has no translation (Gabriel Jenik)
-Fixed issue #16656  uploading files in chrome corrupts the response and loses the uploaded file (Gabriel Jenik)
#Updated translation: Ukrainian by EyeseeU
#Updated translation: Estonian by ritapas
#Updated translation: Czech by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 3.25.0 (build 201117) to 3.25.1 (build 201124) November 23, 2020
-Fixed issue [security] #16845: Persistent XSS in browse response (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Czech by c_schmitz, jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 3.24.6 (build 201109) to 3.25.0 (build 201117) November 16, 2020
+New feature #12560: enable video in spite of active xss filtering (Gabriel Jenik)
-Fixed issue: Assessment editing not properly working if quota messages contain HTML (Carsten Schmitz)
-Fixed issue #16746: Filtering on responses for questions of type Array Dual Scale was not working in Statistics (Gabriel Jenik)
-Fixed issue #15615: Mandatory multiple choice questions are not assigned a red background if not being answered (Gabriel Jenik)
-Fixed issue #16733: When importing a theme bigger in size than the allowed PHP.ini settings, there is no proper description of the error (Gabriel Jenik)
-Fixed issue #16726: New config setting for date format and question code - Patching (Gabriel Jenik)
-Fixed issue #15615: Mandatory multiple choice questions are not assigned a red background if not being answered (Gabriel Jenik)
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by ritapas
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by DenisChenu
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic
#Updated translation: Basque by zatarain


Changes from 3.24.5 (build 201104) to 3.24.6 (build 201109) November 9, 2020
-Fixed issue: Allow to login if LDAP user's DN contains double quotes (#1649) (Vilius Šumskas)
-Fixed issue #16808: Dump while accesing statistics (#1642) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by cdorin
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by ritapas, lfanfoni
#Updated translation: Italian (Informal) by ritapas, lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, eddylackmann
#Updated translation: Catalan by qualitatuvic


Changes from 3.24.4 (build 201103) to 3.24.5 (build 201104) November 4, 2020
-Fixed issue [security]: Unauthorized access to statistics of a survey with certain permission configurations (Carsten Schmitz)
-Fixed issue #16804: Upgrading from very old versions not possible (Carsten Schmitz)


Changes from 3.24.3 (build 201027) to 3.24.4 (build 201103) November 2, 2020
-Fixed issue: Database error in statistics when entering invalid information in number or date filter (Carsten Schmitz)
#Updated translation: Turkish by kayazeren
#Updated translation: Portuguese (Brazil) by brownst
#Updated translation: Maltese by ritapas
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by ritapas
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 3.24.2 (build 201020) to 3.24.3 (build 201027) October 26, 2020
-Fixed issue: View access to survey group even though no permission (Carsten Schmitz)
-Fixed issue: Update issue with invalid datetime value stored in startdate/datestamp field of response table (Carsten Schmitz)
-Fixed issue: Don't update survey group if no POST was submitted (Carsten Schmitz)
-Fixed issue: DB error when trying to activate already activated survey (Carsten Schmitz)
-Fixed issue: Create token table on Postgres throws index error, if done repeatedly (Carsten Schmitz)
-Fixed issue #16787: Survey participant / Token editor doesn't correctly reflect reminder status when survey in anonymous mode (Adam Zammit)
-Fixed issue #16786: Token editor mixes up invitation sent / reminder sent when manually editing token / survey participant (Adam Zammit)
-Fixed issue #16769: Unable to embed in iframe (using config.php) for Chrome (Denis Chenu)
-Fixed issue #16766: Simple user reset Survey group to default one (Denis Chenu)
-Fixed issue #16759: Answers column width issue (Denis Chenu)
-Fixed issue #16659: PHP7.1 + debug set : PHP Warning A non-numeric value encountered (#1585) (Denis Chenu)
-Fixed issue #16555: bootswatch Image uploaded via Survey theme option are uploaded in Global directory (#1527) (Denis Chenu)
-Fixed issue #16501: Navigation Problems on iPhone and Mac (Adam Zammit)
#Updated translation: Spanish (Spain) by larjona
#Updated translation: Portuguese (Portugal) by pmduque, effgarces
#Updated translation: Myanmar by yarzaryeni
#Updated translation: Japanese by a_ochi11
#Updated translation: Italian by ritapas, lfanfoni
#Updated translation: Italian (Informal) by ritapas, lfanfoni
#Updated translation: French (France) by b00z00, eddylackmann, DenisChenu
#Updated translation: Catalan by qualitatuvic


Changes from 3.24.1 (build 201014) to 3.24.2 (build 201020) October 19, 2020
-Fixed issue: Database error if email subject is too long (Carsten Schmitz)
-Fixed issue #16745: Title for ranking question gets codes instead of quotes (Denis Chenu)
-Fixed issue #16744: No error shown at top even if error exist (Denis Chenu)
-Fixed issue #16738: Check logic, error in question group shown as error in question (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Latvian by ritapas
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by ritapas
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic
#Updated translation: Basque by zatarain


Changes from 3.24.0 (build 201013) to 3.24.1 (build 201014) October 14, 2020
-Fixed issue: Update issue with invalid datetime value stored in expires field (Carsten Schmitz)
-Fixed issue: Participant access key length could be set to 36 (and creating errors on registration) even though 35 is the maximum. (Carsten Schmitz)
-Fixed issue: No update notification for Comfort Update users (Eddy Lackmann)
-Fixed issue: Database exception is shown when trying to download files on a inactive survey (Carsten Schmitz)
-Fixed issue #16695: JSON RPC Remote Control methods are not sent as expected to server (Gabriel Jenik)
-Fixed issue #16562: Bar charts at statistics start with min value=1 but has to be min value=0  (Gabriel Jenik)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Myanmar by cdorin
#Updated translation: Japanese by nomoto
#Updated translation: French (France) by c_schmitz, DenisChenu
#Updated translation: Catalan by qualitatuvic


Changes from 3.23.7 (build 201006) to 3.24.0 (build 201013) October 12, 2020
+New feature: E-Mail bodies allow now for more than 64kb size when using MySQL (Carsten Schmitz)
-Fixed issue: Error when too many translations are added to a survey (Carsten Schmitz)
-Fixed issue: Database exception when trying to import a question/group/survey from an incompatible LimeSurvey version (Carsten Schmitz)
-Fixed issue: Database exception when trying to add the same user twice in survey permissions (Carsten Schmitz)
-Fixed issue: Database exception is shown when trying to reload responses for/resume an inactive survey (Carsten Schmitz)
-Fixed issue: Database exception is shown when trying to download files on a inactive survey (Carsten Schmitz)
-Fixed issue: Database error on sorting CPDB participants by owner (Carsten Schmitz)
-Fixed issue: Database error on question creation/editing if question text is too long (Carsten Schmitz)
-Fixed issue #16560: After downloading tokens for the first time, need to refresh for a second download (#1613) (Gabriel Jenik)
-Fixed issue #16506: Fruity theme: question type Matrix (texts), you do not see the sums of the total columns and grand total. (#1605) (Gabriel Jenik)
-Fixed issue #13437: simple statistics looks odd (GabrielJenik)
#Updated translation: Japanese by nomoto, kmrmtr
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Greek by george01
#Updated translation: Catalan by qualitatuvic


Changes from 3.23.6 (build 200929) to 3.23.7 (build 201006) October 5, 2020
-Fixed issue: Quick translation shows database error when group name too long (Carsten Schmitz)
-Fixed issue: Importing participant with invalid Valid/ValidUntil date threw database error (Carsten Schmitz)
-Fixed issue #16692: Clear process after test script is failing (GabrielJenik)
-Fixed issue #16634: Timer not getting reset after completion of the survey (running multiple surveys on the same browser) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by oleggorfinkel
#Updated translation: Spanish (Mexican) by c_schmitz, aesteban, eddylackmann, oleggorfinkel
#Updated translation: Portuguese (Portugal) by soniagouveia
#Updated translation: Portuguese (Portugal) by effgarces
#Updated translation: Portuguese (Brazil) by femariso
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni, ritapas
#Updated translation: Italian (Informal) by lfanfoni, ritapas
#Updated translation: Indonesian by wishnu
#Updated translation: German by c_schmitz
#Updated translation: German by Mazi
#Updated translation: German (Informal) by c_schmitz, eddylackmann
#Updated translation: French (France) by DenisChenu
#Updated translation: Catalan by qualitatuvic


Changes from 3.23.5 (build 200923) to 3.23.6 (build 200929) September 28, 2020
-Fixed issue: Accidental double deactivation throws database error (Carsten Schmitz)
-Fixed issue #16647: Can't select seperator for CPDB export - export doesn't recognise text (GabrielJenik)


Changes from 3.23.4 (build 200922) to 3.23.5 (build 200923) September 22, 2020
-Fixed issue: SPSS export broken for numbers > 1000 (Carsten Schmitz)
-Fixed issue: If the participant table is too big the token generation may fail due to memory shortage (Carsten Schmitz)
-Fixed issue #16633: Error message when changing the data policy message language unless I check the box  (Gabriel Jenik)
-Fixed issue #15994: Batch-Edit shows "lskeep" after modification of email status (#1584) (Gabriel Jenik)



Changes from 3.23.3 (build 200909) to 3.23.4 (build 200922) September 21, 2020
-Fixed issue: SPSS export - Seed value does not have proper variable name (Carsten Schmitz)
-Fixed issue: SPSS export - Empty value replacement causing corrupted data fields (Carsten Schmitz)
-Fixed issue: Participant import with duplicate check very slow when there more than 100k participants (Carsten Schmitz)
-Fixed issue: Participant import slow when there are many entries with empty email addresses (Carsten Schmitz)
-Fixed issue: PSPP support (Carsten Schmitz)
-Fixed issue #Automatic processing will be turned off after (GabrielJenik)
-Fixed issue #16682: Potential PHP Notice related to lastquestiongroup (Denis Chenu)
-Fixed issue #16598--Statistics--Criteria-not-cleared-for-text-question-results (GabrielJenik)
-Fixed issue #16373 : Bootstrap Buttons not aligned when filtered (Denis Chenu)
#Updated translation: Spanish (Spain) by Joffm, lkikut
#Updated translation: Spanish (Mexican) by lkikut
#Updated translation: Spanish (Colombia) by lkikut
#Updated translation: Spanish (Chile) by lkikut
#Updated translation: Spanish (Argentina) by lkikut
#Updated translation: Portuguese (Portugal) by soniagouveia
#Updated translation: Portuguese (Portugal) by c_schmitz, nostradumusfdx, algarvio, thiagosmartins, mauriciofurtado, holch, fermacedo, lucaspcs, tamiel, soniagouveia
#Updated translation: Portuguese (Brazil) by femariso
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by ritapas
#Updated translation: German by c_schmitz
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj
#Updated translation: Chinese (Simplified) by lacity


Changes from 3.23.2 (build 200908) to 3.23.3 (build 200909) September 8, 2020
-Fixed issue #16488: [Hotfix] Reviewing updateQuestionOrder usage (gabrieljenik)
#Updated translation: Spanish (Spain) by eddylackmann
#Updated translation: Dutch (Informal) by eddylackmann


Changes from 3.23.1 (build 200825) to 3.23.2 (build 200908) September 7, 2020
-Fixed issue: Minor errors in tutorial (Carsten Schmitz)
-Fixed issue #16588: False warning about the screen resolution (Gabriel Jenik)
-Fixed issue #16528: After deleting a user who owned a survey, the survey list shows an error. (Gabriel Jenik)
-Fixed issue #15980: No results shown for selected date questions at statistics (GabrielJenik)
#Updated translation: Slovenian by junoslukan
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: French (France) by eddylackmann
#Updated translation: Danish by Mikkel
#Updated translation: Chinese (Taiwan) (Traditional) by imacat
#Updated translation: Catalan by qualitatuvic


Changes from 3.23.0 (build 200813) to 3.23.1 (build 200825) August 24, 2020
-Fixed issue #16536: Batch editing reminder sent date leads to wrong data being added (#1530) (Gabriel Jenik)
-Fixed issue #15989: Blank page after granting user groups survey permissions. (GabrielJenik)
#Updated translation: Slovenian by junoslukan
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Kazakh by xhoper
#Updated translation: Italian by ritapas
#Updated translation: Italian by albertoberton
#Updated translation: Italian (Informal) by ritapas
#Updated translation: Czech by jelen1
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 3.22.210 (build 200804) to 3.23.0 (build 200813) August 12, 2020
-Fixed issue: When editing a token the date/time format is not properly displayed and handled on "invitation sent" or "reminder sent" field and thus wrong values are saved (Carsten Schmitz)
-Fixed issue: Renamed Valencian translation to correct term (Carsten Schmitz)
-Fixed issue #16569: Welcome page show again if cookies are enable and survey is already done (#1539) (Gabriel Jenik)
-Fixed issue #16561: Batch-editing tokens does not set fields properly if "completed", "invitation sent" or "reminder sent" is set to No. (Carsten Schmitz)
-Fixed issue #16329: html not allowed in a labelset? (#1501) (Gabriel Jenik)
-Fixed issue #16273 - Validation regex including unicode characters fails (#1499) (Gabriel Jenik)
-Fixed issue #15951: No creation date when importing participants to CPDB (#1502) (Gabriel Jenik)
-Fixed issue #14218: hover OK button on confirm hide the OK (#1540) (Gabriel Jenik)
#Updated translation: German by c_schmitz


Changes from 3.22.29 (build 200731) to 3.22.210 (build 200804) August 3, 2020
-Fixed issue #16535: Changing language at question preview leads to loading the wrong page (GabrielJenik)
-Fixed issue #16520: For specific screen navigation, condition is not saved properly (GabrielJenik)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Croatian by rovinj


Changes from 3.22.28 (build 200728) to 3.22.29 (build 200731) July 30, 2020
-Fixed issue #16524: Missing item "Survey participants" in Survey Menu under certain survey permissions (GabrielJenik)
-Fixed issue #16518: Cannot add condition based on Survey participant attributes (GabrielJenik)
-Fixed issue #16460: Unable to update format or questionindex by plugin (Denis Chenu)
#Updated translation: Telugu by eddylackmann
#Updated translation: Spanish (Spain) by segui
#Updated translation: Spanish (Mexican) by segui
#Updated translation: Italian by ritapas
#Updated translation: Catalan by qualitatuvic


Changes from 3.22.27 (build 200720) to 3.22.28 (build 200728) July 27, 2020
-Fixed issue #16498: Can't run survey with child theme because of enheritance problems. (GabrielJenik)
#Updated translation: Russian by imnetxiin


Changes from 3.22.26 (build 200714) to 3.22.27 (build 200720) July 20, 2020
-Fixed issue #16461: Twice contact sentence for some error page (#1469) (Denis Chenu)
#Updated translation: Spanish (Mexican) by segui
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Simplified) by huangguangc


Changes from 3.22.25 (build 200706) to 3.22.26 (build 200714) July 13, 2020
+New feature #16263: QueXML-PDF: New config setting for date format and question code #1434
-Fixed issue #16486: Unable to manage participant attribute with debug (Denis Chenu)
-Fixed issue #16451: When admin previews surveys timer is not reset in between runs (#1475) (Gabriel Jenik)
-Fixed issue #16450: Timer does not work for dropdown questions (#1467) (Gabriel Jenik)
-Fixed issue #16151: Map question not displayed if loaded after a condition was met (both have to be on the same page) (#1477) (Gabriel Jenik)
-Fixed issue #16135: Map based question with Google Map - displaying as static in mobile browser (#1474) (Gabriel Jenik)
#Updated translation: German (Informal) by eddylackmann
#Updated translation: Czech by jelen1


Changes from 3.22.24 (build 200630) to 3.22.25 (build 200706) July 6, 2020
-Fixed issue #16430: Testing a question will not be possible if admin participated in the survey (#1459) (Gabriel Jenik)
-Fixed issue #16375: Theme with valid config.xml (according to manual) can not be extendable (Denis Chenu)
-Fixed issue #15985: Print answers: list with comments, comments not printed (#1448) (Gabriel Jenik)
-Fixed issue #15890: Overview of uninstalled themes shows incorrectly parsed theme description (#1464) (Gabriel Jenik)
#Updated translation: Ukrainian by VikaDidashko
#Updated translation: Hebrew by cdorin
#Updated translation: French (France) by DenisChenu, b00z00
#Updated translation: Czech (Informal) by slansky, jelen1
#Updated translation: Croatian by DenisChenu


Changes from 3.22.23 (build 200626) to 3.22.24 (build 200630) June 29, 2020
-Fixed issue #16316: Condition for list radio questions with question design "image_select" broken for questions on the same page (Gabriel Jenik)
#Updated translation: German by xibit12


Changes from 3.22.22 (build 200625) to 3.22.23 (build 200626) June 26, 2020
-Fixed issue: Various SQL errors when running on MySQL 8 (Olle Haerstedt)
-Fixed issue #16415: Can't upload files with Google Chrome (#1445) (Gabriel Jenik)


Changes from 3.22.21 (build 200622) to 3.22.22 (build 200625) June 25, 2020
-Fixed issue: Various SQL errors when running on MySQL 8 (Olle Harstedt)
-Fixed issue: Various SQL errors when running on MySQL 8 (Carsten Schmitz)
-Fixed issue #16419: Faulty if-condition in export helper (Olle Harstedt)
-Fixed issue #15596: Problem saving question with question type list (options) design image_select  (Gabriel Jenik)
-Fixed issue #15037: Data protection statement texts not save if text for checkbox is too long (Gabriel Jenik)


Changes from 3.22.20 (build 200617) to 3.22.21 (build 200622) June 22, 2020
-Fixed issue: Various SQL errors when running on MySQL 8 (Carsten Schmitz , Olle Harstedt)
-Fixed issue [security] #16396: Multiple self-stored XSS in printanswer (Denis Chenu)
-Fixed issue [security] #15452: XSS in print answer view : Array/text (Denis Chenu)
#Updated translation: Catalan by qualitatuvic


Changes from 3.22.19 (build 200605) to 3.22.20 (build 200617) June 16, 2020
-Fixed issue #16372: Unable to save any settings on "General Settings" screen when using MSSQL (Carsten Schmitz)
-Fixed issue #15063: Left sidebar is not shown with console error Local Storage QuotaExceededError: The quota has been exceeded. (Carsten Schmitz)
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech (Informal) by slansky, VBraun, jelen1
#Updated translation: Armenian by cdorin


Changes from 3.22.18 (build 200603) to 3.22.19 (build 200605) June 5, 2020
-Fixed issue: Typo in name of a CSS file #1427 (KaiHerlemann)
-Fixed issue [Security] #16356: Update jquery to fix XSS vulnerability (Eddy Lackmann)
-Fixed issue #16214: date picker question didn't work with specific language (Denis Chenu)


Changes from 3.22.17 (build 200525) to 3.22.18 (build 200603) June 2, 2020
-Fixed issue #16346: File Upload modal not working correctly in latest Chromium 83.0.4103.61 (Patrick Teichmann)


Changes from 3.22.16 (build 200519) to 3.22.17 (build 200525) May 25, 2020
-Fixed issue #16142: Deleting a participant after he/she started the survey keeps the survey available (Denis Chenu)


Changes from 3.22.15 (build 200505) to 3.22.16 (build 200519) May 19, 2020
-Fixed issue: JsonEditor to not encode the value if it is already a valid json (#1217) (#1419) (Tõnis Ormisson)
-Fixed issue #15624: File upload not working for ios 13.2 (Jessica Höck)


Changes from 3.22.14 (build 200423) to 3.22.15 (build 200505) May 4, 2020
-Fixed issue: RemoteControl leaves webserver session open (Carsten Schmitz)
-Fixed issue: Cannot save general settings if a scale ID is not correct in a subquestion (Carsten Schmitz)


Changes from 3.22.13 (build 200415) to 3.22.14 (build 200423) April 23, 2020
-Fixed issue: Very high memory usage when importing TSV files (Carsten Schmitz)
-Fixed issue: Expressions not being properly validated & highlighted in email templates when using 'Validate expression' function (Carsten Schmitz)


Changes from 3.22.12 (build 200406) to 3.22.13 (build 200415) April 14, 2020
-Fixed issue: Original superadmin (UID 1) should always be able to edit other users passwords (Carsten Schmitz)
-Fixed issue #14291: CSRF 400 server error after entering update key (Carsten Schmitz)


Changes from 3.22.11 (build 200330) to 3.22.12 (build 200406) April 6, 2020
-Fixed issue #16074: Wrong survey url when directLogin from beforeRegister event (Marko Bischof)
-Fixed issue #16069: Deactivate survey using tokens in Postgres 12 shows error (Carsten Schmitz)
-Fixed issue #15987: Move surveys from group A to group B now shows correct message "success" when saving was successful (Patricia Stelling)


Changes from 3.22.10 (build 200323) to 3.22.11 (build 200330) March 30, 2020
-Fixed issue: Quota not working for array 10-point (Olle Harstedt)
-Fixed issue 16037: Trim entered e-mail addresses  (fkroener)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: French (France) by c_schmitz, DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 3.22.9 (build 200317) to 3.22.10 (build 200323) March 23, 2020
-Fixed issue #15975: Sanitize lang parameter for public survey list to restricted languages (Carsten Schmitz)
-Fixed issue #15973: Invalid submitfailed received (Denis Chenu)
-Fixed issue #15968: Deleted user not being completely logged out (Carsten Schmitz)
#Updated translation: Tajik by Iskandar_r
#Updated translation: Swedish by Norfa97
#Updated translation: Spanish (Argentina) (Informal) by MeryKilicMeT19
#Updated translation: Portuguese (Portugal) by effgarces
#Updated translation: Portuguese (Brazil) by bedendo
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Indonesian by Mazi
#Updated translation: Hungarian by c_schmitz, vargaaz
#Updated translation: German by eddylackmann
#Updated translation: French (France) by eddylackmann
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Danish by Mikkel


Changes from 3.22.8 (build 200309) to 3.22.9 (build 200317) March 16, 2020
-Fixed issue: Special characters in uploaded files for responses were corrupted when downloaded as ZIP file (Carsten Schmitz)
-Fixed issue: Missing file in zip file when downloading files uploaded by participants in responses (Carsten Schmitz)
-Fixed issue: Invalid language header in file upload popup (Carsten Schmitz)
-Fixed issue : order of scale X subquestion in array number and text (Denis Chenu)
-Fixed issue : get good language in print answers for array text and number (Denis Chenu)
-Fixed issue #15984: Order of subquestion are not respected in print answers (#1398) (Denis Chenu)
-Fixed issue #15773: Unable to check integrity (Carsten Schmitz)
-Fixed issue #15528: Internal server error when trying to view partial responses using Postgres (Carsten Schmitz)
-Fixed issue #14188: Error 500 when copying question in Postgres (Carsten Schmitz)


Changes from 3.22.7 (build 200225) to 3.22.8 (build 200309) March 9, 2020
-Fixed issue: Save button in Questioneditor keeps loading (Patrick Teichmann)
-Fixed issue: Language selector overlaps other elements when resizing screen at survey creation (Carsten Schmitz)
-Fixed issue #15920: PHP notice when submit a survey with refurl (#1394) (Denis Chenu)
-Fixed issue #12131: Config parameter filterout_incomplete_answers does not seem to work anymore (Carsten Schmitz)


Changes from 3.22.6 (build 200219) to 3.22.7 (build 200225) February 24, 2020
-Fixed issue #15900: unable set a question theme for Equation question type (Denis Chenu)
-Fixed issue #15889: Quota names not displayed in overview (Patrick Teichmann)
-Fixed issue #15466: Pagination not working after updating the grid (Patrick Teichmann)


Changes from 3.22.5 (build 200218) to 3.22.6 (build 200219) February 19, 2020
-Fixed issue: Wrong redirection to enter new key  in Comfort update (Eddy Lackmann)
-Fixed issue: Empty comfort update key can be submitted (Eddy Lackmann)
-Fixed issue [security] #15818: Reflected XSS (Denis Chenu)
-Fixed issue #13677: Sorting of groups and questions are wrong (Olle Haerstedt)


Changes from 3.22.4 (build 200212) to 3.22.5 (build 200218) February 18, 2020
-Fixed issue: Notice on survey completion (Carsten Schmitz)
-Fixed issue: Incomplete headers when exporting 'Multiple choice with comment' questions (Carsten Schmitz)


Changes from 3.22.3 (build 200211) to 3.22.4 (build 200212) February 12, 2020
-Fixed issues [security] #14379: Stored XSS through SVG file upload. (Thanks to Denis Chenu and Maxime Roy) (Marc Leonhardt)
-Fixed issues [security] #14380: Stored XSS through SVG file upload. 
-Fixed issues [security] #15796: Stored XSS through SVG file upload.
#Updated translation: Polish (Informal) by elissa
#Updated translation: Kinyarwanda by c_schmitz
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by eddylackmann
#Updated translation: French (France) by jayce, eddylackmann
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 3.22.2 (build 200204) to 3.22.3 (build 200211) February 11, 2020
-Fixed issue: Missing translation file (Carsten Schmitz)
-Fixed issue: HTML editor shows on invite (not in email templates) eventhough text format was activated for survey invitations/reminders (Carsten Schmitz)
-Fixed issue: DB update issues when updating from old Limesurvey versions (#1377) (Marko Bischof)
#Updated translation: Portuguese (Portugal) by algarvio
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German by c_schmitz
#Updated translation: French (France) by DenisChenu
#Updated translation: Catalan by qualitatuvic


Changes from 3.22.1 (build 200129) to 3.22.2 (build 200204) February 4, 2020
-Fixed issue #15791: Can't load a lengthy label set, buttons not visible (lacrioque)


Changes from 3.22.0 (build 200127) to 3.22.1 (build 200129) January 29, 2020
-Fixed issue [security] #15782: Remote Code Execution (RCE) in emplate options  file uploader. Thanks to Maxime Roy (lacrioque)
-Fixed issue #15529: Print answer wrongly includes hidden questions (#1378) (Denis Chenu)


Changes from 3.21.6 (build 200121) to 3.22.0 (build 200127) January 27, 2020
+New feature #15706: Support PHP 7.4 (Olle Haerstedt)
-Fixed issue: [Security] Login attempts brute-force prevention (Carsten Schmitz)
-Fixed issue [security] #15736: Reflected Cross-Site Scripting in assessments (Maxime Roy) (Jessica Höck)


Changes from 3.21.5 (build 200115) to 3.21.6 (build 200121) January 21, 2020
-Fixed issue [security] #15720: Reflected Cross-Site Scripting in position widget (Maxime Roy) (Olle Haerstedt)
-Fixed issue #15733: Survey administrator can receive invalid mail about error (#1371) (Denis Chenu)
-Fixed issue #14328: Can not select SVG as logo for survey themes (Patrick Teichmann)
-Fixed issue #14298: Text change recommendation - Delete survey (Patrick Teichmann)


Changes from 3.21.4 (build 200108) to 3.21.5 (build 200115) January 15, 2020
-Fixed issue #15696: Multiple email addresses in token are not working (#1368) (Denis Chenu)
-Fixed issue #15692: where-clause in reorderMenu (Marko Bischof)
-Fixed issue #15685: Issue when exporting decimal value in MSSQL (Denis Chenu)
-Fixed issue #15684: When reloading decimal value with 0 with MSSQL : 0 disappear (#1360) (Denis Chenu)
-Fixed issue #15684: MSSQL issue reloading decimal value (Denis Chenu)
-Fixed issue #15570: Column filter gets stuck after selecting once and does not filter certain columns (Patrick Teichmann)


Changes from 3.21.3 (build 191219) to 3.21.4 (build 200108) January 8, 2020
-Fixed issue: Tooltips are not showing in hosting top bar (Eddy Lackmann)
-Fixed issue: Potential lost responses on first page (Denis Chenu)
-Fixed issue #15651: delete_participant fails to delete and gives no error back (Adam Zammit)
-Fixed issue #14129: Translation missing in subquestion panel (Marc Leonhardt)
#Updated translation: Turkish by bulent
#Updated translation: Spanish (Spain) by eddylackmann
#Updated translation: Russian by kmaksat
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Korean by zist21
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd
#Updated translation: German by eddylackmann
#Updated translation: French (France) by riqcles
#Updated translation: Danish by Mikkel
#Updated translation: Croatian by dominikvitt, rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 3.21.2 (build 191216) to 3.21.3 (build 191219) December 19, 2019
+New translation: Kurdish (Kurmanji) (Carsten Schmitz)
-Fixed issue [security] #15681: LimeSurvey 3.21.1 Cross Site Scripting Stored (lacrioque)
-Fixed issue [security] #15680: LimeSurvey 3.21.1 Cross Site Scripting Stored (lacrioque)
-Fixed issue [security] #15672: LimeSurvey 3.21.1 Cross Site Scripting (lacrioque)
-Fixed issue #15662: Some UTF-88 characters saved as ????? in DB when using MSSQL and IIS (#1353) (Denis Chenu)
-Fixed issue #15644: Unable to translate theme options (Patrick Teichmann)
-Fixed issue #15622: Theme Options are not available for translation (Patrick Teichmann)
-Fixed issue #15446: Custom Twig extensions do not work (Marc Leonhardt)
-Fixed issue #14552: Backward navigation broken if navigation delay is enabled (lacrioque)
#Updated translation: Turkish by bulent
#Updated translation: Luxembourgish by c_schmitz
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Korean by zist21
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Catalan by qualitatuvic


Changes from 3.21.1 (build 191210) to 3.21.2 (build 191216) December 16, 2019
+New translation: Somali (Carsten Schmitz)
-Fixed issue #15657: Admin user with only Read response acces can not see response listing (debug at 2) (Denis Chenu)
-Fixed issue #15609: Cannot add new survey menu (Marc Leonhardt)
#Updated translation: Turkish by bulent
#Updated translation: Russian by kmaksat
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Kazakh by KlickERR
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Estonian by TonisOrmisson
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 3.21.0 (build 191203) to 3.21.1 (build 191210) December 10, 2019
-Fixed issue #15623: gridview pagination not working for saved partial responses (Patrick Teichmann)
-Fixed issue #15571: CPDB - cannot use the search boxes below associated to the additional attributes (Patricia Stelling)
#Updated translation: Spanish (Mexican) by corzel
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd
#Updated translation: Danish by Mikkel
#Updated translation: Catalan by qualitatuvic


Changes from 3.20.2 (build 191119) to 3.21.0 (build 191203) December 3, 2019
+New feature #15513: Missing function floatval() in EM (#1344) (Denis Chenu)
-Fixed issue: Missing translation in tutorial (Martin Unkel)
-Fixed issue: Compatibility issues with PostgreSQL 12 (#1346) (Mario Wehr)
-Fixed issue #15610: RemoteControl cpd_importParticipants does not blacklist participants (Marko Bischof)
-Fixed issue #15599: Ajax mode being activated when importing an old survey which has it enabled (Carsten Schmitz)
-Fixed issue #15587: queXML PDF doesn't show minutes for date questions (Adam Zammit)
-Fixed issue #15176: 5 point star rating: Value set is lost when navigating back to previous page and having selected 5 stars (lacrioque)
-Fixed issue #14043: Improvement in IP blocking after failed login attempts (Johannes Weberhofer)
-Fixed issue #15352: which should be: register doesn't set header for bounce tracking (fkroener)
#Updated translation: Turkish by bulent
#Updated translation: Spanish (Spain) by corzel
#Updated translation: Spanish (Mexican) by corzel
#Updated translation: Somali by Fedasil001
#Updated translation: Portuguese (Portugal) by effgarces
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Luxembourgish by brainiact
#Updated translation: Kurdish (Kurmanji) by Fedasil001
#Updated translation: Hungarian by kkd
#Updated translation: French (France) by b00z00
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1, pcerny
#Updated translation: Catalan by qualitatuvic


Changes from 3.20.1 (build 191114) to 3.20.2 (build 191119) November 19, 2019
-Fixed issue #15566: Potential PHP Notice with some theme (Denis Chenu)
-Fixed issue #15565: Upload file : debug 2 : potential issue (Denis Chenu)
-Fixed issue #15564: Warnings shown for valid comparaison (Denis Chenu)
-Fixed issue #14576: getAllAnswers has security problems (Olle Haerstedt)
#Updated translation: Spanish (Spain) by corzel
#Updated translation: Luxembourgish by brainiact
#Updated translation: Indonesian by ysulistya
#Updated translation: German by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 3.20.0 (build 191112) to 3.20.1 (build 191114) November 14, 2019
-Fixed issue: Skipping on invitation/reminder sendout (Carsten Schmitz)
-Fixed issue #15523: View saved but not submitted - filters do not work (LouisGac)
-Fixed issue #15329: Missing indication for "{" and "}" at group relevance field (LouisGac)
-Fixed issue #14766: Possible collision with PHPSESSID cookies on the same domain (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Hungarian by kkd
#Updated translation: German by eddylackmann
#Updated translation: German (Informal) by c_schmitz, eddylackmann
#Updated translation: French (France) by eddylackmann


Changes from 3.19.3 (build 191023) to 3.20.0 (build 191112) November 12, 2019
-New features #15532: Show warnings when implicit alphabetical compare (#1341) (Denis Chenu)
-Fixed issue: generate PDF for a single stat is not working (LouisGac)
-Fixed issue: Template api version compatibility (Eddy Lackmann)
-Fixed issue: Slow import/copy survey if XSS filter is activated (Carsten Schmitz)
-Fixed issue: Export printable Survey not working with massive action (Eddy Lackmann)
-Fixed issue #15532: Show warnings when implicit alphabetical compare is used in expressions (Denis Chenu)
-Fixed issue #15430: Bars at statistics are often hardly visible / Wrong bar colors (Patrick Teichmann)


Changes from 3.19.2 (build 191017) to 3.19.3 (build 191023) October 23, 2019
-Fixed issue: statistics graph for Array text question type is not displayed (Dominik Vitt)
-Fixed issue: No Access-Control header in RPC (lacrioque)
-Fixed issue #15450: The GridView in "Saved but not submitted[...]" is incomplete and lacks pagination and filtering (lacrioque)
-Fixed issue #15053: Error with non-numeric SID on pgsql (Jean-Sébastien B)
-New translation: Spanish (Colombia) - translation kindly provided by https://www.sugeek.co/ (Carsten Schmitz)



Changes from 3.19.1 (build 191009) to 3.19.2 (build 191017) October 17, 2019
-Fixed issue: {SID} placeholder can't be used in invite_participants API method (Dominik Vitt)
-Fixed issue: Comparing two string with greater-than operation fails (Olle Haerstedt)
-Fixed issue: Captcha sometimes not visible because font file could not be found (Carsten Schmitz)
-Fixed issue [security] #15411: CVE-2019-17660 : XSS in quick edit (#1333) (Denis Chenu)
-Fixed issue #15389: Line breaks at question text get lots at "print answers" overview (Dominik Vitt)
-Fixed issue #15368: Filtered ranking didn't appear if in same page than the filter (Denis Chenu)
-Fixed issue #14628: Array numbers question type doesn't include proper subquestion and answer details at "print answers" overview (Dominik Vitt)
-Fixed issue #13312: Get all answers for dualscale questions (Jakob Wögerbauer)
-Fixed issue #13312: Get all answers for dualscale questions (Jakob Wögerbauer)
#Updated translation: Swedish by vectorson
#Updated translation: Spanish (Mexican) by sugeek
#Updated translation: Slovak by dusanm
#Updated translation: Russian by vipgroup
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by VBraun, jelen1
#Updated translation: Croatian by dominikvitt, qualitatuvic



Changes from 3.19.0 (build 191008) to 3.19.1 (build 191009) October 9, 2019
-Fixed issue: Syntax error in saved list view (Olle Haerstedt)


Changes from 3.18.0 (build 190923) to 3.19.0 (build 191008) October 8, 2019
-New feature: generate twig cache for questions from command line. (LouisGac)
-New feature: allow translation in theme description (LouisGac)
-Fixed issue [security]: SQL injection in participant model (James Mullen, edgescan) (Olle Haerstedt)
-Fixed issue [security] : no CRSF control when delete saved response (Denis Chenu)
-Fixed issue #15369: Ranking with filter didn't save all value (Denis Chenu)
-Fixed issue #15350: Unable to delete saved reponse (Denis Chenu)
-Fixed issue #15348: Ranking question does not save answers when array (Olle Haerstedt)
-Fixed issue #15334: Option 'Delete from the central panel and associated surveys' would not properly delete in CPDB (WalAffe)
-Fixed issue #15326: beforesurveybarrender view surveybar_view doesn't style dropdown menu correctly (Adam Zammit)
-Fixed issue #15305: Export survey participants by status (Dominik Vitt)
-Fixed issue #15162: Images in the answer options of an array are shown on the very left when switch to Arabic on small screens (Dominik Vitt)
-Fixed issue #15147: PHP notice message when exporting survey as TSV (Dominik Vitt)
-Fixed issue #15030: Css and font issue, Arabic is not displayed properly (Dominik Vitt)
-Fixed issue #15008: Captcha for later use not working in IE11 (Eddy Lackmann)
#Updated translation: Turkish by eddylackmann
#Updated translation: Thai by Mazi, tomzt
#Updated translation: Swahili by eddylackmann
#Updated translation: Slovak by dusanm
#Updated translation: Russian by vipgroup, ddrmoscow
#Updated translation: Romanian by eddylackmann
#Updated translation: Portuguese (Portugal) by effgarces
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Persian by mdavoodian
#Updated translation: Persian by ESH
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Korean by Mazi
#Updated translation: Japanese by Mazi
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by vargazsoltivan, kkd, cdorin
#Updated translation: German by marvinthemartian13,  c_schmitz
#Updated translation: German (Informal) by marvinthemartian13,  c_schmitz
#Updated translation: French (France) by eddylackmann, b00z00,  DenisChenu
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Danish by Mikkel
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by slansky, jelen1
#Updated translation: Croatian by dominikvitt
#Updated translation: Chinese (Simplified) by Mazi
#Updated translation: Catalan by qualitatuvic


Changes from 3.17.17 (build 190918) to 3.18.0 (build 190923) September 23, 2019
-New feature: define theme editor screens list from theme manifest. (LouisGac)
-New feature: allow theme developers to add their own custom data for editor preview (LouisGac)
-Fixed issue [security]: SQL injection in participant model (Olle Haerstedt)
-Fixed issue #15309: Special characters in page "Error 403" shown as entities (Denis Chenu)
-Fixed issue #15304: queXML "other" question attribute issue - multilingual survey (Dominik Vitt)
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Russian by ddrmoscow
#Updated translation: Italian by seccalisca, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by HonkXL, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Croatian by dominikvitt
#Updated translation: Croatian by dominikvitt
#Updated translation: Catalan by qualitatuvic


Changes from 3.17.16 (build 190906) to 3.17.17 (build 190918) September 18, 2019
-New feature: allow twig tmp files generation from command line to allow GlotPress parsing (LouisGac)
-Fixed issue: Language code not properly set in 'survey not available' screen (Carsten Schmitz)
-Fixed issue [security] #15257: potential XSS in CPDB by super admin (Thanks to creosote) (Denis Chenu)
-Fixed issue : unale to create dummty tokens (Denis Chenu)
-Fixed issue #15289: potential PHP warning in question editor with question theme (Denis Chenu)
-Fixed issue #15285: language changer doesn't work on tokens.twig (Denis Chenu)
-Fixed issue #15279: replacement are not done in assessments (Denis Chenu)
-Fixed issue #15243: ssl alert is shown to simple user too (#1319) (Denis Chenu)
-Fixed issue #15237: Upload 3gpp, amr, aac audio files using File Upload Question (Denis Chenu)
-Fixed issue #15237: Upload 3gpp, amr, aac audio files using File Upload Question (#1318) (Denis Chenu)
-Fixed Issue: force_xmlsettings_for_survey_rendering not taken in account (LouisGac)
-Fixed issue #15243: ssl alert is shown to simple user too (Denis Chenu)
-Fixed issue #15218: Allow to disable SSL alert (Denis Chenu)
#Updated translation: Turkish by kayazeren
#Updated translation: Tagalog by Mazi
#Updated translation: Russian by vipgroup, ddrmoscow
#Updated translation: Portuguese (Brazil) by GabrielLF
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: German by eddylackmann, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Filipino by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 3.17.15 (build 190903) to 3.17.16 (build 190906) September 6, 2019
-Fixed issue: breaking js issues on IE11 (lacrioque)
-Fixed issue : No save button when add Question (Denis Chenu)
-Fixed issue #15229: Subquestions do not have GID changed once the parent question is moved (lacrioque)
-Fixed issue #15228: This survey throw a Error when try to print (#1317) (Denis Chenu)
-Fixed issue #15227: Unable to Delete Questions (lacrioque)
-Fixed issue #15221: unable to send mail to participants - apache handler error 403 (Denis Chenu)


Changes from 3.17.14 (build 190902) to 3.17.15 (build 190903) September 3, 2019
Fixed issue #15207: Settings and Structure tabs are broken - no action happens

Changes from 3.17.13 (build 190824) to 3.17.14 (build 190902) September 2, 2019
-Fixed issue: setting "Show header in answers export PDFs" not taken in account (LouisGac)
-Fixed issue: [security]XSS in admin box buttons - kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]XML breakout possible on export - kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]X-Frame-Options SAMEORIGIN not set by default - kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]User unaware that SSL encryption should be enforced (Carsten Schmitz)
-Fixed issue: [security]Path revelation (Carsten Schmitz)
-Fixed issue: [security]LDAP login non-generic login message - kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]LDAP login non-generic login message - kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]Equation signs are not masked by default on data export (Carsten Schmitz)
-Fixed issue: [security]Equation signs are not masked by default on data export (Carsten Schmitz)
-Fixed issue: [security]CSRF cookie missing HTTP only parameter- kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]Admin user without permissions can still see plugins page - kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]Admin user with settings permissions can can run integrity check - kindly reported by Pavol Michalec & Frederik Koľbík (Carsten Schmitz)
-Fixed issue: [security]Admin user with limited permissions can view/update/delete reserved menu entries (Carsten Schmitz)
-Fixed issue: [security]Admin user can mark other user notification as read (Carsten Schmitz)
-Fixed issue: [security] Database backup uses browser cache (Carsten Schmitz)
-Fixed issue: [security] Browser cache used for exports (Carsten Schmitz)
-Fixed issue: [security] #15204: Stored XSS vulnerabilities - Thanks to J. Greil from the SEC Consult Vulnerability Lab (https://www.sec-consult.com) (Denis Chenu)
-Fixed issue: [security] #15204: Reflected XSS vulnerabilities - thanks to J. Greil from  the  SEC  Consult Vulnerability Lab (Denis Chenu)
-Fixed issue: Survey upload self-reflecting XSS (Carsten Schmitz)
-Fixed issue: Sidebar not working on IE11 (lacrioque)
-Fixed issue: Memory issues if too many responses exist for the same token in a non-anonymous survey (Carsten Schmitz)
-Fixed issue: Memory issues if too many responses exist for the same token in a non-anonymous survey (Carsten Schmitz)
-Fixed issue: LsTutorial only working in debug mode (lacrioque)
-Fixed issue: Language not updated on import and overwrite in CPDB (lacrioque)
-Fixed issue: JS error in firstStartTour onShow code (#1315) (Martin Unkel)
-Fixed issue: After survey activation the ExpressionManager cache was not updated (Carsten Schmitz)
-Fixed issue #15212: Survey navigation shows message "Please use the survey navigation buttons...[]" instead of navigating (Carsten Schmitz)
-Fixed issue #15209: 500 error when try to save long administrator name (Denis Chenu)
-Fixed issue #15208: MSSQL error on 2nd page of theme (Denis Chenu)
-Fixed issue #15199: MSSQL : date/time question are not reloaded properly (Denis Chenu)
-Fixed issue #15197: Submitting empty menu entry crashes application ( Application Denial of Service) (lacrioque)
-Fixed issue #15194: Unable to remove page title from PDF generated at "print answers" screen (LouisGac)
-Fixed issue #15192: entering html code inside the answeroptions for List type questions will break/alter the html for editing answers (Patrick Teichmann)
-Fixed issue #15188: Access Label sets list (lacrioque)
-Fixed issue #14863: Extending core theme using the same core theme name (Eddy Lackmann)
-Fixed issue #10168: Commit test! Ignore (Carsten Schmitz)
-New translation: Filipino (Carsten Schmitz)

Changes from 3.17.12 (build 190823) to 3.17.13 (build 190824) August 24, 2019
-Fixed issue #15185: Surveys with less or more then 4-6 digits will not display the sidepanel (Patrick Teichmann)


Changes from 3.17.11 (build 190822) to 3.17.12 (build 190823) August 23, 2019
-Fixed issue #15182: Sub Questions cannot be deleted (Patrick Teichmann)


Changes from 3.17.10 (build 190821) to 3.17.11 (build 190822) August 22, 2019
-Fixed issue: sidepanel breaking on surveys with a 5 digit id (lacrioque)
-Fixed issue: adding and deleting os subquestion and answers broken (lacrioque)


Changes from 3.17.9 (build 190731) to 3.17.10 (build 190821) August 21, 2019
-New translation: Uyghur kindly provided by Namsiz Adam (Carsten Schmitz)
-Fixed issue: cannot save questions anymore (lacrioque)
-Fixed issue: Tagalog translation not available (Carsten Schmitz)
-Fixed issue: Panel integration 500 error (lacrioque)
-Fixed issue [security]: XSS with contructor statements in textedit (lacrioque)
-Fixed issue [security]: Check both mime type and file extension when validating image (Olle Haerstedt) kindly reported by PAVOL MICHALEC/FREDERIK KOĽBÍK from ESET 
 ( https://www.eset.sk )
-Fixed issue [security]: #15137: XSS when use Predefined label sets (Denis Chenu) Reported by Michele Cisternino https://www.linkedin.com/in/michelecisternino/ (Denis Chenu)
-Fixed issue [security]: #15094 XSS in label title (Denis Chenu) Reported by Michele Cisternino https://www.linkedin.com/in/michelecisternino/ (Denis Chenu)
-Fixed issue [security]: #15094 XSS in Boxes (thanks to Michele Cisternino) (Denis Chenu)
-Fixed issue #14921: Ranking question on mobile devices (problem with dragging/scrolling) (Markus Flür)
-Fixed issue #14908: The Button "exit and clear survey entrys" should not be on the last page (endmessage) (Patrick Teichmann)
-Fixed issue #14443: "Go to survey" menu icon not working in collapsed menu mode (lacrioque)
#Updated translation: Uighur by c_schmitz
#Updated translation: Turkish by kayazeren
#Updated translation: Thai by adzpire, tomzt
#Updated translation: Swedish by eddylackmann
#Updated translation: Russian by vipgroup
#Updated translation: Romanian by cdorin, andreig
#Updated translation: Portuguese (Brazil) by alfonso-peixoto
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Kurdish (Sorani) by AryaSarhan12
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd
#Updated translation: German by eddylackmann
#Updated translation: German (Informal) by eddylackmann
#Updated translation: French (France) by eddylackmann, b00z00, DenisChenu
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Danish by Mikkel
#Updated translation: Croatian by rovinj
#Updated translation: Croatian by dominikvitt
#Updated translation: Catalan by qualitatuvic
#Updated translation: Arabic by RayhaneK, Muhammad_Hosny
#Updated translation: Amharic by cdorin


Changes from 3.17.8 (build 190722) to 3.17.9 (build 190731) July 31, 2019
-New feature: allow user to upload custom twig extensions (LouisGac)
-Fixed issue [security]: File extension not filtered, possible XSS (reported by: Equipe web, Etat de Genève – www.ge.ch ) (LouisGac)
-Fixed issue #15069: setting admin password with CLI database installation fails (Christian Rudolph)
-Fixed issue #15060: Other option with number only erases decimal comma - with NO warning (Denis Chenu)


Changes from 3.17.7 (build 190627) to 3.17.8 (build 190722) July 22, 2019
-Fixed issue: redirection after adding ComfortUpdate Key (Eddy Lackmann)
-Fixed issue #15040: Adding ComfortUpdate key at  leads to blank screen (Eddy Lackmann)
-Fixed issue #14989: Problem can't upload file on some server (Denis Chenu)
-Fixed issue #14975: Limesurvey users with limited rights get "undefined" error message when trying to upload a file at the survey theme options (Dominik Vitt)
-Fixed issue #14964 : use Survey::model in command plugin reset theme (Denis Chenu)
-Fixed issue #14829: Green bar after calculating storage (Olle Haerstedt)
#Updated translation: Romanian by cdorin
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Arabic by RayhaneK
#Updated translation: Arabic by RayhaneK

Changes from 3.17.6 (build 190624) to 3.17.7 (build 190627) June 27, 2019
-Fixed issue #14187: In IE, for an Array question the radio buttons disappear when resizing the page to the point the answers start to stack (Dominik Vitt)
-Fixed issue #14604: Fixed invalid ajaxUpdate setting "true" causing issues for other scripts (Patrick Teichmann)
-Fixed issue #14928: No CPDB grid refresh after adding a new entry (Patrick Teichmann)
-Fixed issue #15003: Panel integration not displayed in French (Denis Chenu)
-Fixed issue #15004: Show correct id attribute for additional attributes (Stefan Verweij)
-Fixed issue: ComfortUpdate download counts incorrect (Carsten Schmitz)
#Updated translation: Arabic by malbariqi, Muhammad_Hosny, RayhaneK
#Updated translation: Croatian by dominikvitt
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Danish by Mikkel
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by b00z00, DenisChenu, JMI
#Updated translation: German by c_schmitz, Basil, Mazi, Joffm, timeco
#Updated translation: German (Informal) by Joffm
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Latvian by vipgroup
#Updated translation: Norwegian (Bokmål¥l) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Brazil) by edgard, holch
#Updated translation: Portuguese (Portugal) by joseluisfaria
#Updated translation: Romanian by cdorin
#Updated translation: Slovenian by andrej.lindic
#Updated translation: Spanish (Mexican) by oleggorfinkel, aesteban
#Updated translation: Spanish (Spain) by oleggorfinkel, aesteban
#Updated translation: Tajik by Iskandar_r
#Updated translation: Turkish by kayazeren


Changes from 3.17.5 (build 190604) to 3.17.6 (build 190624) June 24, 2019
-Fixed issue [security]: Unauthorized admin can create new user using Authdb plugin (Dominik Vitt)
-Fixed issue #14337: Comparaison String and Numeric is different in same page and other page (Denis Chenu)
-Fixed issue #14742: Questions with Expresion Manager code are not shown properly at Quota overview (Denis Chenu)
-Fixed issue #14779: Opening and ending tag issue on token edit form (Dominik Vitt)
-Fixed issue #14881: 'Show pop-ups' 'Off'-setting not working anymore (Dominik Vitt)
-Fixed issue #14898: Prevent SID of -1 during import (Denis Chenu)
-Fixed issue #14936: Preview group : relevance on question broken (#1298) (Denis Chenu)
-Fixed issue #14951: Loss of data when loading a non finished survey (Dominik Vitt)
-Fixed issue #14954: Charts in Statistics are not showing completely - added check (Dominik Vitt)
-Fixed issue #14962: Checkbox radio Y scale don't shown in little screen (partial) (Denis Chenu)
-Fixed issue #14966: Array checkbox : all EM usage in same page is broken (Denis Chenu)
-Fixed issue #14967: Validation code uneditable (Denis Chenu)
-Fixed issue #14969: Missing noanswer-item class for 5 point choice array (Denis Chenu)
-Fixed issue #14987: Preview question not working (Denis Chenu)
-Fixed issue #14998: Usage of self.NAOK insique all question part are broken (Denis Chenu)
-Fixed issue: HTML tables have a missing cell in statistics (Markus Flür)
-Fixed issue: missing noanswer-item class for array by column (Denis Chenu)


Changes from 3.17.4 (build 190529) to 3.17.5 (build 190604) June 4, 2019
-New translation: Tajik - kindly provided by Iskandar_r (Carsten Schmitz)
-Fixed issue #13942: R syntax file export appends 'unknown type' line to the end of the syntax file when timings are activated (Carsten Schmitz)
-Fixed issue #14456: Regression: Feature for selecting which data columsn to show was removed after Limesurvey 2.6 LTS (Patrick Teichmann)
-Fixed issue #14528: Teilnehmer Import aus Zentrale Teilnehmerdatenbank / Zugriffsrechte | participants import from cpdb / access rights (Patrick Teichmann)
-Fixed issue #14708: Upload files question type does not actually check file type (Denis Chenu)
-Fixed issue #14941: Variations choosed in Global theme options are not set in preview (Dominik Vitt)
-Fixed issue #14949: Token based placeholders are not replaced when creating queXML PDF - another fix (Dominik Vitt)
-Fixed issue #14949: Token based placeholders are not replaced when creating queXML PDF (Dominik Vitt)
-Fixed issue #14954: Charts in Statistics are not showing completely (Dominik Vitt)
-Fixed issue: "No answer" label not shown on charts in Statistics in some cases (Dominik Vitt)
-Fixed issue: PHP notice message when trying to open response queXML file (Dominik Vitt)
-Fixed issue: queXML PDF export breaks when some label is false, only with debug mode on (Dominik Vitt)
-Fixed issue: wrong group order in queXML pdf export (Dominik Vitt)
#Updated translation: Croatian by dominikvitt
#Updated translation: French (France) by DenisChenu
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Hungarian by kkd, bacskaicsaba
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Tajik by c_schmitz

Changes from 3.17.3 (build 190429) to 3.17.4  (build 190529) May 29, 2019
-Fixed issue [security]: survey manager can use SQL injection to access all data in the database (LouisGac)
-Fixed issue [security] #14836: XSS on icon for Boxes (Denis Chenu)
-Fixed issue: "Array text" questions were using subquestion code instead of subquestion text at print answers overview. Adjusted according to default array question layout. (Marcel Minke)
-Fixed issue #13516: Cannot access localized (i18n) values for a custom question attribute (Dominik Vitt)
-Fixed issue #13608: Permission to create participants in the central participants database (Patrick Teichmann)
-Fixed issue #13739: Relevance equation broken for array by column (Dominik Vitt)
-Fixed issue #13904: UTF-8 characters not correctly saved in survey texts when using MSSQL DB (Carsten Schmitz)
-Fixed issue #13936: Bootswatch inherit everyting to no: deactivate container (#1196) (Denis Chenu)
-Fixed issue #14038: Minor interface text changes (Carsten Schmitz)
-Fixed issue #14060: Deleting a participant and associated surveys and all associated responses from CPDB not working (Patrick Teichmann)
-Fixed issue #14148: Quota out is shown as completed in token list (Dominik Vitt)
-Fixed issue #14179: List questions panel - group-edit questions - Delete - text issue (Carsten Schmitz)
-Fixed issue #14187: In IE, for an Array question the radio buttons disappear when resizing the page to the point the answers start to stack. (Markus Flür)
-Fixed issue #14187: (Revisited) In IE, for an Array question the radio buttons disappear when resizing the page to the point the answers start to stack. (Markus Flür)
-Fixed issue #14201: Small text issue - reorder questions/groups panel (Carsten Schmitz)
-Fixed issue #14255: Current global theme options don't show in theme editor preview (Dominik Vitt)
-Fixed issue #14459 : show information about token field and duplicate (Denis Chenu)
-Fixed issue #14468: Viewing "Surveys in this group" displays all surveys regardless of Survey Group (Dominik Vitt)
-Fixed issue #14513: Permissions on shared participants (CPDB) (Patrick Teichmann)
-Fixed issue #14514: Purpose of permission "update" - CPDB (Patrick Teichmann)
-Fixed issue #14516: Delete from the central panel and associated surveys - CPDB (Patrick Teichmann)
-Fixed issue #14559: Theme editor loads parent theme.css file instead of current theme.css file (Dominik Vitt)
-Fixed issue #14598: Bad order shown in List question (#1237) (Denis Chenu)
-Fixed issue #14660: Unable to choose icon on Boxes (Olle Haerstedt)
-Fixed issue #14667: No timer message displayed for boilerplate question (Dominik Vitt)
-Fixed issue #14701: upload files - duplicate alert message (Denis Chenu)
-Fixed issue #14788: resume later + ajax mode : JS issue (Patrick Teichmann)
-Fixed issue #14809: Caret is over the text in group list (Dominik Vitt)
-Fixed issue #14815: exporting tab-separated removes mandatory property of questions (Dominik Vitt)
-Fixed issue #14844: Deprecated warning when running survey with PHP 7.3.4 (Dominik Vitt)
-Fixed issue #14855: Allowed invalid completed survey with full index (Denis Chenu)
-Fixed issue #14858: Upload status is not visible enough (#1272) (Denis Chenu)
-Fixed issue #14862: Export to LSS on Portuguese (Portugal) language (Denis Chenu)
-Fixed issue #14875: No error is shown at debug=0 if DB is broken (#1279) (Denis Chenu)
-Fixed issue #14895: Upgrading problem from version 2.* to 3.17.3 (Dominik Vitt)
-Fixed issue #14899: Incorrect behavior with Question of type R (Ranking) (Denis Chenu)
-Fixed issue #14900: numerical array with checkboxes lose all data (Dominik Vitt)
-Fixed issue #14934: Survey theme options are reset to default values (Dominik Vitt)
-Fixed issue #14938: Check data integrity : die with renaming a non existing table (Denis Chenu)
-Fixed issue #14939: Check data integrity with a lot of broken question : SQL error (MSSQL) (Denis Chenu)
-Fixed issue: Administrators now have access to the CPDB if they have shared participants or have global Permissions 'read, create, update, delete', "global Permissions" > "shared Permissions" (Patrick Teichmann)
-Fixed issue: multiple select not acknowledged by pjax form (Markus Flür)
-Fixed issue : Only one survey is find for SurveyLanguageSetting in checkintegrity (Denis Chenu)
-Fixed issue: Properly show "Array text" questions at print answers screen (Marcel Minke)
-Fixed issue: Question selector not working on IE11 (Markus Flür)
-Fixed issue: regression, list radio rows have no iterator (Markus Flür)
-Fixed issue: Some minor translation issues (Carsten Schmitz)
#Updated translation: Arabic by waseemz
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Chinese (Taiwan) (Traditional) by hms5232
#Updated translation: Croatian by dominikvitt
#Updated translation: Czech by c_schmitz, slansky, VBraun, jelen1
#Updated translation: Czech by jelen1, nekola
#Updated translation: Czech by nekola, jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Czech (Informal) by slansky, c_schmitz, jelen1, VBraun, dusanm
#Updated translation: Danish by Mikkel
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by DenisChenu
#Updated translation: French (France) by DenisChenu, arnaud21, b00z00, riqcles
#Updated translation: French (France) by DenisChenu, b00z00
#Updated translation: German by bewi
#Updated translation: German by c_schmitz, bewi
#Updated translation: German (Informal) by bewi, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian by lfanfoni, Prosperocco
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Portugal) by castrosergioms, joseluisfaria
#Updated translation: Romanian by cdorin
#Updated translation: Russian by T34, vipgroup
#Updated translation: Russian by vipgroup
#Updated translation: Spanish (Mexican) by c_schmitz, k001, emphasis034, javoguadas, larjona, aesteban, fernandoessv, cripton, Dhel210, rodrirokr, gabrieljenik, oleggorfinkel
#Updated translation: Spanish (Mexican) by oleggorfinkel
#Updated translation: Tajik by c_schmitz, Iskandar_r
#Updated translation: Turkish by kayazeren
#Updated translation: Vietnamese by dnvservices

Changes from 3.17.2 (build 190408) to 3.17.3 (build 190429 ) April 29, 2019
-Fixed issue #13793: Error on RPC: add_response method with "Anonymized responses" Survey (Olle Haerstedt)
-Fixed issue #13950: SQL Error when saving a response or getting a session token via API (Denis Chenu)
-Fixed issue #13974: Batch-edit emails not working properly (Patrick Teichmann)
-Fixed issue #14652: Quota system is showing submit button when quota exceeded (Dominik Vitt)
-Fixed issue #14700: DbHttpSession brok (mariadb) with data too long (Denis Chenu)
-Fixed issue #14763: Slider didn't have label (Denis Chenu)
-Fixed issue #14765: Persistent XSS for Menu Entries (Patrick Teichmann)
-Fixed issue #14775: Unable to use slider without js (Denis Chenu)
-Fixed issue #14785: Group Name and Description do not display on Export to Printable Survey (Dominik Vitt)
-Fixed issue #14785: Question type file upload in surveys does not work in Internet Explorer 11 (Patrick Teichmann)
-Fixed issue #14793: Faulty assignments of query groups when importing participants from LDAP (Carsten Schmitz)
-Fixed issue: error message when using default values and trying to preview or execute survey (Dominik Vitt)
-Fixed issue : unable to delete label set in grid (Denis Chenu)

Changes from 3.17.0 (build 190402) to 3.17.1 (build 190408) April 8, 2019
-[security] Fixed issue #14728: Persistent XSS for question groups (Thanks to bewi) (Denis Chenu)
-[security] Fixed issue #14737: XSS with file upload (Denis Chenu)
-[security] Fixed issue #14753: No control on attachments email files (Denis Chenu)
-[security] Fixed issue #14727: Persistent XSS in relevance equation (Denis Chenu)
-Fixed issue #14649: CDbException when a "default answer" option is not compatible with a question type (#1252) (Denis Chenu)
-Fixed issue : CPDB sharing participant 500 error and language missing (Markus Flür)
-Fixed issue : Detailed admin attachments not set (Denis Chenu)
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Hungarian by kkd
#Updated translation: Norwegian (Bokmål) by pmonstad

Changes from 3.16.1 (build 190314) to 3.17.0 (build 190402) April 2, 2019
-New feature: Allow event to send core email if redirect after register (Denis Chenu)
-[security] Fixed issue #14634: XSS in KCFinder (Denis Chenu)
-[security] Fixed issue #14635: XSS Attack Vector - export_helper.php (Denis Chenu)
-[security] Fixed issue #14670: Update tcpdf to 6.2.25 (Denis Chenu)
-[security] Fixed issue #14679: Theme admin can delete any directory (Denis Chenu)
-Fixed issue #13873: When using the short free text with map, the search box doesn't show for users (Denis Chenu)
-Fixed issue #14439: Buttons shown without required theme permissions (Dominik Vitt)
-Fixed issue #14609: Prevent import of survey with SID 0 (#1240) (Jean-Sébastien B)
-Fixed issue #14625: Summary Table (Frequencies) for 5-Point Choice is Confusing (Dominik Vitt)
-Fixed issue #14682: When deactivation survey with debug 1 : receive a CDbException (Denis Chenu)
-Fixed issue #14686: Unable to see Survey list (debug>1) (Denis Chenu)
-Fixed issue #14688: No translation for breadcrumb text (Dominik Vitt)
-Fixed issue #14692: CDbException when testing survey (Denis Chenu)
-Fixed issue #14699: Start popups add , between string (Denis Chenu)
-Fixed issue #14713: Persistent XSS in user group management (Denis Chenu)
-Fixed issue #14716: Participant attribute tab shwon in condition editor for anonymized survey (Denis Chenu)
-Fixed issue: ComfortUpdate in some configurations not working because CURLOPT_FOLLOWLOCATION is not allowed if safe_mode or open_basedir is set (Carsten Schmitz)
-Fixed issue: Condition editor throw error with invalid var name (Denis Chenu)
-Fixed issue: No css difference between resetted with or without default value (Denis Chenu)
-Fixed issue: Pie chart labels on statistics PDF are missing (Dominik Vitt)
-Fixed issue: Reset Boxes use invalid icon (Denis Chenu)
-Fixed issue: Unable to reset to a decimal value in slider (Denis Chenu)
-Fixed issue: Unable to set debugsql to 1 with php7 (Rene Schmidt)
-Fixed issue: Unable to set mandatory in massive with activated survey (#1239) (Denis Chenu)
-Fixed issue: upgradeTokens176() add DB prefix properly (Marcel Minke)
#Updated translation: Armenian by Lilit
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Hong Kong) (Traditional) by unixwise
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Croatian by dominikvitt
#Updated translation: Czech by jelen1
#Updated translation: Danish by Mikkel
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by JMI, fred78, DenisChenu, LouisGac
#Updated translation: German by ulisdd
#Updated translation: German (Informal) by ulisdd
#Updated translation: Hungarian by kkd
#Updated translation: Indonesian by c_schmitz, radhwaw, ysulistya
#Updated translation: Italian by ritapas, bienen, lfanfoni
#Updated translation: Italian (Informal) by ritapas, lfanfoni
#Updated translation: Latvian by daugavietis
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Russian by vipgroup
#Updated translation: Spanish (Spain) by larjona, nicolasfranco
#Updated translation: Turkish by kayazeren

Changes from 3.16.0 (build 190225) to 3.16.1 (build 190314) March 14, 2019
-[security] Fixed issue #14617: relative path allowed in lsa multiple download (LouisGac)
-New feature: Add reference to group relevance (if any) in question view (#1227) (Tõnis Ormisson)
-New Feature: listifop EM function (#1215) (Jurgen)
-New Feature: listifop EM function (Jurgen)
-Fixed issue #14595: Php Crash when trying to preview empty group (#1235) (Jean-Sébastien B)
-Fixed issue #13302: Slider "Slider starts at the middle position" and "Slider initial value" settings not working (Denis Chenu)
-Fixed issue #14435: Survey logic view -> Open printable view is not showing the correct language version (Dominik Vitt)
-Fixed issue #14507: Unable to use TOKEN or SAVEDID var in EM twig (#1216) (Denis Chenu)
-Fixed issue #14507: Unable to use TOKEN or SAVEDID var in EM twig (Denis Chenu)
-Fixed issue #14553: The countdown does not work most of the time (Dominik Vitt)
-Fixed issue #14555: Deleting question are not CRSF protected (Denis Chenu)
-Fixed issue #14563: Save question before attributes get loaded remove all attributes (Denis Chenu)
-Fixed issue #14563: Save question before attributes loaded remove all attributes (#1231) (Denis Chenu)
-Fixed issue #14572: Unable to edit answers whith fields contains a quote (' or ") (Denis Chenu)
-Fixed issue #14575: Deleting a parent Survey Group orphans child Survey Groups, causing Survey Groups List page to crash (Dominik Vitt)
-Fixed issue #14596: CApcCache enabled gives error 500 when checking data integrity. (Denis Chenu)
-Fixed issue #14597: deleting question group are not CRSF protected (Denis Chenu)
-Fixed issue #14599: Crash when enabling evaluation on an empty survey (#1238) (Jean-Sébastien B)
-Fixed issue #14618: slider resets when moving backwards with a starting value (Denis Chenu)
-Fixed issue #14628: Array numbers question type doesn't include proper subquestion and answer details at "print answers" overview (Dominik Vitt)
-Fixed issue #14645: Unable to update "Reminder count" option when using batch-edit menu (Dominik Vitt)
-Fixed issue : clear popover on response-grid reload (Denis Chenu)
-Fixed issue : dataentry are not filtered before save in database (Denis Chenu)
-Fixed issue : delete label set don't delete related files (Denis Chenu)
-Fixed issue : Label set delete are not XSS protected (Denis Chenu)
-Fixed issue : Label set delete button didn't work (Denis Chenu)
-Fixed issue: no survey bar on survey theme options page (Dominik Vitt)
-Fixed issue: remotecontrol create too many sessions (LouisGac)
-Fixed issue: selected font not loaded during the survey execution (Dominik Vitt)
-Fixed issue : slider_default_set settings didn't work (Denis Chenu)
-Fixed issue: TSV export fails if group name is empty (Dominik Vitt)
-Fixed issue: upgrade error when upgrading to version 3.16.0+190225 using SQL Server 2008 DB (Dominik Vitt)

Changes from 3.15.9 (build 190214) to 3.16.1 (build 190225) February 25, 2019
-New feature : allow update of fix num auto in theme (vanilla) (Denis Chenu)
-Fixed issue #14547: Simple mode statistic crash with L question (#1225) (Jean-Sébastien B)
-Fixed issue #14548: Fix public statistic with question L (#1226) (Jean-Sébastien B)
-Fixed issue #12103: Single response overview shows CSS and JS embedded at question text (Denis Chenu)
-Fixed issue #14404: Boilerplate question type not properly included at "Print answers" overview (Dominik Vitt)
-Fixed issue #14495: Enforce filter to avoid 'comment' keyword (#1228) (Jean-Sébastien B)
-Fixed issue #14518: Upload modals/iframes: growing height after repeated delete actions (Dominik Vitt)
-Fixed issue #14519: Letters do not get automatically deleted any longer in only numbers fields (Dominik Vitt)
-Fixed issue #14522: print answers HTML view not translating/getting the proper text for multiple choice with comment (Dominik Vitt)
-Fixed issue #14522: print answers HTML view not translating/getting the proper text for multiple choice with comment - update (Dominik Vitt)
-Fixed issue #14527: Error in import : "This is not a valid LimeSurvey survey structure XML file" (Dominik Vitt)
-Fixed issue #14533: Error in console when enter . or , in number (Denis Chenu)
-Fixed issue #14534 : unable to set complex template for email (Denis Chenu)
-Fixed issue #14536: spurious "?>" in "Create new box" page (#1221) (Dorin)
-Fixed issue #14536: spurious "?>" in "Create new box" page (Dorin)
-Fixed issue #14537: Export results displayed twice (#1222) (Dorin)
-Fixed issue #14537: Export results displayed twice (Dorin)
-Fixed issue #14538: Valid number with radix as "," shown as invalid (Denis Chenu)
-Fixed issue #14539: Export -> export a vv file (double text) (see screenshot) (Dorin)
-Fixed issue #14540: Hard to enter some value (decimal values with 0) (Denis Chenu)
-Fixed issue #14543: Response Table - ID search box is too small & does not display the text (Dominik Vitt)
-Fixed issue #14545: Unable to reset menu entries with MSSQL (Denis Chenu)
-Fixed issue #14546: Theme option menu are not show to user with Surveysettings update right (Denis Chenu)
-Fixed issue #14554: Javascript error when try to use Questions list option (Denis Chenu)
-Fixed issue : css glitch on massive actions / mandatory (Denis Chenu)
-Fixed issue : email html activated with survey with text email (Denis Chenu)
-Fixed issue : empty numerci string if only alpha (no numeric) (Denis Chenu)
-Fixed issue: sticky headers sometimes visible in minified views and cross hovers inhibiting clicks (Markus Flür)
-Fixed issue : usage of bNumRealValue from config (Denis Chenu)
#Updated translation: Armenian by Lilit
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Croatian by dominikvitt
#Updated translation: Czech by jelen1
#Updated translation: Danish by c_schmitz, nielsb, docl, robin_sharp, antispam, Mikkel
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by TonisOrmisson
#Updated translation: Georgian by Davitus
#Updated translation: Hebrew by golanta
#Updated translation: Hungarian by kkd
#Updated translation: Italian by ritapas, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Macedonian by SimonaOgnenovska
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Romanian by cdorin



Changes from 3.15.8 (build 190130) to 3.15.9 (build 190214) January 14, 2019
-Fixed issue #14499: Add first and last name to the "To" of confirmation email (#1214) (Jean-Sébastien B)
-Fixed issue #12992: PHP-function each() has been deprecated (Dominik Vitt)
-Fixed issue #14309: Upgrade to 3.15 SQL Error (Dominik Vitt)
-Fixed issue #14410: Ranking : no alert when try to put more than answer (Dominik Vitt)
-Fixed issue #14453: Deletion of responses broken (Denis Chenu)
-Fixed issue #14465: EM relevance not being recalculated after conditions changed (Full survey included) (Denis Chenu)
-Fixed issue #14472: Central participants not exporting (Denis Chenu)
-Fixed issue #14476: Better error message than token_id doesn't have a default value (Denis Chenu)
-Fixed issue #14480: No information shown after alert withot js, no way to have this managed by theme (Denis Chenu)
-Fixed issue #14481: Filter of answers not working (Denis Chenu)
-Fixed issue #14487: End-URL doesn't work correctly (Denis Chenu)
-Fixed issue #14488: Potential SQL exception when creating a subquestion (Denis Chenu)
-Fixed issue #14489: Some question html broke response browsing (Denis Chenu)
-Fixed issue #14490: PHP error with Question L on statistic with pgsql (#1212) (Jean-Sébastien B)
-Fixed issue #14492: Setting question as Mandatory does not save attribute (Dominik Vitt)
-Fixed issue #14495: Error with P type and comment suffix (Jean-Sébastien B)
-Fixed issue #14498: Participant view for statistics goes unformatted (Dominik Vitt)
-Fixed issue #14503: Save button in "Copy survey" panel does not do anything (Markus Flür)
-Fixed issue #14505: [security] XSS Attack Vector - Participant Attributes (Denis Chenu)
-Fixed issue #14508: [security] XSS Attack Vector - Assessment editing (Denis Chenu)
-Fixed issue #14509: [security] XSS Attack Vector - CPDB upload (Denis Chenu)
-Fixed issue #14511: Equations or code in questions are visible on statistics (Dominik Vitt)
-Fixed issue #14519: Letters do not get automatically deleted any longer in only numbers fields (Dominik Vitt)
-Fixed issue #14524: Take bFixNumAuto and bNumRealValue into account (Denis Chenu)
-Fixed issue: 2 delete buttons in template editor (Denis Chenu)
-Fixed issue: Display participant failing with specific set permissions (Markus Flür)
-Fixed issue: Empty Create menu shown in token with only view permission (Denis Chenu)
-Fixed issue: Error message "division by zero" when "display _columns" attribute is missing, only in debug mode (Dominik Vitt)
-Fixed issue: PHP warning message when saving new response without uploaded file (Dominik Vitt)
-Fixed issue: Printable view containe em function instead of values (Markus Flür)
-Fixed issue: Tip for numeric input still show error after fixed (Denis Chenu)
-Fixed issue: Wrong encoding specification in R script (Carsten Schmitz)
#Updated translation: Arabic by zainabalbazzal
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by DenisChenu
#Updated translation: German by c_schmitz
#Updated translation: German by ulisdd
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by ulisdd
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Portugal) by Heldinha
#Updated translation: Romanian by cdorin
#Updated translation: Russian by vavankor, vipgroup
#Updated translation: Russian by vipgroup

Changes from 3.15.7 (build 190122) to 3.15.8 (build 190130) January 30, 2019
-Fixed issue #13859: Question full index lose color when try submit (Denis Chenu)
-Fixed issue #14450: Export responses not working (Denis Chenu)
-Fixed issue #14455: {SURVEYRESOURCESURL} show as error in question on survey logic file (Denis Chenu)
-Fixed issue: At export page the dropdown list of CSV separators is not translated (Denis Chenu)
-Fixed issue: Some IE versions were not properly detected (Carsten Schmitz)

Changes from 3.15.6 (build 190108) to 3.15.7 (build 190122) January 22, 2019
-[security] Fixed issue:  possible to delete a broken theme by bait clicking an administrator (LouisGac)
-[security] Fixed issue:  possible to delete a theme by bait clicking an administrator (LouisGac)
-Fixed issue: avoid rare QID colision in checkintegrety (LouisGac)
-Fixed issue : 500 error just after survey creation (Denis Chenu)
-Fixed issue : don't replace question title starting with self or that in expression (Denis Chenu)
-Fixed issue : invalid HTML in ranking question (Denis Chenu)
-Fixed issue : unable to disable samechoiceheight and samelistheight in ranking (Denis Chenu)
-Fixed issue: Printanwers not using evaluated question and helptext (Markus Flür)
-Fixed issue: Slider not always in middle position (Markus Flür)
-Fixed issue: no "loading" icon on survey list page (Dominik Vitt)
-Fixed issue: placeholder fields can't be inserted and expresions validation doesn't work on edit email templates page (Dominik Vitt)
-Fixed issue: wrong link to noto italic (LouisGac)
-Fixed issue #14135: Evaluation of survey statistics generates a query error when using PostgreSQL DB server (Dominik Vitt)
-Fixed issue #14229: Popover showed multiple times when saving survey (#1167) (amicci)
-Fixed issue #14389: never same order in Theme list (#1208) (Denis Chenu)
-Fixed issue #14398: Unable to set a different standardthemerootdir than default one (#1201) (Denis Chenu)
-Fixed issue #14400: Unable to use self ot that fixed string in Expression (#1202) (Denis Chenu)
-Fixed issue #14406: 'Ranking' Question same choice height not updated when a expression update choice (Denis Chenu)
-Fixed issue #14411: Ranking choice height is to big than needed in case of filter (Denis Chenu)
-Fixed issue #14415: (partial) unable to use Expression Manager var in submit.twig (#1206) (Denis Chenu)
-Fixed issue #14416: Sort LDAP participant names alphabetically in the survey creation form (#1205) (s-nirali)
-Fixed issue #14424: Ranking question totally hang browser with same height (Denis Chenu)
-Fixed issue #14425: Improve Ranking speed without same height (Denis Chenu)
-Fixed issue #14426: Error exporting PDF with graphs (Dominik Vitt)
-Fixed issue #14427: On an Active survey, Option 'Other' switched to Off when update question (Denis Chenu)
-Fixed issue #14431: error 500 in question list with postgresql (Denis Chenu)
-Fixed issue #14437: Statistics - Clear button not working (LouisGac)
-Fixed issue #14441: Survey summary invalid values for administrator (Denis Chenu)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Turkish by kayazeren
#Updated translation: Vietnamese by c_schmitz, namphuong, tuannm, dnvservices

Changes from 3.15.5 (build 181115) to 3.15.6 (build 190108) January 8, 2019
-New feature: added afterSurveyActivate, afterSurveyDeactivate Plugin Events (#1168) (Marko Bischof)
-[security] Fixed issue #14376: XSS in Survey Resource zip upload (Denis Chenu)
-[security] Fixed issue #14377: XSS in kcfinder upload (Denis Chenu)
-[security] Fixed issue : XSS in theme zip upload (Denis Chenu)
-Fixed issue # 14253: Copying survey does not copy survey group (#1170) (Tõnis Ormisson)
-Fixed issue #13572: Empty assessement still shown (Denis Chenu)
-Fixed issue #13630: EM send Notice about Undefined offset (Denis Chenu)
-Fixed issue #13859: Question full index loose color when try submit (Denis Chenu)
-Fixed issue #14182: Database error when trying to define a quota (Dominik Vitt)
-Fixed issue #14186: Path to preview image broken when creating a custom question theme (Denis Chenu)
-Fixed issue #14217: Unpleasant rebound effect when editing questions (#1172) (Denis Chenu)
-Fixed issue #14243: applying filter on CPDB grid disables grid button actions (Dominik Vitt)
-Fixed issue #14258: Path to preview image broken when creating a custom admin theme (Dominik Vitt)
-Fixed issue #14270: value, valueNAOK etc … broken with GET params (Denis Chenu)
-Fixed issue #14271: Some words used by LS can be used as question codes (Denis Chenu)
-Fixed issue #14273: {ASSESSMENT_CURRENT_TOTAL} usage broken in survey (Denis Chenu)
-Fixed issue #14276: Validation for multiple numeric input is missing details about "equals sum value" (Denis Chenu)
-Fixed issue #14277: When using an existing user name at the "Save and resume later" feature, there is also a wrong warning about a wrong captcha (Dominik Vitt)
-Fixed issue #14278: When resuming a survey there is a wrong warning about disabled JavaScript and a checkbox for "Please confirm you want..." shows (Dominik Vitt)
-Fixed issue #14280: Print answers overview shows broken table format and missing details (Dominik Vitt)
-Fixed issue #14282: Language of Survey is set to default in token form (Denis Chenu)
-Fixed issue #14288: TOKEN:ATTRIBUTE_INT not replaced in expression for email and reminder (Denis Chenu)
-Fixed issue #14290: Some form can not be submitted if csrfTokenName is updated (Denis Chenu)
-Fixed issue #14294: Multi-numeric labels not translated (Dominik Vitt)
-Fixed issue #14301 : potential XSS in browse response + filter subquestion (Denis Chenu)
-Fixed issue #14312: Import participant CSV is not possible with surveys update right (#1197) (Denis Chenu)
-Fixed issue #14312: Importing participants from CSV is not possible for user with survey/create global permission (Dominik Vitt)
-Fixed issue #14313: Top part of drop-down box on participants screen is hidden (#1189) (Denis Chenu)
-Fixed issue #14313: Top part of drop-down box on participants screen is hidden (Dominik Vitt)
-Fixed issue #14314: Superadmin user rights not stored properly (Denis Chenu)
-Fixed issue #14316: Unable to delete old survey or token table (Denis Chenu)
-Fixed issue #14317: CDbException when try to set a title with more than 200 caracters (Denis Chenu)
-Fixed issue #14323: Error - resetting conditions (Denis Chenu)
-Fixed issue #14326: After activating a survey - back to survey home button not working (Dominik Vitt)
-Fixed issue #14328: Can't add SVG logo images to theme (Dominik Vitt)
-Fixed issue #14330: Renaming a template with children will break surveys using the inherited template (Thibault Le Meur)
-Fixed issue #14332: Expression manager broken in Bootstrap buttons (Denis Chenu)
-Fixed issue #14334: When importing a csv file to the participants table, the UI indicates that double Token values could be allowed (Denis Chenu)
-Fixed issue #14341: Unable to update printanswers_head and printanswers_foot via GUI (Denis Chenu)
-Fixed issue #14346: Import vv : unable to update only token and/or date (Denis Chenu)
-Fixed issue #14348: Themes storage always show 0.0M (#1195) (Denis Chenu)
-Fixed issue #14351: favicon are not loaded in public theme (Denis Chenu)
-Fixed issue #14352: Multiple HTML open in printanswers view (Denis Chenu)
-Fixed issue #14362: Template can throw error with invalid image (Denis Chenu)
-Fixed issue #14363: In theme option : current template is the default one (Denis Chenu)
-Fixed issue #14372: Ranking issue with image (Denis Chenu)
-Fixed issue #14374: Unable to disable samechoiceheight and samelistheight (Denis Chenu)
-Fixed issue #14378: Some file can not be deleted from themes file dir (Denis Chenu)
-Fixed issue #9762: Token column is blank when selecting "Not completed" or "Not started" status for token export (#1185) (Matthew)
-Fixed issue #Expressions with array number/checkbox are not reloading properly (Denis Chenu)
-Fixed issue : ASSESSMENT_CURRENT_TOTAL is not saved in Equation question type (Denis Chenu)
-Fixed issue : Bad ellipsize in question index buttons (Denis Chenu)
-Fixed issue : Language changer link goes to home page in token form (Denis Chenu)
-Fixed issue : No CSRF control when delete all condition (Denis Chenu)
-Fixed issue : No favicon in extended template (Denis Chenu)
-Fixed issue : Only partial error shown in logic file (Denis Chenu)
-Fixed issue : Save and close in personal settings goes out of limesurvey (Denis Chenu)
-Fixed issue : Unclear button in answer edition (Denis Chenu)
-Fixed issue : email and launch survey is shown without token in browse participants (Denis Chenu)
-Fixed issue : potential notice in checkintegrity (Denis Chenu)
-Fixed issue : tokenListActions can be out of screen (Denis Chenu)
-Fixed issue : unable to answer to question with relevance with js deactivated (Denis Chenu)
-Fixed issue: Can't update by ComfortUpdate if the server has set low max_upload_file size (Carsten Schmitz)
-Fixed issue: ForceAssets error on upgrade from 2.73 (Carsten Schmitz)
-Fixed issue: Logo_statistics.jpg as headerlogo was not shown in PDF statistics export if available in admintheme image folder (Marko Bischof)
-Fixed issue: Some fonts for Asian languages not properly loaded for PDF output (Carsten Schmitz)
-Fixed issue: Surveymenu breaking (Markus Flür)
-Fixed issue: notice in some cases when importing lss file with debug turned on (Dominik Vitt)
-Fixed issue: unable to send token email reminders (Dominik Vitt)
-Fixed issue: wrong sort when exporting survey as txt file (Dominik Vitt)
-Test to see if this fixes Travis. (Olle Haerstedt)
-This reverts commit 7cba71e8077ffbb9e4f572d5c299bad9e0c5a68a. (Olle Haerstedt)
-Update to yii1.1.20 (#1181) (Denis Chenu)
-fixed path to colorPalette for PDF in statistics createChart (#1194) (Marko Bischof)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Chinese (Simplified) by yooyooh, jun9, yanglaw, johnxan
#Updated translation: Croatian by dominikvitt
#Updated translation: Czech by jelen1
#Updated translation: Danish by bjorn82dk
#Updated translation: Danish by pedesjensen
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by DenisChenu
#Updated translation: French (France) by DenisChenu, LouisGac
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by holch
#Updated translation: German by c_schmitz
#Updated translation: German by holch, c_schmitz
#Updated translation: Hebrew by vis_kerem
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Macedonian by cdorin
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Portugal) by educaticteced
#Updated translation: Romanian by cdorin
#Updated translation: Tajik by Iskandar_r
#Updated translation: Thai by tomzt
#Updated translation: Turkish by kayazeren

Changes from 3.15.4 (build 181109) to 3.15.5 (build 181115)   November 15, 2018
-Fixed issue #14129: wrong translation table in German version (Dominik Vitt)
-Fixed issue #14159: Cannot delete response urlParam to get (Denis Chenu)
-Fixed issue #14182: Database error when trying to define a quota using MS sql server 2012 (Dominik Vitt)
-Fixed issue #14221: [security] No XSS control when delete a token (Denis Chenu)
-Fixed issue #14222: When deleting a single response : all page is reloaded and current filter lost (Denis Chenu)
-Fixed issue #14226: End Url don't display if survey not activated (Denis Chenu)
-Fixed issue #14229: Popover showed multiple times when save survey (Dominik Vitt)
-Fixed issue #14233: Unable to show help in advanced question settings (Denis Chenu)
-Fixed issue #14238: statistics chart tooltip shows incorrect data (Dominik Vitt)
-Fixed issue #14240: When deleting token attributes the drop down is missing the attribute names (Dominik Vitt)
-Fixed issue #14249: Tab-separated export of surveys is broken (Dominik Vitt)
-Fixed issue #14251: When deleting a token : CPDB keep link with survey (Denis Chenu)
-Fixed issue : bad column width for array text (Denis Chenu)
-Fixed issue: IP address captured for 'Resume later' even when disabled (Carsten Schmitz)
-Fixed issue: error during ComfortUpdate upgrade on PostgreSQL database (Dominik Vitt)
-Fixed issue: ranking_advanced not working (Markus Flür)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by persometrics, DenisChenu, b00z00
#Updated translation: Hungarian by c_schmitz, anikoken, kkd
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin


Changes from 3.15.3 (build 181108) to 3.15.4 (build 181109)   November 09, 2018
-New feature : list image in Survey for Brand logo file in Theme option (Denis Chenu)
-Fixed issue #14171: Survey owner without template edit right can not upload logo (Denis Chenu)
-Fixed issue #14180: Multiple logo filename with same url in dropdown (Denis Chenu)
-Fixed issue #14227: Some token with existing reponse can send PHP Warning about seed (Denis Chenu)
-Fixed issue: HTML quotes not properly decoded in VV export file header (Carsten Schmitz)
-Fixed issue: VV import not working if datestamps are off (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Finnish by jeskiv, Jmantysalo
#Updated translation: Norwegian (Bokmål) by pmonstad

Changes from 3.15.2 (build 181107) to 3.15.3 (build 181108)   November 08, 2018
-Fixed issue #11845: Relevance Equation code is missing syntax highlighting and not recognising question variables (Dominik Vitt)
-Fixed issue #14211 : no keyboard navigation available with language changer (Denis Chenu)
-Fixed issue: Condition designer doesn't show predefined answers on first load (Dominik Vitt)
-Fixed issue: Selected survey language for browsing responses was not used in detail view or queXML PDF view (Carsten Schmitz)
-Fixed issue: Update not possible from pre 3.x versions (Carsten Schmitz)
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Papiamento (Curaçao and Bonaire) by c_schmitz
#Updated translation: Romanian by cdorin


Changes from 3.15.1 (build 181017) to 3.15.2 (build 181107)  November 07, 2018

-New feature: allow to change config file location (LouisGac)
-New feature: allow to change config file location, part 2 (LouisGac)
-New feature: configuration option to use a single upload directory for all surveys (LouisGac)
-Fixed issue #10162: new visit on a survey with token deletes last entry (Dominik Vitt)
-Fixed issue #11787: filtered question with multiple column (Denis Chenu)
-Fixed issue #13982: Allow kcfinder use with CHttpSession derived classes (#1112) (Casey Lucas)
-Fixed issue #14062: No languages list when clicking the hamburger icon in Token page (Dominik Vitt)
-Fixed issue #14066: Broken link on reset button from mass-action response export (Anton Victorson)
-Fixed issue #14098: Subquestion incorrectly named 'Sub-question' (Carsten Schmitz)
-Fixed issue #14101: Missing CSS-class "form-horizontal" for multiple-short-text-questions (Denis Chenu)
-Fixed issue #14106: Button "Add new question to group" does not work (Dominik Vitt)
-Fixed issue #14124: Changing invitation/reminder dates for a certain tokens changes the date format at the database (Dominik Vitt)
-Fixed issue #14150: Wrong survey menu id entry (Carsten Schmitz)
-Fixed issue #14162: Functionality ranking questions breaks with relev… (#1154) (Denis Chenu)
-Fixed issue #14167: Double Quotes are not allowed (title) = File upload (Dominik Vitt)
-Fixed issue #14168: PHP7.2.0 Removed plugins throw error in plugin manager (Denis Chenu)
-Fixed issue #14191: Broken question view if sum of width !=12 (Denis Chenu)
-Fixed issue #14192: Mass action on Survey listing doesn't work on second page (Dominik Vitt)
-Fixed issue #14196: Unable to use dynamic mindate and maxdate (Denis Chenu)
-Fixed issue #14205: Unable to save, clearall (and maybe load) without javascript (Denis Chenu)
-Fixed issue #14209: Long answer options for array question types not line-breaked in mobile view (Dominik Vitt)
-Fixed issue #14212: Deleting or editing details of a to be attached file at token emails is not doable (Dominik Vitt)
-Fixed issue #14216: Users without rights to delete tokens can still delete them (Denis Chenu)
-Fixed issue : Same choice height work again (Denis Chenu)
-Fixed issue : aria-label for warning and error not translated (Denis Chenu)
-Fixed issue : broken HTML validatio on welcome page (Denis Chenu)
-Fixed issue : class and title broken in array number (text layout) (Denis Chenu)
-Fixed issue : hidden column in multiple short text (Denis Chenu)
-Fixed issue : label usage broken in token form (Denis Chenu)
-Fixed issue : no "No answser" in list with comment , dropdown (Denis Chenu)
-Fixed issue : no label related for Yes No button (a11y related) (Denis Chenu)
-Fixed issue: EM variables are shown in red color after survey copy (Dominik Vitt)
-Fixed issue: JSON editor options to load the right content (#1130) (yent)
-Fixed issue: Not possible to save or load saved survey when in anonymized mode (Dominik Vitt)
-Fixed issue: PHP7 compatibility (Markus Flür)
-Fixed issue: PHP7 compatibility 2 (Markus Flür)
-Fixed issue: Survey groups not being wiped (Carsten Schmitz)
-Fixed issue: can't extract large zip file (LouisGac)
-Fixed issue: child survey group could become parent (LouisGac)
-Fixed issue: content, whatever its type, was passed to CHtml::encode which expects a string due to lack of encode htmlOption for CHtml::textarea. Also added needed json_encode so that textarea value is a string in the end. (yent)
-Fixed issue: corrected the icon class on the footer help icon (Markus Flür)
-Fixed issue: datefield from mssql database always contains milliseconds (Markus Flür)
-Fixed issue: more php7 issues fixed (count, etc) (Markus Flür)
-Fixed issue: multiple design issues in question edit (Markus Flür)
-Fixed issue: resumed survey lose saved values after click on "Next" (Dominik Vitt)
-Fixed issue: unable to check all questions on survey statistics page (Dominik Vitt)
-Fixed issue: upload to generalfiles fails (Markus Flür)
-Fixed issue: wrong path for adminstyle-rtl.css (Dominik Vitt)
#Updated translation: Arabic by AbdelmalekTEBBOUB
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Croatian by dominikvitt
#Updated translation: Czech by jelen1
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Dutch by kpadm, Han
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by actxcellence, c_schmitz
#Updated translation: Hebrew by vis_kerem
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Norwegian (Bokmål) by peterhol, pmonstad
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Russian by ddrmoscow
#Updated translation: Spanish (Argentina) by Eescudero
#Updated translation: Thai by tomzt


Changes from 3.15.0 (build 181008) to 3.15.1 (build 181017) to  October 17, 2018
-Fixed issue #13928: script (and tag) are not filtered or encoded if question is in same group (Denis Chenu)
-Fixed issue #14061: Duplication check when adding participant to survey not working (#1119) (Thomas Singer)
-Fixed issue #14122: Missing translation for question type labels/dialog/buttons (Carsten Schmitz)
-Fixed issue #14133: lss with long group name broke when import (#1138) (Denis Chenu)
-Fixed issue #14142: Integer values in pdf report in multiple numerical input (Denis Chenu)
-Fixed issue #14146: Graphs in pdf not correctly displayed (Dominik Vitt)
-Fixed issue : Disable direct access to uploaded files (apache only) (Denis Chenu)
-Fixed issue: Statistics export as PDF opens the PDF in the current tab. It should create a download like the Excel export. (#982) (kw-pr)
-Fixed issue: Statistics show error 500 when exporting to Excel (Carsten Schmitz)
-Fixed issue: {SID} placeholder does not work in email templates (#1139) (Anton Victorson)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Czech by jelen1
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Spanish (Spain) by c_schmitz, aesteban

Changes from 3.14.11 (build 180926) to 3.15.0 (build 181008) October 8, 2018
-New feature #14119: minute step for datetimepicker (Denis Chenu)
-New feature: Added Italian language to multilingual sample survey (Luciano Fanfoni) (Carsten Schmitz)
-Fixed issue #13850: Missing favicon.ico for fruity theme (Dominik Vitt)
-Fixed issue #13975: Error if scope is not selected while editing assessments (Dominik Vitt)
-Fixed issue #14072: Integer values in pdf report shown as decimals (Dominik Vitt)
-Fixed issue #14094: Token modal not opening while having filters in responses view (Dominik Vitt)
-Fixed issue #14105: Unable to open Central participant database if logged in as survey administrator (Dominik Vitt)
-Fixed issue #14114: no background color while executing the survey (Dominik Vitt)
-Fixed issue #14124: Changing invitation/reminder dates for a certain tokens changes the date format at the database (Dominik Vitt)
-Fixed issue #14125: DB user with insufficient right can show white page when installing (#1133) (Denis Chenu)
-Fixed issue #14127: Slider with only right part broken (#1134) (Denis Chenu)
-Fixed issue #14127: Slider with only right part broken (Denis Chenu)
-Fixed issue: Montenegrin translation causing error with file upload questions (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: German by tbart, c_schmitz
#Updated translation: Spanish (Spain) by aesteban, gabrieljenik, rodrirokr
#Updated translation: Galician by Calidonia
#Updated translation: Croatian by dominikvitt
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: German (Informal) by tbart, c_schmitz

Changes from 3.14.10 (build 180924) to 3.14.11 (build 180926) September 26, 2018
#Updated translation: Chinese (Taiwan) (Traditional) by sylsylsylvie, joyce
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by tbart
-DEV: Fix TokenDynamic parameter PhpDoc (#1128) (Tõnis Ormisson)
-Fixed issue #13817: Add scenario - display issues (Markus Flür)
-Fixed issue #14048: Valid Expression Manager placeholders are wrongly marked as invalid variables at survey logic file (Denis Chenu)
-Fixed issue #14054: Lil design issue with set expiry date (Markus Flür)
-Fixed issue #14080: moving backwards clears answer (Date/Time question) (Denis Chenu)
-Fixed issue #14081: Save button on the "Add participants" window not working. (Markus Flür)
-Fixed issue14100: Export to excel crashes when run from advanced statistics (Markus Flür)
-Fixed issue: end url not decoded for automatic redirection (LouisGac)
-Fixed issue: permission for theme option in survey not working (Markus Flür)

Changes from 3.14.9 (build 180917) to 3.14.10 (build 180924) September 24, 2018
-New Feature: added Twig function getAllAnswers() (LouisGac)
-Fix trailing quotes (#1122) (Tõnis Ormisson)
-Fixed issue #13944: Template variable for survey title is empty when the survey is prompting for a token (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Czech by VBraun, jelen1, c_schmitz
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by b00z00
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Spanish (Spain) by larjona, aesteban

Changes from 3.14.8 (build 180829) to 3.14.9 (build 180917) September 17, 2018

-[security] fixed issue:  possible xss via last survey visited (reported by Ismail Tasdelen ) (LouisGac)
-Fixed issue #14042: Group filter on Survey list page to show only own survey groups (Dominik Vitt)
-Fixed issue #12605: Redirect bug when creating dummy participant with mandatory attribute (Dominik Vitt)
-Fixed issue #13337: Fail on CSV token import when import file with Mac line endings (Carsten Schmitz)
-Fixed issue #13903: Get parameters do not work with tokenized survey (Dominik Vitt)
-Fixed issue #13967: Installed Themes overview (Dominik Vitt)
-Fixed issue #13982 : (partial) some existing Yii cacche can not be used (Casey Lucas)
-Fixed issue #13987: Bug after try adding multiple token attributes (Dominik Vitt)
-Fixed issue #13990: Empty error message if token's "Completed" date not chosen (Dominik Vitt)
-Fixed issue #13992: Error when installing LimeSurvey and using MSSQL (message: "Error converting nvarchar to datetime") (Carsten Schmitz)
-Fixed issue #13993: Batch-edit participants is missing the language field (Dominik Vitt)
-Fixed issue #13994: Question validation equation along with "Hide tip" (Dominik Vitt)
-Fixed issue #13998: Survey breadcrumb bar disappears when adding/deleting participant table (Dominik Vitt)
-Fixed issue #13999: Incorrect translation in Logic File (Dominik Vitt)
-Fixed issue #14019: The API call "get_uploaded_files" is not returning all uploaded files (Dominik Vitt)
-Fixed issue #14020: Subquestions GIDs not updated when moving between groups (Dominik Vitt)
-Fixed issue #14029: Breadcrumb shows "Add a new question", also when editing a saved question (Dominik Vitt)
-Fixed issue #14030: Group relevance equations are lost when exporting a survey in tab-separated text format (Dominik Vitt)
-Fixed issue #14033: Re-ordering groups when a group is open using Structure drag & drop fails (Markus Flür)
-Fixed issue #14037: Bad display on "Add a new survey administrator" form (Dominik Vitt)
-Fixed issue #14042: Inappropriate display of "Survey Groups" (Dominik Vitt)
-Fixed issue #14050: Unable to import all responses if startdate added (Dominik Vitt)
-Fixed issue #14052: Can't export response statistics to XLS with debug=2 (Dominik Vitt)
-Fixed issue #14058: vvimport failing because of missing default values on newer MariaDB databases (Markus Flür)
-Fixed issue: Array(numbers) does not allow to set decimal step width on certain browsers (Carsten Schmitz)
-Fixed issue: Better "Exit and clear survey" button functionality (Dominik Vitt)
-Fixed issue: PASSTHRU was broken when using other replacements in the end url (LouisGac)
-Fixed issue: Step value was hardcoded to 1 for Array(Number) question (Carsten Schmitz)
-Fixed issue: wrong encoding of end URL (LouisGac)
-New translation: Montenegrin (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Chinese (Simplified) by yanglaw, johnxan
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by b00z00
#Updated translation: French (France) by c_schmitz
#Updated translation: Galician by c_schmitz, Calidonia
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by actxcellence, c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Montenegrin by c_schmitz
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Thai by tomzt

Changes from 3.14.7 (build 180827) to 3.14.8 (build 180829) August 29, 2018

-Fixed issue #14000: "Export this response" button in view response page is broken (Dominik Vitt)
-Fixed issue #13283: Survey Groups title should be mandatory (Dominik Vitt)
-Fixed issue #13747: CSV Export of Survey Responses no longer valid CSV (Dominik Vitt)
-Fixed issue #14013: Cannot Add Conditions - Total Failure (#1114) (Tõnis Ormisson)
-Fixed issue: "Strip HTML code" option for response export
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han

Changes from 3.14.6 (build 180821) to 3.14.7 (build 180827) August 27, 2018

-[security] fixed issue: admin user can read arbitrary file that is readable via upload question type  (reported by Matej Zidek and Miloslav Homer) (LouisGac)
-Fixed issue #13958: Error updating the database schema from verson 353 to 355 (Markus Flür)
-Fixed issue #13976: bootstrapbuttons not counted in answer logic (Dominik Vitt)
-Fixed issue #14008: Prepopulate question with answer from URL parameter not working (Dominik Vitt)
-Fixed issue: Potential security issue in kcfinder fixed (Markus Flür)
-Fixed issue: Too many labelsets cause the system to break (Markus Flür)
-Fixed issue: fixed multiple possible XSS attack vectors (Markus Flür)
#Updated translation: German by c_schmitz
#Updated translation: Russian by vipgroup


Changes from 3.14.5 (build 180815) to 3.14.6 (build 180821) August 21, 2018
-[security] Fixed issue #13960: vulnerabilities in file upload functionality (LouisGac)
-Fixed issue #13948: Survey not opened in token langage if language not definrd in URL (LouisGac)
-Fixed issue #13960: removed unused method (LouisGac)
-Fixed issue: captcha box no numbers in box (Markus Flür)
-Fixed issue: langage changer unavailable from token entry screen (LouisGac)
-Fixed issue: php7 incomapitbility with count (Markus Flür)
-This reverts commit a6b553a7b79e15d366804c9f213052e03f387b6c. (LouisGac)
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by finni, pmonstad
#Updated translation: Russian by vipgroup
#Updated translation: Thai by tomzt
#Updated translation: Vietnamese by dnvservices

Changes from 3.14.4 (build 180810) to 3.14.5 (build 180815) August 15, 2018
-[security] fixed issue #13959: RCE via resource file upload as authenticated user (LouisGac)
-Fixed issue #13962: Token description cannot be changed (Markus Flür)
-Fixed issue: Tokenattributedescription not used in token table (Markus Flür)
-Fixed issue: converting single item to array works only for "add" keyword (LouisGac)
-Fixed issue: numeric values not acute and wrong arguments blocking js (Markus Flür)
-Fixed issue: unable to delete survey responses and attachments (Dominik Vitt)
#Updated translation: Arabic by abusaud1981
#Updated translation: Chinese (Simplified) by c_schmitz, johnxan
#Updated translation: Chinese (Simplified) by johnxan
#Updated translation: Chinese (Simplified) by yanglaw, Bobo001, johnxan
#Updated translation: Chinese (Simplified) by yanglaw, elan365, huageorg, johnxan
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by DenisChenu, b00z00
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Brazil) by femariso, holch, mauriciofurtado
#Updated translation: Romanian by cdorin
#Updated translation: Spanish (Spain) by rodrirokr, aesteban
#Updated translation: Thai by adzpire, tomzt
~
Changes from 3.14.3 (build 180807) to 3.14.4 (build 180810) August 09, 2018
-Fixed issue: Theme overview could not be opened due to infinite loop  (LouisGac)

Changes from 3.14.2 (build 180807) to 3.14.3 (build 180809) August 09, 2018
-Fixed issue #13669: Stylesheet missing in themes/survey fruity (LouisGac)
-Fixed issue #13669: recursive way, for easy maintenance (LouisGac)
-Fixed issue #13929: Italic text in admin shown with a serif font (LouisGac)
-Fixed issue #13931: Installer enters an infinite redirect loop if the 'tmp' directory is not writable. (Olle Haerstedt)
-Fixed issue #13934: 3.14.1: Wrong redirect after logic check for question (Dominik Vitt)
-Fixed issue #13941: graphs do not show in simple or complex statistics (Markus Flür)
-Fixed issue: Browserdetect question theme not working correctly (Markus Flür)
-Fixed issue: Internet Explorer not able to open login screen (Markus Flür)
-Fixed issue: Rehide the navigator complement (Markus Flür)
-Fixed issue: STATA export plugin's not working. (LouisGac)
-Fixed issue: browserdetect not saved correctly (Markus Flür)
-Fixed issue: color picker not working in inheriting themes (Markus Flür)
-Fixed issue: no logo for fruity after install (LouisGac)
-Fixed issue: possible notice in theme editor. (LouisGac)
-Fixed issue: sticky header option in fruity breaks inheritance (LouisGac)


Changes from 3.14.1 (build 180731) to 3.14.2 (build 180807) August 08, 2018
-Fixed issue #13878: Send email to user group - display issue (Markus Flür)
-Fixed issue #13902: LimeSurvey try to update response when editing Question (Denis Chenu)
-Fixed issue #13910: Unable to use saveall button (Markus Flür)
-Fixed issue #13911: Multi submit action done (Markus Flür)
-Fixed issue #13923: unable to log in into Admin Backend. Error "Undefined variable: security_update_available" (Markus Flür)
-Fixed issue #13924: Attribute without description are not seen in management (Denis Chenu)
-Fixed issue #13925: Unable to use QID SGQ … in validation equation tip (LouisGac)
-Fixed issue #13935: 'Double click' to Register (Markus Flür)
-Fixed issue #13939: Add New Question to Groups Disappeared (3.14.1) (Markus Flür)
-Fixed issue: Postgresql cannot update to latest version due too type error (Markus Flür)
-Fixed issue: Unable to use ClearAll in Ajax mode (navigator complement) (Markus Flür)
-Fixed issue: convertGETtoPOST has to be wrapped in singlequotes (Markus Flür)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: Danish by achstil
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: German (Informal) by markusfluer
#Updated translation: German by c_schmitz, markusfluer
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Malay by apisznasdin
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Persian by ESH
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Spanish (Mexican) by rodrirokr
#Updated translation: Spanish (Spain) by atavei, rodrirokr
#Updated translation: Thai by tomzt
#Updated translation: Turkish by kayazeren

Changes from 3.14.0 (build 180730) to 3.14.1 (build 180731) July 31, 2018
-Fixed issue: wrong permission check in survey theme selector. (LouisGac)

Changes from 3.13.2 (build 180709) to 3.14.0 (build 180730) July 30, 2018
-New feature: allow template to replace question template twig file (Denis Chenu)
-New feature: allow to use EM code for subquestions in prefilling (Denis Chenu)
-New feature: massive action to change theme of surveys (LouisGac)
-Fixed issue: colon typo (Iko)
-Fixed issue #13693: strange translation quote (Markus Flür)
-Fixed issue #13702: beforeCloseHtml event removed (Denis Chenu)
-Fixed issue #13744: unable to run db migration via command line (Denis Chenu)
-Fixed issue #13773: Cannot style slider handle when not touched anymore (Markus Flür)
-Fixed issue #13795: Custom logo is not saved (Markus Flür)
-Fixed issue #13841: tooltips not working after performing an action in the conditions designer (Markus Flür)
-Fixed issue #13845: Can't export and then import tab-separated text s… (#1092) (Denis Chenu)
-Fixed issue #13870: Apple devices do not support ranking question (Markus Flür)
-Fixed issue #13877: Unable to update answers twig part in theme (Denis Chenu)
-Fixed issue #13894: EM with dualscale value didn't work (Denis Chenu)
-Fixed issue #13898: Unable to update token (Markus Flür)
-Fixed issue #13900: Unable to update Manadtory switch widget on Question edit (Markus Flür)
-Fixed issue #13901: Prefilling single choice prefill other and comment (Denis Chenu)
-Fixed issue #13907: Can't delete question in latest master (Markus Flür)
-Fixed issue #13913: Some replacementfieds not accessible in help-text (LouisGac)
-Fixed issue #13915: Cannot submit survey with mandatory question and cookie to prevent repeated participation (LouisGac, Olle Haerstedt)
-Fixed issue : 400, 404 show template unrelated to current template (#1089) (Denis Chenu)
-Fixed issue: 'Show policy' text also visible if policy is shown inline (Carsten Schmitz)
-Fixed issue: Modified default config value for shownoanswer causes non-saving in survey settings (Carsten Schmitz)
-Fixed issue: Question selector not working on IE11 (Markus Flür)
-Fixed issue: Return from Quota resets survey completely. (Markus Flür)
-Fixed issue: all surveys shown in survey list at survey group level (LouisGac)
-Fixed issue: bootstrapswitch not rendering properly (Markus Flür)
-Fixed issue: can't show surveys from all groups (LouisGac)
-Fixed issue: crazy html in the activation process (Markus Flür)
-Fixed issue: emailtemplates validation not working and editor multiplying (Markus Flür)
-Fixed issue: no icons for attachment and exports in response list massive actions (LouisGac)
-Fixed issue: not all action button are in a single row in response list (LouisGac)
-Fixed issue: notifications not working (Markus Flür)
-Fixed issue: ordering of questions erroring (Markus Flür)
-Fixed issue: randomization group + "all in one" mode ==> all questions of the survey are shown in all groups (LouisGac)
-Fixed issue: registerScriptFile using PHP static syntax intead of twig function to filter position (Markus Flür)
-Fixed issue: save buttons not responding (Markus Flür)
-Fixed issue: sticky headers and crosshover not working correctly in Firefox (Markus Flür)
-Fixed issue: survey group can't inherit another survey group (LouisGac)
-Fixed issue: uncontrolled reordering problems (Markus Flür)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch (Informal) by markusfluer, Han
#Updated translation: Dutch by Han
#Updated translation: Dutch by c_schmitz
#Updated translation: Dutch by markusfluer, Han
#Updated translation: French (France) by b00z00
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by c_schmitz, markusfluer
#Updated translation: German (Informal) by markusfluer, Joffm, c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German by c_schmitz, actxcellence, markusfluer, Joffm
#Updated translation: German by c_schmitz, markusfluer
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Persian by ESH, UTeQ
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Russian by vipgroup
#Updated translation: Thai by tomzt
#Updated translation: Turkish by kayazeren

Changes from 3.13.1 (build 180629) to 3.13.2 (build 180709) July 09, 2018
-Fixed issue #13345: showpopups in config.php seems to have no effect anymore (Dominik Vitt)
-Fixed issue #13802: Unable to see Survey policy without javascript activated (Markus Flür)
-Fixed issue #13804: Error about Data security policy shown when change language + clear all (Markus Flür)
-Fixed issue #13805: Multi-line Text Messages Do Not Exist in Translation. (imacat)
-Fixed issue #13821: When importing a survey I receive a "Failed to Insert [3]" error message (#1090) (githubLewis)
-Fixed issue #13830: Language changer broken in Ajax mode (Markus Flür)
-Fixed issue #13831: Export of survey-structure (*.lss - Files) is not possible in LS 3.13.0 (Markus Flür)
-Fixed issue #13833: Owner of survey are not able to edit assesments (no button) (Denis Chenu)
-Fixed issue #13842: missing translation (Markus Flür)
-Fixed issue #13843: icon at the right side, should be in front of label (Markus Flür)
-Fixed issue #13845: Can't export and then import tab-separated text survey file (Dominik Vitt)
-Fixed issue #13846: missing translation (Markus Flür)
-Fixed issue #13856: position of labels in 5-point scale (Markus Flür)
-Fixed issue: 13840: Login with local user gives a php7.2 warning (Markus Flür)
-Fixed issue: Not possible to go to previous page in ajax mode (Markus Flür)
-Fixed issue: end-url redirection not working in ajax mode with compressed js (Markus Flür)

Changes from 3.13.0 (build 180628) to 3.13.1 (build 180629) June 29, 2018
-Fixed issue #13734:  image upload is not possible - You don't have permissions to browse server. (LouisGac)
-Fixed issue #13828: Internal Server Error when clicking on 'Theme Options' in Survey Admin Area (Dominik Vitt)
-Fixed issue: no token replacement in end url (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Basque by IVAP, the Official Translators' Service of the Basque Government.
#Updated translation: Croatian by dominikvitt
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa

Changes from 3.12.3 (build 180627) to 3.13.0 (build 180628) June 28, 2018
-New feature: Allow plugin to add or remove file for template editor (#1084) (Denis Chenu)
-Fixed issue #13685: Create a new survey - Save and Save and close -> same behavour (Markus Flür)
-Fixed issue #13786: Duplicate survey in tutorial/beginner tour (Markus Flür)
-Fixed issue #13787: Tutorial "beginner tour" breaks off (Markus Flür)
-Fixed issue #13803: Deprecated confirm box since 3.0 alpha (Markus Flür)
-Fixed issue #13811: Reordering questions by drag-and-drop (Markus Flür)
-Fixed issue #13813: Question advanced settings not updated when update question type (Dominik Vitt)
-Fixed issue #13814: Opening Question->Check logic will change admin interface language to question language (Dominik Vitt)
-Fixed issue #13818: Error when using timer function in a question. (Markus Flür)
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Russian by vipgroup

Changes from 3.12.2 (build 180625) to 3.12.3 (build 180627) June 27, 2018
-Fixed issue #13251: DB error when importing multilingual group or question using MSSQL DB (Carsten Schmitz)
-Fixed issue #13548: Import survey process fails sometimes with data conditions (Dominik Vitt)
-Fixed issue #13644: Error when activating database sessions and using MSSQL (Carsten Schmitz)
-Fixed issue #13750: PHP warning when setting template permission for a user (Carsten Schmitz)
-Fixed issue #13784: Wrong language label for Other option when exporting with queXML PDF export (Dominik Vitt)
-Fixed issue: Redirect in public registration plugins always wrong (Markus Flür)
-Fixed issue: barebone URL only in path format from RPC (LouisGac)
-Fixed issue: deactivated breaking plugin hook (Markus Flür)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Russian by vipgroup
#Updated translation: Turkish by kayazeren


Changes from 3.12.1 (build 180616) to 3.12.2 (build 180625) June 25, 2018
-Fixed issue #12640: Unable to update lang when registering (before fill mandatory values) (Dominik Vitt)
-Fixed issue #12688: Global Settings are not applied to survey settings when creating a new survey (Dominik Vitt)
-Fixed issue #13725: Bad behaviour of help with Expression Manager and em_validation_q_tip (Denis Chenu)
-Fixed issue #13776: Survey admin can see all survey groups (Dominik Vitt)
-Fixed issue #13783: [json-API] token in add_response causes errors and does not work in update_response (Dominik Vitt)
-Fixed issue #13790: End-URL redfirect is not working in AJAX mode (Markus Flür)
-Fixed issue #13794: RPC add_response reports error, still inserts a response record (Olle Haerstedt)
-Fixed issue #13798: Ajaxmode : default save/reload button unfonctional (Denis Chenu)
-Fixed issue #13801: Unable to change language without javascript (Denis Chenu)
-Fixed issue : error shown when language updated in register (js) (Denis Chenu)
-Fixed issue : extra attributes lost when update language in register (Denis Chenu)
-Fixed issue : unable to update language without js in register (Denis Chenu)
-Fixed issue: Printing statistics created white page (Markus Flür)
-Fixed issue: Question edit breaking on double bracket insertion (Markus Flür)
-Fixed issue: ajax mode unfunctional on IE and Edge (Markus Flür)
-Fixed issue: error when installing LimeSurvey (Markus Flür)
-Fixed issue: error when installing LimeSurvey prt2 (Markus Flür)
-Fixed issue: live update of options on edit question page (Dominik Vitt)
-Fixed issue: live update of question theme options on edit question page (Dominik Vitt)
-Fixed issue: redirection in ajax mode + fallback for no-js ajax mode (Markus Flür)

Changes from 3.12.0 (build 180615) to 3.12.1 (build 180616) June 15, 2018
-Fixed issue: question type selector not working (Markus Flür)
Changes from 3.11.0 (build 180612) to 3.12.0 (build 180615) June 15, 2018
-New feature: Added theme options zebrastriping and hide privacynotice (Markus Flür)
-New feature: added crosshover functionality to fruity theme (Markus Flür)
-Fixed issue: Export to printable survey .zip not working (Markus Flür)
-Fixed issue: Language changer not working correctly (Markus Flür)
-Fixed issue: View problems with queXML pdf export (Markus Flür)
-Fixed issue: global settings not reapplied after save and not correctly loaded from db (Markus Flür)
-Fixed issue: subquestion relevance broken through EM change (Markus Flür)
-Fixed issue #13741: Bahasa Malaysia no longer in language selection (Carsten Schmitz)
-Fixed issue #13762: copy question with subquestions (Dominik Vitt)
-Fixed issue #13774: Date drop down always throws error using date format dd.mm.yyyy (Dominik Vitt)
-Fixed issue #13778: Exporting data to the most recent version of R leads to incorrect data (Dominik Vitt)
-Fixed issue #13780: Ranked items are re-set when using "previous" button (Dominik Vitt)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Taiwan) (Traditional) by c_schmitz, terrywei, imacat, sylsylsylvie, comuss
#Updated translation: Chinese (Taiwan) (Traditional) by sylsylsylvie, imacat
#Updated translation: Croatian by dominikvitt
#Updated translation: French (France) by c_schmitz, b00z00, arnaud21, DenisChenu
#Updated translation: German (Informal) by c_schmitz, markusfluer
#Updated translation: German by c_schmitz
#Updated translation: German by surveyunihi, c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by c_schmitz, pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin

Changes from 3.10.0 (build 180611) to 3.11.0 (build 180612) June 12, 2018
#Updated translation: Catalan by c_schmitz
#Updated translation: Chinese (Hong Kong) (Traditional) by LS_fan
#Updated translation: Croatian by dominikvitt
#Updated translation: German by c_schmitz
-Fixed issue #13667: Beginner Tutorial only available to SuperAdmin (Dominik Vitt)
-Fixed issue #13714: Token email does not fill in adminemail and adminname (Dominik Vitt)
-Fixed issue #13739: Relevance equation broken for array by column (Dominik Vitt)
-Fixed issue #13759: No admin name and admin email is set at Survey creation (Denis Chenu)
-Fixed issue :  The table "{{asset_version}}" for active record class "AssetVersion" cannot be found in the database. (Denis Chenu)
-Fixed issue#12435: Wrong exports (Dominik Vitt)
-Fixed issue: deactivate reordering of question on the frontend (Markus Flür)

Changes from 3.9.0 (build 180604) to 3.10.0 (build 180611) June 11, 2018
-New feature: Allow plugin to add or replace twig file (#1082) (Denis Chenu)
-Fixed issue #12032: Homepage boxes - external links opened twice when clicking icon (Dominik Vitt)
-Fixed issue #12741: Setting condition where constant = 0 treated as "no answer" (Denis Chenu)
-Fixed issue #12898: Repeat headers not working in array dual scale with dropdown layout (Dominik Vitt)
-Fixed issue #12907: Resume later and load unfinished survey does not work in ajax-mode (Markus Flür)
-Fixed issue #13466: Exit and clear in bilingual Survey - restarts in wrong language (Dominik Vitt)
-Fixed issue #13497: Editor screen can be loaded without css after save (Denis Chenu)
-Fixed issue #13553: Default value not copied when copy question (Dominik Vitt)
-Fixed issue #13558: Authenticated remote code execution by unrestricted file uploads (Dominik Vitt)
-Fixed issue #13596: template assets is not resetted when update config (Denis Chenu)
-Fixed issue #13606: Unable to reset manually single asset (Denis Chenu)
-Fixed issue #13688: privacy policy are hidden on the startpage of a survey, when the first action is a mouseover over the button \'Next\' (Markus Flür)
-Fixed issue #13718: Reload page after import lss show error (Dominik Vitt)
-Fixed issue #13738: RPC method  is not working. (Olle Haerstedt)
-Fixed issue #13742: empty label for dual-scale question (Denis Chenu)
-Fixed issue #13743: PHP notice when viewing question view in theme editor (Dominik Vitt)
-Fixed issue #13744: unable to run db migration via command line (Denis Chenu)
-Fixed issue #13748: PHP Warning in register form (Markus Flür)
-Fixed issue: Changed the caption for repeat headers option (Dominik Vitt)
-Fixed issue: Created "Copy default answers" switch option on Copy question page (Dominik Vitt)
-Fixes issue: multiple issues with theme assets (#1048) (Denis Chenu)
-Fixed issue: line feed stripped and not replaced in SPSS export (Denis Chenu)
-Fixed issue: reset asset when upload or delete a template file (Denis Chenu)
-Fixed issue: Ajax-Mode totally unfunctional (Markus Flür)
-Fixed issue: EM not loaded correctly in Ajaxmode (Markus Flür)
-Fixed issue: Support for both question text and question code in PDF graph output (Olle Haerstedt)
-Fixed issue: ajax mode was forced off. (LouisGac)
-Fixed issue: barebone URL not working from RPC (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Taiwan) (Traditional) by sylsylsylvie, imacat
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by b00z00
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Russian by vipgroup

Changes from 3.8.2 (build 180529) to 3.9.0 (build 180604) June 4, 2018
-New feature #13732: Twig - add "striptags" allowed filters (LouisGac)
-Fixed issue #13128: Vanilla theme error page admin-name missing (LouisGac)
-Fixed issue #12097: Relevance equation is shown for X axis in array number : it don't work (Dominik Vitt)
-Fixed issue #12215: Activate a survey without questions with API (Dominik Vitt)
-Fixed issue #12357: Survey List page Variable token replacement (LouisGac)
-Fixed issue #12406: Group filter selection gets lost after deleting a question from the question list (Dominik Vitt)
-Fixed issue #12945: {PERC} not working (works now as in 2.x) (LouisGac)
-Fixed issue #13490: GID placeholderfield missing sometimes (LouisGac)
-Fixed issue #13514: Don't translate Theme name (Dominik Vitt)
-Fixed issue #13535: title tag empty on demo.limesurvey.org (LouisGac)
-Fixed issue #13570: Out of quota, user gets the following message at the end even though the survey is activated (LouisGac)
-Fixed issue #13574: Some placeholders no longer available in 3.x (LouisGac)
-Fixed issue #13705: End message is not printed (Dominik Vitt)
-Fixed issue #13736: No javascript: bad date not saved but error not shown (Denis Chenu)
-Fixed issue: Unable to answer to dropdown date without js (Denis Chenu)
-Fixed issue: a11y on 5 point with star or slider (Denis Chenu)
-Fixed issue: preview in theme options not working (Markus Flür)
-Fixed issue: survey data not available on registration views (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: French (France) by arnaud21, b00z00
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa

Changes from 3.8.1 (build 180524) to 3.8.2 (build 180529) May 29, 2018
-Fixed issue #12227: "Error: Failed to insert data" and corrupted quotas when i've tried to import old (v2.5.xx) surveys (Dominik Vitt)
-Fixed issue #12950: Regression? {ASSESSMENT_CURRENT_TOTAL} no longer defined (LouisGac)
-Fixed issue #13574: Some placeholders no longer available in 3.x (LouisGac)
-Fixed issue #13588: User reported problem with Postgres and question reorder (Markus Flür)
-Fixed issue #13598: Missing filter when selecting parent survey group (Dominik Vitt)
-Fixed issue #13645: Error message Google Translate API (Dominik Vitt)
-Fixed issue #13710: Media File in Question Group description is not displayed when taking survey if there is no proper text in description (Markus Flür)
-Fixed issue #13712: Exclusive option does not exclude others (Markus Flür)
-Fixed issue #13720: an icon is missing (Dominik Vitt)
-Fixed issue: endless redirections in theme setting menu (#1080) (gekkedev)
-Fixed issue: demo plugin broke page (Denis Chenu)
-Fixed issue: PHP7 not creating folders automatically on copy (Markus Flür)
-Fixed issue: Several database update problems when updating from 1.91 (Carsten Schmitz)
-Fixed issue: Small nuisances in the cpdb (Markus Flür)
-Fixed issue: equation question only dependant on another equation question not reevaluated (Markus Flür)
-Fixed issue: question help hidden with only script tag in it (Markus Flür)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by dominikvitt
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by b00z00
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Russian by smilez, c0der, quarrier, panch_evg, vipgroup
#Updated translation: Spanish (Argentina) by aesteban, Dhel210, gabrieljenik

Changes from 3.8.0 (build 180522) to 3.8.1 (build 180524) May 24, 2018
-Fixed issue #12520: Crash when trying to generate a PDF with Graphs from statistic page on PHP 7.1 or later (Carsten Schmitz)
-Fixed issue #13607: Multiple_choice_with_comments - bug (Dominik Vitt)
-Fixed issue #13623: Unable to update config of default theme (LouisGac)
-Fixed issue #13633: Wrong data validation on dropdown boxes (Dominik Vitt)
-Fixed issue #13676: Saving {{ : }} in a twig file crashes Theme Editor... (LouisGac)
-Fixed issue #13689: Missing translation (Dominik Vitt)
-Fixed issue #13690: Missing translations update/add survey group (Dominik Vitt)
-Fixed issue #13691: Missing translation central databse (Dominik Vitt)
-Fixed issue #13695: Error: CSS: width: only 0 can be a unit. You must put a unit after your number. (Dominik Vitt)
-Fixed issue #13699: After latest update, editing questions results in an error (Olle Haerstedt)
-Fixed issue #13700: SQL error when trying to change changing user password on MSSQL DB (Carsten Schmitz)
-Fixed issue: Move subquestion text to top in statistics (Olle Haerstedt)
-Fixed issue: Response created at welcome page (LouisGac)
-Fixed issue: Wrong colors for front end statistics (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by b00z00
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin

Changes from 3.7.3 (build 180516) to 3.8.0 (build 180522) May 22, 2018
-New feature: List and download old 2.x survey templates (LouisGac)
-Fixed issue #12653: Search users (Dominik Vitt)
-Fixed issue #13515: Cannot have a null default value when creating custom attributes in a custom question theme (Dominik Vitt)
-Fixed issue #13521: Access question and survey variables/data from within custom question theme Twig files (Dominik Vitt)
-Fixed issue #13559: [security] CSRF -> Stored XSS in template installation (Dominik Vitt)
-Fixed issue #13615: The month and year is not saved when advancing and returning in a survey (Dominik Vitt)
-Fixed issue #13680: Question screen = AdminController cannot find the requested view "/survey/questions/answer/listradio/columns/column_header". (Dominik Vitt)
-Fixed issue #13696: Error: Duplicate attributes accesskey for prev button (Denis Chenu)
-Fixed issue #13696: Error: Duplicate attributes data-confirmedby for clear all button (Denis Chenu)
-Fixed issue: HTML5 video editor plugin was disabled (Carsten Schmitz)
-Fixed issue: Question theme dropdown on new question page doesn't work (Dominik Vitt)
-Fixed issue: Remote upload_file does not work (Olle Haerstedt)
#Updated translation: Arabic by LucaAzzalini
#Updated translation: Basque by miturrib
#Updated translation: Catalan by qualitatuvic
#Updated translation: French (France) by b00z00
#Updated translation: German by c_schmitz
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Spanish (Argentina) (Informal) by Gustavo_Kremer

Changes from 3.7.2 (build 180508) to 3.7.3 (build 180516) May 16, 2018
-Fixed issue #13599: Table user_in_groups not cleaned (#1047) (Tõnis Ormisson)
-Fixed issue: Postgres has no DOUBLE database type (Olle Haerstedt)
-Fixed issue: Semicolon in twig statement (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by arnaud21
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Brazil) by fermacedo, femariso, marciojv, holch, mauriciofurtado
#Updated translation: Romanian by cdorin

Changes from 3.7.1 (build 180424) to 3.7.2 (build 180508) Mai 08, 2018
-Fixed issue #13361: .twig files not accessible in Theme Editor when extending bootswatch (LouisGac)
-Fixed issue #13634: Internal Server Error on CDbCommand when edit user (Denis Chenu)
-Fixed issue #13638: Panel with user surveys doesn't load (Markus Flür)
-Fixed issue #13639: Average Mean and Standard Deviation (Markus Flür)
-Fixed issue #13651: Array (text) always shown as error in checkintergrity (Denis Chenu)
-Fixed issue : Unabe to set default export by plugin (Denis Chenu)
-Fixed issue : unable to save plugin settings or survey language with debug (Denis Chenu)
-Fixed issue: Language changer not working in bootswatch (Markus Flür)
-Fixed issue: Sending password reminder not working (Carsten Schmitz)
-Fixed issue: Slider reset button not working as expected (Markus Flür)
-Fixed issue: Theme editor doesn't use the screen layout as default file (LouisGac)
-Fixed issue: accordion tripled content (Markus Flür)
-New translation: Malayalam (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German (Informal) by boppy, c_schmitz
#Updated translation: German by boppy, c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by c_schmitz, duristef, lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Malayalam by c_schmitz
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa

Changes from 3.7.0 (build 180418) to 3.7.1 (build 180424) Apr 24, 2018
-Fixed issue: [security] Password reset email doesn't always use the saved email. Found and reported by Hongkun Zeng from VULNSPY.com (https://blog.vulnspy.com/)'. Thank you!
-Fixed issue #13497: Editor screen loads without CSS when creating/updating custom CSS (LouisGac)
-Fixed issue #13590: Check data integrity shows 'errorneous question group order' for all surveys (Olle Haerstedt)
-Fixed issue #13604: beforeSurveyDelete didn't happen when delete a survey (Denis Chenu)
-Fixed issue #13609: {QUEXMLPDF} Placeholder in template for Save to PDF triggers error if shown on welcome page (Adam Zammit)
-Fixed issue #13611: Adding custom CSS class to question causes error (Denis Chenu)
-Fixed issue #13621: Panel integration param not passed to END URL (LouisGac)
-Fixed issue: Empty template list if user don't have global rights on template (Denis Chenu)
-Fixed issue: Panel integration parameters are deleted on saving survey settings (Carsten Schmitz)
-Fixed issue: Spelling mistake in greek language description (Markus Flür)
-Fixed issue: Tutorial menu shown even if empty (Denis Chenu)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa, tomasz
#Updated translation: Polish (Informal) by elissa
#Updated translation: Romanian by cdorin

Changes from 3.6.3 (build 180406) to 3.7.0 (build 180418) Apr 18, 2018
-New feature #13471: Allow expression in default location (map) (Denis Chenu)
-Fixed issue: No questions in panel integration (Markus Flür)

Changes from 3.6.2 (build 180406) to 3.6.3 (build 180416) Apr 16, 2018
-Fixed issue #13542: Question index (head) show diable even if work (Denis Chenu)
-Fixed issue #13544: Unable to use flatEllipsizeText function in (some) twig file (Denis Chenu)
-Fixed issue #13560: Stored XSS in Boxes (markusfluer)
-Fixed issue #13579: First calendar are always in English (Denis Chenu)
-Fixed issue #13587: Date control show always as error (Denis Chenu)
-Fixed issue: Could not save changes in theme editor (markusfluer)
-Fixed issue: Preview not working in theme editor (Olle Haerstedt)
-Fixed issue: Unsupported escape method when deleting uploaded theme file (Olle Haerstedt)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Dutch by c_schmitz, Han, tammo
#Updated translation: French (France) by arnaud21
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by c_schmitz, HonkXL
#Updated translation: German by c_schmitz
#Updated translation: German by sebuin, c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Spanish (Argentina) by Eescudero, c_schmitz
#Updated translation: Turkish by kayazeren
#Updated translation: Vietnamese by namphuong


Changes from 3.6.1 (build 180329) to 3.6.2 (build 180406) Apr 04, 2018
-Fixed issue #13519: No import button in Template listing (Tõnis Ormisson)
-Fixed issue #13520: Unable to import theme (Tõnis Ormisson)
-Fixed issue #13368: Favicon transparent background (#1033) (Tõnis Ormisson)
-Fixed issue #13519: No import button in Template listing  (#1031) (Tõnis Ormisson)
-Fixed issue #13520: Unable to import theme (#1030) (Tõnis Ormisson)
-Fixed issue #13526: When renaming a template : some parts are fixed, some are not (#1029) (Tõnis Ormisson)
-Fixed issue #13529: Survey texts are not updated via EM javascript (Denis Chenu)
-Fixed issue #13533: Unable to use Expression Manager inside template (Denis Chenu)
-Fixed issue #13534: Language selection does not work in survey-list page (#1028) (Tõnis Ormisson)
-Fixed issue #13539: Hide progress bar on "thank you" page in vanilla theme (#1034) (Tõnis Ormisson)
-Fixed issue #13540: Panel integration add url parameter doesn't show any target question (#1035) (Tõnis Ormisson)
-Fixed issue #13555: Long survey name + Long Group name : breadcumb seems unusuable (Denis Chenu)
-Fixed issue #13562: CSRF in box deletion (markusfluer)
-Fixed issue #13565: Remove punctuation points from PHP (Kai Ravesloot)
-Fixed issue #13569: Final assesments are shown even if no assessemnt is set (Denis Chenu)
-Fixed issue: Import old survey table HTML broken (Denis Chenu)
-Fixed issue: AuthLDAP doesn't work with multiple search bases. (#998) (ecraven)
-Fixed issue: Couldn't change password (markusfluer)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Dutch by c_schmitz, Han
#Updated translation: Finnish by jeskiv
#Updated translation: French (France) by DenisChenu, arnaud21
#Updated translation: French (France) by b00z00
#Updated translation: German (Informal) by KRav, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Serbian by MilaVeljovic
#Updated translation: Spanish (Spain) by aesteban

Changes from 3.6.0 (build 180328) to 3.6.1 (build 180329) Mar 29, 2018
-Fixed issue #13505: Q_other.shown are difference between PHP and JS (Denis Chenu)
-Fixed issue #13517: Question adv settings are not updated after update of question type (Denis Chenu)
-Fixed issue: space added after default value (Denis Chenu)
-Fixed issue: Images in theme options completely broken (markusfluer)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa



Changes from 3.5.4 (build 180320) to 3.6.0 (build 180328) Mar 28, 2018
-New feature #13511: Allow new attribute in beforeQuestionRender (Denis Chenu)
-New feature #13537: allow max_execution_time by config (#1026) (Denis Chenu)
-Fixed issue #13395: queXML PDF export missing comments on "Multiple choice with comments" (Adam Zammit)
-Fixed issue #13475: cant export numeric column to SPSS with pgsql (#1015) (Denis Chenu)
-Fixed issue #13488: Not able to save or clear without JavaScript (#1017) (Denis Chenu)
-Fixed issue #13492: Index usage without JavaScript (Denis Chenu)
-Fixed issue #13493: Lot of bug with not installed template (Denis Chenu)
-Fixed issue #13495: Umlauts shown as ? at QueXML-Export (#1023) (Adam Zammit)
-Fixed issue #13500: Upload file in theme options is weird (markusfluer)
-Fixed issue #13510: beforeQuestionRender didn't include Class (Denis Chenu)
-Fixed issue #13524: EM Error on Validation on hidden question and debug (Denis Chenu)
-Fixed issue #13525: Title are not updated by Expression Manager (Denis Chenu)
-Fixed issue #13527: Except at first page : survey text expression usage is broken (Denis Chenu)
-Fixed issue #13541: Error executing admin/checkintegrity (Olle Haerstedt)
-Fixed issue: Allow to use ComfortUpdate on server with disk_free_space disable (Denis Chenu)
-Fixed issue: Cpdb attribute view not working (markusfluer)
-Fixed issue: SQL problem in integrity check (Olle Haerstedt)
-Fixed issue: Survey logic HTML page broken if error (Denis Chenu)
-Fixed issue: User interface optimization (markusfluer)
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by c_schmitz, arnaud21, b00z00
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by c_schmitz, pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Russian by c0der, quarrier, vipgroup

Changes from 3.5.3 (build 180316) to 3.5.4 (build 180320) Mar 20, 2018
-Fixed issue #13476: Unable to send individual remind and invite mails (markusfluer)
-Fixed issue #13480: Assessments: wrong windows size and crash after adding a rule (LouisGac)
-Fixed issue #13483: Unable to enter 0.000000001 for numeric value (Carsten Schmitz)
-Fixed issue #13486: Language dropdown must be at first page when create survey (markusfluer)
-Fixed issue #13494: Problem when activating force_xmlsettings_for_survey_rendering (markusfluer)
-Fixed issue: Calculations sometimes fail in EM (markusfluer)
-Fixed issue: Multiple problems regarding question reorder (markusfluer)
-Fixed issue: PDF download in statistics not possible anymore (markusfluer)
-Fixed issue: Unable to log in to MSSQL when updating from 2.05 or older (Carsten Schmitz)
-Fixed issue: Update from Dbversion 164 or earlier stuck at version 175 (Carsten Schmitz)
-Fixed issue: Ckeditor not showing on IE (kw-pr)
#Updated translation: Arabic by iceclimber81
#Updated translation: Catalan by qualitatuvic
#Updated translation: Danish by LS_fan
#Updated translation: Dutch by zfocuz, Han
#Updated translation: Dutch (Informal) by zfocuz, Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by c_schmitz, markusfluer
#Updated translation: German by markusfluer, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by markusfluer, c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Myanmar by AlexEDGE1
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Spanish (Spain) by Dhel210, aesteban

Changes from 3.5.2 (build 180315) to 3.5.3 (build 180316) Mar 16, 2018
-Fixed issue #13372: Behavior of reset in mail templates (markusfluer)
-Fixed issue: Database upgrade doesn't work

Changes from 3.5.1 (build 180312) to 3.5.2 (build 180315) March 15, 2018
-Fixed issue #13375: Brackets [ ] in printer friendly exports (markusfluer)
-Fixed issue #13422: Dropdown menu in portuguese internal server error (markusfluer)
-Fixed issue #13473: Use of exclusive option hangs browser page (markusfluer)
-Fixed issue: Simply uploading an image in a standard theme wasn't working (markusfluer)
-Fixed issue: Sporadic update error message on login right after upgrade (Carsten Schmitz)
-Fixed issue: Relay on surveymodel rather than on inherited setting (markusfluer)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by b00z00, arnaud21
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa

Changes from 3.5.0 (build 180309) to 3.5.1 (build 180312) Mar 12, 2018
-Fixed issue #12715: Behavior change for numericalmultiple Slider default value when 0 or null Upgraded PHP version (markusfluer)
-Fixed issue #13247: Missing translation in beginner tour (markusfluer)
-Fixed issue #13464: Invalid SQL in "mail_registered_participants" (Olle Haerstedt)
-Fixed issue #13467: Untranslated last element in bread crumbs (markusfluer)
-Fixed issue #13469: 'Check Data integrity' throws Internal server error (Olle Haerstedt)
-Fixed issue: Cannot install on MSSQL server (Carsten Schmitz)
-Fixed issue: Multiple inSurveyView height related problems (markusfluer)

Changes from 3.4.4 (build 180305) to 3.5.0 (build 180309) Mar 9, 2018
 -Fixed issue #13461: Unable to start survey (markusfluer)
 -Fixed issue #13204: Even with good settings : browse ressources show "You don't have Permission to browse this server" (markusfluer)
 -Fixed issue #13268: Impossibilité de désactiver un questionnaire (markusfluer)
 -Fixed issue #13366: Extending a theme creates world writable directories (LouisGac)
 -Fixed issue #13371: missing translation (markusfluer)
 -Fixed issue #13419: Re-ordering questions and groups using Structure drag & drop fails (markusfluer)
 -Fixed issue #13436: missing translation (markusfluer)
 -Fixed issue #13440: Quota, Postgress cant add (markusfluer)
 -Fixed issue #13443: Logic error by using an Eclusive Option in a multiple choice question (markusfluer)
 -Fixed issue #13444: Exclusive Option in Multiple Choice question makes not exclusive options invisible instead of non selectable (markusfluer)
 -Fixed issue #13445: Out of Bound error when exporting marked responses from response list (Carsten Schmitz)
 -Fixed issue #13446: Unable to see "simple plugin" (markusfluer)
 -Fixed issue #13450: DateTimePicker interface design problem (markusfluer)
 -Fixed issue #13453: Small display issue in email global settings (Carsten Schmitz)
 -Fixed issue: Installation broken (markusfluer)
 -Fixed issue: Session lifetime setting visible in global settings even though it is only supported for DB sessions (Carsten Schmitz)
 -Fixed issue: Slider left-/right labels not being set correctly (markusfluer)
 -Fixed issue: Theme Editor Broken after #13357 fix (LouisGac)
 -Fixed issue: Automatic abbreviation in survey overview not working for data security error (markusfluer)
 -Fixed issue: Hyphens in translation string (markusfluer)
 -Fixed issue: Top bar touching survey (markusfluer)
 -New feature: Added data security policy settings (markusfluer)
 -New feature: Check for group sort order duplicates in data integrity check (Olle Haerstedt)
 -New feature: Check question order during integrity check (Olle Haerstedt)
 -New feature: Data security settings have to be accepted to take a survey (markusfluer)
 -New feature: Added a js based filter on the data security acceptance (markusfluer)
 #Updated translation: Catalan by qualitatuvic
 #Updated translation: Dutch (Informal) by Han
 #Updated translation: Dutch by Han
 #Updated translation: French (France) by b00z00
 #Updated translation: German (Informal) by c_schmitz
 #Updated translation: German by c_schmitz
 #Updated translation: Hungarian by kkd
 #Updated translation: Myanmar by AlexEDGE1
 #Updated translation: Norwegian (Bokmål) by pmonstad
 #Updated translation: Polish (Informal) by elissa
 #Updated translation: Polish by elissa

Changes from 3.4.3 (build 180227) to 3.4.4 (build 180305) Mar 5, 2018
-Fixed issue #13246: Fix plugin in survey responses (Olle Haerstedt)
-Fixed issue #13310: Cannot delete surveys in Survey list when debug is on (Olle Haerstedt)
-Fixed issue #13356: Crash at optin and optout (Olle Haerstedt)
-Fixed issue #13357: "Surveys in this group" is not filtering surveys (LouisGac)
-Fixed issue #13367: Theme list in theme editor should only list installed themes (LouisGac)
-Fixed issue #13396: Some files/folders not included in imported survey themes (Olle Haerstedt)
-Fixed issue #13424: JavaScript is displayed in email notifications (Olle Haerstedt)
-Fixed issue #13425: Cannot add subquestions and answer options with plus button (Olle Haerstedt)
-Fixed issue #13426: No message displayed when saving general survey settings (Olle Haerstedt)
-Fixed issue #13428: Reflected XSS in file uploader (Olle Haerstedt)
-Fixed issue #13429: Multiple choice with comments not showing all (Olle Haerstedt)
-Fixed issue #13433: Base string "List meny entries" incorrect (Olle Haerstedt)
-Fixed issue: Can't delete uploaded theme files (Olle Haerstedt)
-Fixed issue: Filter assessments (Olle Haerstedt)
-Fixed issue: Import of predefined label sets was not working (markusfluer)
-Fixed issue: Survey group filter on survey list (LouisGac)
-Fixed issue: Twig tags macro and import are now supported (LouisGac)
-New translation: Myanmar (Burmese) (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: French (France) by arnaud21
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Myanmar by AlexEDGE1
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Brazil) by femariso, marciojv, mauriciofurtado

Changes from 3.4.2 (build 180223) to 3.4.3 (build 180227) Feb 27, 2018
-Fixed issue #13338: DejaVu font missing (Olle Haerstedt)
-Fixed issue #13389: Cannot add JavaScript file to custom admin theme (Olle Haerstedt)
-Fixed issue #13400: Missing translations (Olle Haerstedt)
-Fixed issue #13405: Failure of limiting the Ranking questions answers through drag and drop (Olle Haerstedt)
-Fixed issue #13407: Plugin event beforeQuestionRender does not work (Olle Haerstedt)
-Fixed issue #13409: Cookie to prevent repeated participation not working (Olle Haerstedt)
-Fixed issue #13415: Column names in Ranking QT need to be switched (Olle Haerstedt)
-Fixed issue #13420: Wrong file downloaded from "View Response ID" page (Olle Haerstedt)
-Fixed issue: Label set problems for answer options (markusfluer)
-Fixed issue: Missing creation date in user overview (Carsten Schmitz)
-Fixed issue: SPSS export: Response data not properly quoted for Multiple choice 'Other' field (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by b00z00
#Updated translation: French (France) by b00z00, arnaud21
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz
#Updated translation: Hungarian by suf, kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Swedish by maxzomborszki

Changes from 3.4.1 (build 180221) to 3.4.2 (build 180223) Feb 23, 2018
Fixed issue: [security] Vulnerability in installer (found and reported by Nguyen Van Tien Thanh from Viettel Cyber Security Center, https://blog.yeuchimse.com )
-Fixed issue #13358: Usage of .question in end message broken (markusfluer)
-Fixed issue #13384: Massive deleting responses not possible after modifying table filters in response table (markusfluer)
-Fixed issue #13398:  Export responses by Token returns empty results (#1009) (Gabriel Jenik)
-Fixed issue #13402: Export result not work (markusfluer)
-Fixed issue: Invalid XML .lss file broke break page (500 error) (Denis Chenu)

Changes from 3.4.0 (build 180219) to 3.4.1 (build 180221) Feb 21, 2018
-Fixed issue #13392: New token form set useleft to 1 (Denis Chenu)
-Fixed issue #12786: Cannot delete users from owned user group (Carsten Schmitz)
-Fixed issue #13160: Relevance based on array-dual-scale broken (Olle Haerstedt)
-Fixed issue #13320: End message is not shown in preview (Olle Haerstedt)
-Fixed issue #13331: Problem when printing the questions at the end of the survey (markusfluer)
-Fixed issue #13339: IP address field always records 'invalid' (Carsten Schmitz)
-Fixed issue #13370: When submitting an invalid token an error is displayed twice. (Johan)
-Fixed issue #13373: Missing translation (markusfluer)
-Fixed issue #13382: Inconsistent use of icons for adding/new (markusfluer)
-Fixed issue #13385: Public PDF export show all question even if unrelevant (markusfluer)
-Fixed issue #13388: qtip-content help text outside of window (markusfluer)
-Fixed issue #13392: Token with useleft at 0 or less can take the survey (Olle Haerstedt)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by b00z00, arnaud21
#Updated translation: French (France) by DenisChenu, arnaud21, yompyamper, b00z00
#Updated translation: German (Informal) by markusfluer, c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa

Changes from 3.3.1 (build 180214) to 3.4.0 (build 180219) Feb 19, 2018
-New feature: Setting to force use of XML, for easy theme development (LouisGac)
-Fixed issue #12975: Cannot use the twig split filter (tpartner)
-Fixed issue #13057: When editing CPDB participant the owner is listed by user name instead of full name (Carsten Schmitz)
-Fixed issue #13234: Focus in text fields when pressing return (markusfluer)
-Fixed issue #13248: Missing translation (markusfluer)
-Fixed issue #13378: Missing translation (markusfluer)
-Fixed issue #13379: Missing translation (markusfluer)
-Fixed issue #13369: Missing translation (markusfluer)
-Fixed issue #13291: Next button not working under Edge. (markusfluer)
-Fixed issue #13308: Old alert popup at delete group (markusfluer)
-Fixed issue #13311: Survey logic view with massive empty space till the footer (markusfluer)
-Fixed issue #13325: {ADMINEMAIL} not working as recipient in admin notification emails (Olle Haerstedt)
-Fixed issue #13330: Admin GUI are not responsive (markusfluer)
-Fixed issue #13335: Refresh button at global level reset to "inherit" (markusfluer)
-Fixed issue #13346: Missing button for clear all answers (Olle Haerstedt)
-Fixed issue #13353: Unable to update user (mssql related) (Denis Chenu)
-Fixed issue #13355: Saving German survey title shows JSON output (markusfluer)
-Fixed issue #13360: Print answers does not work / gives an error (markusfluer)
-Fixed issue #13365: custom.css never gets loaded (markusfluer)
-Fixed issue #13377: Button too small for label in edit menu entries (markusfluer)
-Fixed issue: Long text question not correctly displayed in printanswers (markusfluer)
-Fixed issue: Multiple export and printanswers issues fixed (markusfluer)
-Fixed issue: Untranslated strings (Carsten Schmitz)
-Fixed issue: Font and fruity theme packages not correctly saved (markusfluer)
-Fixed issue: Question selector not working after change in global settings (markusfluer)
-Fixed issue: Some options not loaded on uninheriting the parent theme (markusfluer)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin

Changes from 3.3.0 (build 180209) to 3.3.1 (build 180214) Feb 14, 2018
-Fixed issue #13188: Date/Time question type - icon missing (Olle Haerstedt)
-Fixed issue #13284: Breadcrumb group detail not using admin language (Olle Haerstedt)
-Fixed issue #13326: Not possible to using placeholders in group titles (Olle Haerstedt)
-Fixed issue #13329: Ajax mode should be off in database after installation/upgrade (Olle Haerstedt)
-Fixed issue #13333: "Registration" and "Print answers" screens appear to (Olle Haerstedt)
-Fixed issue #13334: PDOException after update to 3.3.0 (MSSQL) (Olle Haerstedt)
-Fixed issue #13349: Theme editor jumps back to admin home page after every save of changes to theme files (Olle Haerstedt)
-Fixed issue #13352: debug=2 broke all page with some server configuration (Denis Chenu)
-Fixed issue: Alert animation applied to question container.... (LouisGac)
-Fixed issue: Copy conditions doesn't work (Olle Haerstedt)
-Fixed issue: No error message when failed to change password (LouisGac)
-Fixed issue: Notice when launching a survey after reinstalling its theme (LouisGac)

Changes from 3.2.1 (build 180207) to 3.3.0 (build 180209) Feb 09, 2018
-New feature: "Clear asset cache" button in global settings (LouisGac)
-Fixed issue #13315: Make it possible to submit mandatory multiple choice with empty comment (Olle Haerstedt)
-Fixed issue #13324: Limesurvey crash after activating webserver authentication plugin (Denis Chenu)
-Fixed issue: Can't save token attributes that have no description (Olle Haerstedt)
-Fixed issue: Custom CSS/JS not loaded on extended themes (LouisGac)
-Fixed issue: Welcome text and description not visible (Olle Haerstedt)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: German by c_schmitz, StuartJKondziella
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Greek
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Spanish (Spain) by Dhel210, aesteban
#Updated translation: Turkish by kayazeren

Changes from 3.2.0 (build 180206) to 3.2.1 (build 180207) Feb 07, 2018
-Fixed issue 13309: Sliders logging to console when not in debug mode. (markusfluer)
-Fixed issue #13141: Filters or rows per page won't work on default page (Olle Haerstedt)
-Fixed issue #13297: {TOKEN} field doesn't seem to be accessible in end of survey message (LouisGac)
-Fixed issue #13299: In Conditions designer, after adding a condition, "Save and close" gives 404 Not found error (Olle Haerstedt)
-Fixed issue #13301: Sliders given different widths within the same question (markusfluer)
-Fixed issue #13305: Display Token Field on Welcome Screen don't work (LouisGac)
-Fixed issue #13306: console.ls.error() doesn't log (markusfluer)
-Fixed issue: Console installation from config file not working (Carsten Schmitz)
-Fixed issue: Demomode command deleteing neccessary files (markusfluer)
-Fixed issue: Missing captcha rendering on registration form (Olle Haerstedt)
-Fixed issue: Language not fetch the correct way (LouisGac)

Changes from 3.1.1 (build 180130) to 3.2.0 (build 180206) Feb 06, 2018
-New feature #13296: Systeminfos $this->view->assign Button (markusfluer)
-New feature: Remote control login by plugin (Denis Chenu)
-New feature: Installation from any config file possible (markusfluer)
-Fixed issue #13185: Rendering issue when adding new questions (Preview) (markusfluer)
-Fixed issue #13206: Unable to update Advanced question setting after activation (markusfluer)
-Fixed issue #13234: Focus in text fields when pressing return (markusfluer)
-Fixed issue #13236: Import LSS files from previous versions (markusfluer)
-Fixed issue #13260: Expressions in question groups are not interpreted (Olle Haerstedt)
-Fixed issue #13265: Survey menu assigned to specific user shows up for all users (Olle Haerstedt)
-Fixed issue #13269: Tutorial - Create a sample question and question group (markusfluer)
-Fixed issue #13272: Captcha does not show Continue button (markusfluer)
-Fixed issue #13275: Export Survey as .lsa doesn't work - _timings not existing (markusfluer)
-Fixed issue #13277: "Inactive survey message" for active survey (markusfluer)
-Fixed issue #13279: Reference to 'LimeSurvey' in user message breaks Template principle (Carsten Schmitz)
-Fixed issue #13280: Variables don't work in END_URL (markusfluer)
-Fixed issue #13285: Can't view/edit question screen of any template (Olle Haerstedt)
-Fixed issue #13286: Simple selector don't have optgroup (markusfluer)
-Fixed issue #13290: Admin user with only read perm see "Update default" (Olle Haerstedt)
-Fixed issue #13292: Google analytics script included even if GA is not set (Denis Chenu)
-Fixed issue #13295: Better captcha instructions (Olle Haerstedt)
-Fixed issue: Add question buttonshown even if not allowed (markusfluer)
-Fixed issue: Beginer tutorial won't work withour correct permission (markusfluer)
-Fixed issue: Better Excel compatibility for multiline response fields (Carsten Schmitz)
-Fixed issue: Disable sorting in left box of ranking question (kw-private)
-Fixed issue: Navigation bar overflowing survey welcome (markusfluer)
-Fixed issue: question type selectior available in activated survey (markusfluer)

Changes from 3.1.0 (build 180124) to 3.1.1 (build 180130) Jan 30, 2018
-Fixed issue #13206: Unable to update advanced question setting after activation (markusfluer)
-Fixed issue #12451: Problem when user exports to PDF (Carsten Schmitz)
-Fixed issue #12815: Error after multiple question deleting (markusfluer)
-Fixed issue #12990: Exporting non-response participants very slow - fix by DeveloperChris (Carsten Schmitz)
-Fixed issue #13010: MySQL 8 reserved word used as table alias in query (Olle Haerstedt)
-Fixed issue #13104: A lot of white space below answer list (LouisGac)
-Fixed issue #13116: Can't edit survey list (LouisGac)
-Fixed issue #13185: Rendering issue when adding new questions (Preview) (markusfluer)
-Fixed issue #13219: Stars / Slider don't work anymore in 1-5 Single Choice Question since 3.0.5 (markusfluer)
-Fixed issue #13225: VVImport not showing a result screen (Carsten Schmitz)
-Fixed issue #13235: Copying Array question results in error (Carsten Schmitz)
-Fixed issue #13239: Extended fruity variations cannot be changed in survey, only in admin theme editor (LouisGac)
-Fixed issue #13241: Error when upgrading from 2.x and using MSSQL (Carsten Schmitz)
-Fixed issue #13255: Problems with saving expiration date and start date (Olle Haerstedt)
-Fixed issue #13258: Class 'Users' not found when changing menu entry permissions (Olle Haerstedt)
-Fixed issue #13259: Clear templates database cache after update (Olle Haerstedt)
-Fixed issue #13180: Variables don't work in END_URL (LouisGac)
-Fixed issue: Slider not working on new Firefox (Markus flür
-Fixed issue: Group ordering doesn't work (markusfluer)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Hungarian by kkd
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin

Changes from 3.0.5 (build 180118) to 3.1.0 (build 180124) Jan 24, 2018
-New feature #12240: Validation settings for "array by column" question type (Denis Chenu)
-New feature: Add em_validation_q to list of choice (dropdown and radio) (Denis Chenu)
-Fixed issue #12548: Untranslated string during installation process (Carsten Schmitz)
-Fixed issue #12666: Untranslated string in participant export (Carsten Schmitz)
-Fixed issue #12682: Missing start and end text in quick-translation (Carsten Schmitz)
-Fixed issue #12877: Missing translation (Carsten Schmitz)
-Fixed issue #12925: Untranslated string in survey groups (Carsten Schmitz)
-Fixed issue #12927: String not picked from language files (Carsten Schmitz)
-Fixed issue #13137: Cannot access theme editor (LouisGac)
-Fixed issue #13190: Remove text or uncheck checkbox automatically not work (KLLam)
-Fixed issue #13193: Unable to update question type (simple selector) (markusfluer)
-Fixed issue #13200: LDAP Auth plugin user autocreate broken (Denis Chenu)
-Fixed issue #13208: Missing translation in ComfortUpdate (Carsten Schmitz)
-Fixed issue #13212: missing translation frontend survey (markusfluer)
-Fixed issue #13215: Missing string (markusfluer)
-Fixed issue #13216: missing translation (markusfluer)
-Fixed issue #13223: Missing translation when editing CPDB attributes (Carsten Schmitz)
-Fixed issue #13226: Array buttons don't stay selected in Firefox 57.0.4 (Markus flür)
-Fixed issue #13161: Error page when submitting a form which has been saved for later and then resumed. (KLLam)
-Fixed issue: Captcha alone not working (markusfluer)
-Fixed issue: Captcha image does not appear (because GD library is not installed) (Carsten Schmitz)
-Fixed issue: Captcha not showing (markusfluer)
-Fixed issue: Default tutorials out of db and reset surveymenues to work well with translations (markusfluer)
-Fixed issue: Demo rendered unusable with wipe command (markusfluer)
-Fixed issue: Emailtemplate reset not working (markusfluer)
-Fixed issue: EM expression on other for list dropdown didn't work (Denis Chenu)
-Fixed issue: Error message with missing directories in template editor (Carsten Schmitz)
-Fixed issue: Language error (markusfluer)
-Fixed issue: [security] No CRSF check for uninstall theme - reported by Mustafa Hasan (LouisGac)
-Fixed issue: Notice if survey is activated and question is edited (Carsten Schmitz)
-Fixed issue: Reverted accidental change from develop branch (Markus flür)
-Fixed issue: Sliders not working (markusfluer)
-Fixed issue: Slider value empty (Markus flür)
-Removed translation: Papiamento (Aruba) (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Danish by abc99
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Georgian by zch5368
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt, nomoto
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Romanian by cdorin
#Updated translation: Vietnamese by namphuong

Changes from 3.0.4 (build 180116) to 3.0.5 (build 180118) Jan 18, 2018
-Fixed issue #13061: Survey list displays only the surveys from the default survey group (Olle Haerstedt)
-Fixed issue #13110: Language changer doesn't work (Olle Haerstedt)
-Fixed issue #13118: Hide group name and/or group description not working (Olle Haerstedt)
-Fixed issue #13153: Confirm Popup stays active after deleting a single token and clicking "yes" (markusfluer)
-Fixed issue #13176: Conditions on 1-5 Single Choice doesn't work with Star Rating (default + slider works) (markusfluer)
-Fixed issue #13177: 1-5 Single Choice with Slider & deactivated "no answer" still let's the slider move to 6th element (outside of the slider) (markusfluer)
-Fixed issue: Mass actions not working correctly (markusfluer)
-Fixed issue: More fixes to theme configuration in database after update (Olle Haerstedt)
-Fixed issue: Slow performance on every admininstration page if you have alot of surveys (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Hungarian by kkd
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Romanian by cdorin

Changes from 3.0.3 (build 180112) to 3.0.4 (build 180116) Jan 16, 2018
-Fixed issue #13124: LDAP Authencation failed (Denis Chenu)
-Fixed issue #13139: Editing assessment rules->message text gets lost (markusfluer)
-Fixed issue #13145: Unable to process IMAP bounces (Carsten Schmitz)
-Fixed issue #13151: Display issue in survey theme editor (markusfluer)
-Fixed issue #13154: "Resume Later" fails with "General error: 1364 Field 'saved_thisstep' doesn't have a default value" (markusfluer)
-Fixed issue: Missing vanilla and fruity theme configuration after upgrading from 2.73 (Olle Haerstedt)
-Fixed issue: POST URLs on user editing (Carsten Schmitz)
-Fixed issue: ComfortUpdate ZIP problem (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Spanish (Spain) by aesteban

Changes from 3.0.2 (build 180110) to 3.0.3 (build 180112) Jan 12, 2018
-Fixed a small typo (gekkedev)
-Fixed issue #12223: Exporting database does not name columns for attributes (Matthew)
-Fixed issue #13134: Some Expression Manager vars not rendered (LouisGac)
-Fixed issue #13157: Exporting results with active timings results in an SQL error (Olle Haerstedt)
-Fixed issue #13159: Cannot access logic file (Olle Haerstedt)
-Fixed issue #13163: Can't add answer option to Single Choice Question (Olle Haerstedt)
-Fixed issue #13166: Survey theme editor - Animate checkboxes (fruity only) (markusfluer)
-Fixed issue: Labelsets not working correctly (markusfluer)
-Fixed issue: Question navigator not working (Carsten Schmitz)
-Fixed issue: labelsets not working on firefox (markusfluer)
-Fixed issue: links in sidemenu to questions doen't work (Markus Flür)
-Fixed issue: theme.js not loaded (LouisGac)
-Fixed issue:vertical scrollbar in structure view (markusfluer)
-fixed issue #13156: Some Variables are not working in ongoing survey: ASSESSMENT_CURRENT_TOTAL and TOKEN:TOKEN (LouisGac)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Hungarian by kkd
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Thai by tomzt


Changes from 3.0.1 (build 171228) to 3.0.2 (build 180110) Jan 10, 2018
-New feature: Else part in Expression Manager function optional (#895) (Denis Chenu)
-Fixed issue #13108: Property "Template.creator" is not defined. (#908) (Tõnis Ormisson
-Fixed issue #12934: Date field does not show calendar (markusfluer)
-Fixed issue #13105: Tutor looks bad, buttons are overlapping (markusfluer)
-Fixed issue #13106: SQL error when installing 3.0.1 (markusfluer)
-Fixed issue #13111: Google Analytics (markusfluer)
-Fixed issue #13113: export_responses returns page error as response (#910) (Tõnis Ormisson
-Fixed issue #13117: Statistics cannot be shown (Olle Haerstedt)
-Fixed issue #13120: Cant change to custom default survey template (LouisGac)
-Fixed issue #13120: Cant use dash in template name (LouisGac)
-Fixed issue #13131: Edit survey participant --> "Invitation sent?" and "Reminder Sent" can't be reset (markusfluer)
-Fixed issue #13133: Can not edit qustion advanced settings on activated survey (markusfluer)
-Fixed issue #13136: Can't remove end URL (markusfluer)
-Fixed issue #13144: Remove 'Create theme' button (should only extend) (Olle Haerstedt)
-Fixed issue #13147: No clearall confirmation (Olle Haerstedt)
-Fixed issue #13149: Tour does not work when using urlFormat path (markusfluer)
-Fixed issue: Better handling of email in LDAP account creation (Carsten Schmitz)
-Fixed issue: End tour button seemed out of place Redirection not working in tour (markusfluer)
-Fixed issue: Faulty Postgres id seq during db upgrade (Olle Haerstedt)
-Fixed issue: Label set import broken (Carsten Schmitz)
-Fixed issue: Multiple errors on IE11 (markusfluer)
-Fixed issue: Multiple issues when updating using Postgres (Olle Haerstedt)
-Fixed issue: Registration did not redirect to successpage (markusfluer)
-Fixed issue: Translation not properly shown (Carsten Schmitz)
-Fixed issue: Non webserver authentication (Pablo Garcia)
-Fixed issue: Can't save question custom attributes for question themes (LouisGac)
-Fixed issue: checkPassword throwing ERROR_PASSWORD_INVALID when credentials are ok. (Pablo Garcia)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han, kpadm
#Updated translation: Hungarian by kkd
#Updated translation: Indonesian by radhwaw
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonsta
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Brazil) by holch, jjesusfilho
#Updated translation: Spanish (Spain) by aesteban
#Updated translation: Thai by adzpire, tomzt
#Updated translation: Turkish by kayazeren
#Updated translation: Ukrainian by c_schmitz

Changes from 3.0.0 (build 171222) to 3.0.1 (build 171228) Dec 28, 1017
-Fixed issue #12998: Text noise <###begin###> visible after db upgrade (markusfluer)
-Fixed issue #13087: Template carousel button has different fonts (markusfluer)
-Fixed issue: Breaking updatedb through missing table (markusfluer)
-Fixed issue: Create survey config after survey import (Olle Haerstedt)
-Fixed issue: Data integrity query failed (Olle Haerstedt)
-Fixed issue: Doubled advanced settings in question edition (markusfluer)
-Fixed issue: Export form looks strange in small resolution (Olle Haerstedt)
-Fixed issue: Missing columns in responses export (Olle Haerstedt)
-Fixed issue: boxes not behaving correctly on ie (markusfluer)
-Fixed issue: can't save assessment in array question (markusfluer)
-Fixed issue: installation db and update db were differing in tutorials, thus breaking tests (markusfluer)


Changes from 2.73.0 (build 171206) to 3.0.0 (build 171222) Dec 22, 2017
-New feature: Redesigned survey toolbar (markusfluer)
-New feature: Tutorial tour (markusfluer)
-New feature: Massive action to delete uploaded files for multiple responses at once (Olle Haerstedt)
-New feature: Browser detection question type template for short text (markusfluer)
-New feature: Copy, export and import survey plugin settings (Denis Chenu)
-New feature: Install/uninstall templates uploaded via FTP (LouisGac)
-New feature: New button to remove uploaded files while keeping the response itself (Olle Haerstedt)
-New feature: Offer core templates to install manually. (LouisGac)
-New feature: Purge survey files possibly left from erroneous delete (Olle Haerstedt)
-New feature: Set quotas by equation (Tõnis Ormisson)
-New feature: Storage data overview in global settings (Olle Haerstedt)
-New feature: Template list in survey group, so it's possible to set survey group options for any template (LouisGac)
-New feature: Copy survey using RemoteControl API (Stefan Verweij)
-New feature: set_quota_properties via RemoteControl API (Tõnis Ormisson)
-New feature: Toggle quota status via RemoteControl API (Tõnis Ormisson)
-New feature #12563: RemoteControl API - process files on add_response() (Adrián Pardini)
-New feature #12564: RemoteControl API - adds upload_file action (Adrián Pardini)
#Updated translation: Arabic by Macropsyco, malbariqi, mosaab
#Updated translation: Bosnian by RebeccaAwdry
#Updated translation: Bulgarian by DCLXVI
#Updated translation: Catalan by qualitatuvic, valdomir
#Updated translation: Chinese (Hong Kong) (Traditional) by oc25
#Updated translation: Chinese (Taiwan) (Traditional) by imacat
#Updated translation: Czech by jelen1, VBraun
#Updated translation: Dutch (Informal) by Han, zfocuz, Petra017, coeneisma
#Updated translation: Dutch by Han, zfocuz, Petra017
#Updated translation: Finnish by jeskiv
#Updated translation: French (France) by arnaud21
#Updated translation: German (Informal) by tuxmaster, c_schmitz
#Updated translation: German by tuxmaster, c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Indonesian by bennylin, ysulistya, radhwaw
#Updated translation: Italian (Informal) by ciampix, lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by papillon326, nomoto
#Updated translation: Korean by spn
#Updated translation: Kirundi by Vicks
#Updated translation: Norwegian (Bokmål) by pmonstad, peterhol
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Persian by UTeQ, ESH
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Romanian by cookiemonster, jmlorenzo, vundicind, icm76, enedelcu
#Updated translation: Russian by vipgroup
#Updated translation: Slovak by klingja
#Updated translation: Spanish (Spain) by valdomir, aesteban
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by adzpire, tomzt
#Updated translation: Turkish by kayazeren
#Updated translation: Valencian by joamuran
#Updated translation: Vietnamese by namphuong

Changes from 2.72.6 (build 171206) to 2.73.0 (build 171219) Dec 19, 2017
-Fixed issue #12997: PHP warning "mktime() expects" when calling survey logic file (Denis Chenu)
-Fixed issue #13008: SPSS export invalid A0 for string (Denis Chenu)
-Fixed issue: Unable to use date function with question value (debug>0) (Denis Chenu)
-New feature: @@OPTOUTURL@@ & @@OPTINURL@@ placeholders for invitation/reminder emails (Carsten Schmitz)
#Updated translation: Chinese (Hong Kong) (Traditional) by oc25
#Updated translation: Indonesian by radhwaw
#Updated translation: Japanese by papillon326, nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Slovak by klingja

Changes from 2.72.5 (build 171121) to 2.72.6 (build 171206) Dec 6, 2017
-Fixed issue: Survey settings are not deleted when survey is deleted (Denis Chenu)
-Fixed issue: Changing password not possible when using Postgres (jackom83)
-Fixed issue: Wrong minimum upload size determined (Carsten Schmitz)
-Fixed issue: Replaced wrong text string about security fixes (Markus Flür
-Fixed issue: Survey url params not transferred after captcha (markusfluer)
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Indonesian by radhwaw
#Updated translation: Valencian by joamuran

Changes from 2.72.4 (build 171020) to 2.72.5 (build 171121) Nov 21, 2017
Fixed issue: Fix problem with answer option rows in admin (Olle Haerstedt)
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: Finnish by jeskiv
#Updated translation: Hungarian by kkd
#Updated translation: Indonesian by radhwaw
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Polish (Informal) by elissa
#Updated translation: Polish by elissa
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Spanish (Spain) by aesteban
#Updated translation: Swedish by maxzomborszki
#Updated translation: Turkish by kayazeren

Changes from 2.72.3 (build 171020) to 2.72.4 (build 171020) Nov 10, 2017
-Fixed issue: [Security] Possible to edit file outside of template directory from template editor (found and reported by Robin Peraglie from RIPS Technologies www.ripstech.com ) (LouisGac)
-Fixed issue: [Security] Possible XSS in Resume later function (found and reported by Robin Peraglie from RIPS Technologies www.ripstech.com ) (Carsten Schmitz)
-Fixed issue #12697: SPSS Export - responses truncated for incomplete answers (Denis Chenu)
-Fixed issue #12734: SPSS exporting complete or uncomplete make different syntax (Denis Chenu)
-Fixed issue #12851: Regex for trailing zeroes in numeric input matches only zeroes immediately after decimal sign (markusfluer)
-Fixed issue #12866: Some participants cannot be saved for no obvious reason (Carsten Schmitz)
-Fixed issue #12873: Captcha breaking token persistence (LouisGac)
-Fixed issue #12876: Survey logic file completely unprintable (markusfluer)
-Fixed issue: Deprecated error shown when using user statistics (Carsten Schmitz)
#Updated translation: Arabic by Macropsyco, Macropsy
#Updated translation: Bosnian by RebeccaAwdry
#Updated translation: Catalan by qualitatuvic
#Updated translation: Czech by jelen1, VBraun
#Updated translation: Dutch by zfocuz, Han
#Updated translation: Dutch (Informal) by zfocuz, Han
#Updated translation: Finnish by jeskiv
#Updated translation: French (France) by arnaud21
#Updated translation: German by tuxmaster, c_schmitz
#Updated translation: German (Informal) by tuxmaster, c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Indonesian by bennylin, ysulistya, radhwaw
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Kirundi by Vicks
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Persian by ESH, UTeQ
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Romanian by cookiemonster, jmlorenzo, vundicind, icm76, enedelcu
#Updated translation: Russian by vipgroup
#Updated translation: Swedish by maxzomborszki
#Updated translation: Turkish by kayazeren

Changes from 2.72.2 (build 171017) to 2.72.3 (build 171020) Oct 20, 2017
-Fixed issue #12805: Date fields are lost when persistent tokens are re-accessed (Carsten Schmitz)
-Fixed issue #12806: RemoteControl: wrong datatype shows SQL error (Carsten Schmitz)
-Fixed issue: Error after update which resolves itself after some time (caching issue) (Carsten Schmitz)
-Fixed issue: Error message on LDAP token bind too generic (Carsten Schmitz)
-Updated translation: French (France) by arnaud21
-Updated translation: Indonesian by radhwaw
-Updated translation: Dutch by Petra017, Han
-Updated translation: Thai by tomzt
-Updated translation: Dutch (Informal) by Petra017, Han

Changes from 2.72.1 (build 171012) to 2.72.2 (build 171017) Oct 17, 2017
-Fixed issue #12739: File upload question format: Title and comment may be garbled when going back and forth (markusfluer, Carsten Schmitz)
-Fixed issue #12785: Some placeholders in e-mail templates do not take 'publicurl' setting into account (Carsten Schmitz)
-Fixed issue #12786: Cannot delete users from user groups unless having Superadministrator permission (Carsten Schmitz)
-Fixed issue #12798: Tools menu can be shown but empty (Denis Chenu)
-Fixed issue: Uploader could not work with multibyte unicode letters (markusfluer)
#Updated translation: Catalan by qualitatuvic
#Updated translation: German by c_schmitz, tuxmaster
#Updated translation: German (Informal) by c_schmitz, tuxmaster
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Spanish (Spain) by aesteban, fernandoessv, jeskiv, cripton
#Updated translation: Swedish by maxzomborszki

Changes from 2.72.0 (build 171010) to 2.72.1 (build 171012) Oct 12, 2017
-Fixed issue #12551: Untranslated string (Carsten Schmitz)
-Fixed issue #12765: When saving survey settings an error is shown. (Carsten Schmitz)
-Fixed issue: Unable to save plugin settings (Denis Chenu)
#Updated translation: Catalan by qualitatuvic
#Updated translation: French (France) by arnaud21
#Updated translation: Hungarian by kkd
#Updated translation: Indonesian by radhwaw
#Updated translation: Norwegian (Bokmål) by pmonstad

Changes from 2.71.1 (build 170927) to 2.72.0 (build 171010) Oct 10, 2017
-New feature #12691: Allow initial superadmin to login via LDAP (Denis Chenu)
-New feature #9235: Copy, export and import survey plugin settings (Denis Chenu)
-New feature: Copy survey from remotecontroll (#688) (Stefan Verweij)
-New feature: Mass action to export selected responses (LouisGac)
-New feature: Purge survey files possibly left from erroneous delete (Olle Haerstedt)
-New feature: queXMLPDF export with response data (#807) (Adam Zammit)
-New translation: Kirundi - kindly provided by Victorin Luisier
-Fixed issue #12452: Conditional routing doesn't work on scale and array questions (#783) (opinioni)
-Fixed issue #12552: Some typos (Carsten Schmitz)
-Fixed issue #12639: Quota end-url does not allow surrounding EM (#798) (Tõnis Ormisson)
-Fixed issue #12704: Participants receive wrong tokens after testing (Denis Chenu)
-Fixed issue #12731: When sending mails to an user group, the success message is not translated to German. (Carsten Schmitz)
-Fixed issue #12736: Incomplete warning for anonymous surveys (Olle Haerstedt)
-Fixed issue: Delete survey folder when using massive action survey delete (Olle Haerstedt)
-Fixed issue: Don't use short-hand array notation (Olle Harstedt)
-Fixed issue: Maps not working properly on https + bugfixes (markusfluer)
-Fixed issue: Typecheck the XML variable from the GroupImport method (#804) (Kevin Broeren)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: French (France) by arnaud21
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Kirundi by Victorin Luisier
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Turkish by kayazeren

Changes from 2.71.0 (build 170925) to 2.71.1 (build 170927) Sep 27, 2017
-Fixed issue #12703: rtl css not loaded in Survey listing (LouisGac)
-Fixed issue #12710: Unable to view survey with debug=2 (LouisGac)
-Fixed issue #12711: Date with dropdow throw SQL error with pgsql (Denis Chenu)
-Fixed issue #12719: RTL always loaded (and inverse ;) ) (LouisGac)
-Fixed issue: Global user permission changes are not saved anymore (Carsten Schmitz)
-Fixed issue: RTL CSS not loaded when defining language by URL or post (LouisGac)
#Updated translation: Arabic by ktharwat
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, gregi
#Updated translation: Hungarian by kkd
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa

Changes from 2.70.0 (build 170921) to 2.71.0 (build 170925) Sept 25, 2017
-New feature #12690: Allow super-admin set by other user's than 1 (#810) (Denis Chenu)
-Fixed issue: Can't delete file in template editor that contains a blank (Carsten Schmitz)
-Fixed issue: template-rtl.css not loaded (LouisGac)
-Fixed issue: Token editing - couldn't change to attributes tab (markusfluer)
#Updated translation: Chinese (Taiwan) (Traditional) by ChadPeng
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
Changes from 3.0.0-beta.1 (build 170720) to 3.0.0-beta.2 (build 170810) Aug 10, 2017
-New feature: Changed the general design to a mobile first stance (markusfluer)
-New feature: Added more flexibility to onRegisterForm event and twigged registration (markusfluer)
-New feature: refined surveymenu design and responsiveness (markusfluer)
-New feature: Survey groups. Each survey now belongs to a survey group. (Louis Gac)
-New feature: List survey groups. Views for survey group feature (Louis Gac)
-New feature: Template Options at survey level. User can now set the template options at the survey level (Louis Gac and Markus Fluer)
-New feature: Template Options global inheritance. All template options can be inherited from global/survey group settings (Louis Gac and Markus Fluer)
-New feature: Template Options specific inheritance. A specific option can be inherited from global/survey group settings (Louis Gac and Markus Fluer)
-Fixed issue #12450: Data entry not opening with array filter (Tõnis Ormisson)
-Fixed issue #12492  Use of "text fields" as filter in "Participants" and "Answers" (markusfluer)
-Fixed issue #12513: "All-in-one" not working (LouisGac)
-Fixed issue #12530: Quota massive actions modal errors (Tõnis Ormisson)
-Fixed issue: Fixed mysql fresh installation error in Surveymenu (markusfluer)
-Fixed issue: Added fallback if tidy is not available (markusfluer)
-Fixed issue: Another soon to be fixed tidy error (markusfluer)
-Fixed issue: Empty array instead of null for tidy_repair_string (markusfluer)
-Fixed issue: Fixed the installation bug on reinstall (markusfluer)
-Fixed issue: Maximum file size not visible during VV import (Carsten Schmitz)
-Fixed issue: Pagination of participants list not working (LouisGac)
-Fixed issue: QuickMenu break usage of newDirectRequest for other plugin (Denis Chenu)
-Fixed issue: Security issue - Users need to put in their old password to change the current (markusfluer)
-Fixed issue: Subquestions not saved in quick translation (LouisGac)
-Fixed issue: Tidy was not configured for utf-8 (markusfluer)
-Fixed issue: Unable to save Google Analytics key by survey (Denis Chenu)
-Fixed issue: Wrong colours in statistics graphs when labels are duplicated (Olle Haerstedt)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch by zfocuz, Han
#Updated translation: Dutch (Informal) by zfocuz, Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Japanese by nomoto
#Updated translation: Malay by norazlannorden
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Slovak by dusanm
#Updated translation: Spanish (Argentina) (Informal) by cripton
#Updated translation: Spanish (Chile) by fernandoessv
#Updated translation: Spanish (Mexican) by eusebiocuke
#Updated translation: Thai by miracles, adzpire, heartjavac, tomzt

Changes from 2.67.3 (build 170728) to 2.70.0 (build 170921) Sept 21, 2017
-New feature: Add mass action to delete uploaded files for multiple responses at once (Olle Haerstedt)
-New feature: New button to remove uploaded files while keeping the response itself (Olle Haerstedt)
-New feature: Storage data overview in global settings (Olle Haerstedt)
-New feature: Added editing of participants/tokens to mass actions (LouisGac & markusfluer)
-Fixed issue #12279: Unable to upload image when send invitation (Denis Chenu)
-Fixed issue #12585: In quotas some answer options using non-ASCII characters are not shown in overview (Carsten Schmitz)
-Fixed issue #12641: On registering any lang can be set and accepted (Denis Chenu)
-Fixed issue #12652: AuditLog plugin resets language to default on registration (Denis Chenu)
-Fixed issue #12655: Unable to update language in personal settings (Denis Chenu)
-Fixed issue #12678: Save ranking question type can break survey database (Denis Chenu)
-Fixed issue: Can't add new participant in CPDB when audit log is active (Olle Haerstedt)
-Fixed issue: CPDB attribute language name didn't save (Olle Haerstedt)
-Fixed issue: Don't bind multiple click events on yes/no modal (Olle Haerstedt)
-Fixed issue: Login form language is not updated after error (Denis Chenu)
-Fixed issue: Pagination in Central Participant database not working when using MSSQL (encelado)
-Fixed issue: Question index menu is too high when survey is big (Olle Haerstedt)
-Fixed issue: Quota general screen not working because of missing language definition (markusfluer)
-Fixed issue: Should not be possible to change ranking columns when survey is active (Olle Haerstedt)
-Fixed issue: Too many columns error message on response export even if only a few columns were selected (Carsten Schmitz)
-Fixed issue: Wrong date conversion at data entry edit/new (Olle Haerstedt)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Czech by jelen1, VBraun
#Updated translation: Dutch by zfocuz, Han
#Updated translation: Dutch (Informal) by Nickko, zfocuz, Han
#Updated translation: Estonian by vipgroup, jeskiv
#Updated translation: Finnish by jeskiv
#Updated translation: French (France) by arnaud21
#Updated translation: Galician by jeskiv, Calidonia
#Updated translation: German by Magnar
#Updated translation: Greek by kiolalis
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Russian by vipgroup
#Updated translation: Swedish by maxzomborszki
#Updated translation: Turkish by kayazeren
#Updated translation: Valencian by joamuran, jeskiv, vbraque

Changes from 2.67.2 (build 170726) to 2.67.3 (build 170728) Jul 28, 2017
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German (Informal) by actxcellence, c_schmitz
#Updated translation: German by Thomas218, actxcellence, c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Russian by c0der, vipgroup
#Updated translation: Slovenian by lado, dusan
#Updated translation: Spanish (Mexican) by fernandoessv
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by adzpire, tomzt
#Updated translation: Turkish by kayazeren

Changes from 2.67.0 (build 170622) to 3.0.0-beta.1 (build 170720) Jul 19, 2017
-New feature: Enhancements of 2.60 HTML so it's more complient with WAI (Web Accessibility Initiative). (Denis Chenu)
-New feature: Twig is the new LimeSurvey template engine. It replaces the system of replacement keywords. Now, all the HTML is editable from templates. (Louis-Sébastien Gac-Artigas)
-New feature: Added sandbox for twig (security), and LS Twig Extension for common operations from template (adding CSS/JS, images, etc)
-New feature: Extended Yii's CClientScript, so it's possible to modify asset packages before rendering (add/remove/replace package definitions)
-New feature: Enable/disable asset manager depending on debug mode for all scripts (via CClientScript extension)
-New feature: Infinite template inheritance system. A template can inherit from another template so it contains only the modified files. It makes it easy to have a fleet of templates with slighty changes.(Louis-Sébastien Gac-Artigas)
-New feature: Template manifest can now add/replace/remove CSS/JS files from core packages (Denis Chenu, Louis-Sébastien Gac-Artigas)
-New feature: Template layouts. Template can now have distinct layouts for different pages (survey taking, survey list, error, etc)
-New feature: Database tables for Templates and Templates Configuration. Improves performances and flexibility. (Louis-Sébastien Gac-Artigas)
-New feature: Choose DB or Manifest mode. Template providers can choose to load template configuration from XML rather than DB for easy development.
-New feature: Templates list on homepage. The user can now access to a template list, with few informations about each template and buttons to edit them.(Louis-Sébastien Gac-Artigas)
-New feature: Template editor inheritance mode. Now, template editor extends templates rather than copying them. (Louis-Sébastien Gac-Artigas)
-New feature: Template options page. Template providers can create their own custom option pages to allow users to set some template parameters. (Louis-Sébastien Gac-Artigas)
-New feature: Added 'Advanced Template', a template to show what can be done with the new engine. (Louis-Sébastien Gac-Artigas)
-New feature: Ajax mode for 'Advanced Template' (need to be deeply tested) (Louis-Sébastien Gac-Artigas)
-New feature: Added 'Minimal Template', a simple template to start with for developers
-New feature: Added 'Material Template', a template to show the inheritance concept
-New feature: Store random seed with each response, making it possible to render the exact same order of questions and groups when respondent loads survey.
-New feature: Sidebar rendering via vuejs2 based on vuex state management (Markus Flür)
-New feature: Menus and entries collected via ajax (Markus Flür)
-New feature: Questiongroups and questions collected by ajax (Markus Flür)
-New feature: Sidebar is now resizeable by dragging (maximum size: 50% of screen) (Markus Flür)
-New feature: New system for editing and creating menuentries in the sidebar and the quickmenu (Markus Flür)
-New feature: Menus and entries are now items in the database and can be user and/or surveyspecific (Markus Flür)
-New feature: Integrated menu positions are side, collapsed, top and bottom (Markus Flür)
-New feature: Survey wizard for creating a new survey (Markus Flür)
-New feature: Editing surveys is mostly pjaxed (Markus Flür)
Changes from 2.67.1 (build 170626) to 2.67.2 (build 170726) Jul 26, 2017
-Fixed issue #12491: Permission to delete participants not obeyed in export dialog (Carsten Schmitz)
-Fixed issue: Default template with questions of white font color (markusfluer)
-Fixed issue: Importing a Tab-separated survey CSV file with multiline text in the question field does not properly work (Carsten Schmitz)
-Fixed issue: QuickMenu break usage of newDirectRequest for other plugin (Denis Chenu)
-Fixed issue: unable to save Google Analytics key by survey (Denis Chenu)

Changes from 2.67.0 (build 170622) to 2.67.1 (build 170626) Jun 26, 2017
-Fixed issue #12414: exporting printable - template assets not visible in some extractors (eg windows default) (#701) (Tõnis Ormisson)
-Fixed issue: Error in database update syntax (Olle Harstedt)
#Updated translation: Catalan by qualitatuvic
#Updated translation: French (France) by arnaud21
#Updated translation: Hungarian by kkd
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Turkish by kayazeren

Changes from 2.66.0 (build 170619) to 2.67.0 (build 170622) Jun 22, 2017
Changes from 2.66.0 (build 170619) to 2.67.0 (build 170622) Jun 22, 2017
-New feature: Opting out of a survey requires a one-click confirmation (Carsten Schmitz)

Changes from 2.65.0 (build 170502) to 2.66.0 (build 170619) Jun 19, 2017

Changes from 2.65.6 (build 170615) to 2.66.0 (build 170619) Jun 19, 2017
-New feature #12468: EM placeholder {SID} in email templates (Denis Chenu)
-Fixed issue #12101: Placeholder "TOKEN" does not work in Equation question (Denis Chenu)
-Fixed issue #12166: No possibility to share users with some webserver configurations (Carsten Schmitz)
-Fixed issue: Allow more date formats in date question default answer (Olle Haerstedt)
-Fixed issue: avoid very rare possible duplicate id on a page (LouisGac)
-Fixed issue: DateTime object can be false (Olle Haerstedt)
-Fixed issue: possible page broke when import TSV survey (Denis Chenu)
-Fixed issue: Unable to use pop up editor in survey setting (Denis Chenu)
-Fixed issue: [security] XSS in survey list (Denis Chenu)
#Updated translation: Arabic by noway
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Hong Kong) (Traditional) by wksosam
#Updated translation: Czech by VBraun
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by actxcellence, c_schmitz
#Updated translation: German (Informal) by fwittmann, c_schmitz
#Updated translation: Norwegian (Bokmål) by c_schmitz, pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Slovak by dusanm
#Updated translation: Turkish by kayazeren


Changes from 2.65.5 (build 170613) to 2.65.6 (build 170615) Jun 15, 2017
-Fixed issue: DateTime increased when going forward and back (Olle Haerstedt)
-Fixed issue: Missing hash column in notifications table (Olle Haerstedt)
-Fixed issue: Replacement fields are unsorted (Carsten Schmitz)
-Fixed issue: Replacement fields editor not properly working (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: French (France) by arnaud21
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Turkish by kayazeren


Changes from 2.65.4 (build 170612) to 2.65.5 (build 170613) Jun 13, 2017
-Fixed issue: Date questions do not properly save the date
-Fixed issue #11868: Zlib library missing (Carsten Schmitz)
-Fixed issue #11995: Removing language from global settings produces fatal error (Carsten Schmitz)
-Fixed issue #12031:Download files button in Response detail screen mislabelled (Carsten Schmitz)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa


Changes from 2.65.3 (build 170607) to 2.65.4 (build 170612) Jun 12, 2017
-Fixed issue #12225: [security] Cross-Site Scripting (Denis Chenu)
-Fixed issue #12417: Error when creating a question group multiple languages and using MSSQL (Carsten Schmitz)
-Fixed issue #12463: "Quick add.." replace function does not work anymore (Denis Chenu)
-Fixed issue: Fixed confusing captcha (markusfluer)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Dutch by DonMul, Han
#Updated translation: Dutch (Informal) by DonMul, Han
#Updated translation: Italian by darpao, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Slovenian by lado
#Updated translation: Turkish by kayazeren

Changes from 2.65.2 (build 170606) to 2.65.3 (build 170607) Jun 7, 2017
-Fixed issue: LimeSurvey logos too big
-Fixed issue #12460: Filtering statistics based on numeric question details (e.g. "Number less than X") has no effect (LouisGac)
#Updated translation: French (France) by arnaud21
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa

Changes from 2.65.1 (build 170522) to 2.65.2 (build 170606) June 6, 2017
-New feature: Add some collapse feature to remotecontrol function list (Denis Chenu)
-New feature: RemoteControl : allow to get all attributes in get function (Denis Chenu)

Changes from 2.64.0 (build 170307) to 2.65.0 (build 170502) May 2, 2017
-New feature: Add massive set-expiry to survey-list (Tõnis Ormisson)
-New feature: LDAP auth group filtering, support for $userdn (Enrico Polesel)
-New feature: Option to reset response ID when copying a survey (Carsten Schmitz)

Changes from 2.63.0 (build 170304) to 2.64.0 (build 170307) Mar 7 2017
-New feature #12117: Massive actions for quotas (Tõnis Ormisson)
-New feature: Export printable questionnaires (Tõnis Ormisson)
-New feature: Extend LDAP authentication plugin with optional group-membership restriction (Fred Yankowski)
-New feature: Method to get all uploaded files for a given token (brammeleman)
-New feature: NUMBEROFGROUPS replacement field on welcome template (Matthew Favetti)
-New feature: Regular expression flags can now be used in validation (Carsten Schmitz)
-New feature: Remote Control: list_users accepts user_id filter (Gabriel Jenik)

Changes from 2.62.0 (build 170124) to 2.63.0 (build 170304) Feb 20 2017
-New feature #12120: direct action by php-cli (Denis Chenu)
-New feature: add Plugin event afterFindSurvey (Tõnis Ormisson)
-New feature: New plugin event afterSurveyQuestionAssessment (Gabriel Jenik)
-New translation: Luxembourgish (Carsten Schmitz)

Changes from 2.59.0 (build 170115) to 2.62.0 (build 170124) Jan 24 2017
-New feature #12011: allow user to set runtimePath (Yii way) (Denis Chenu)
-New feature: Plugin event beforeFooterRender (Olle Haerstedt)
-New feature: Usergroups view (papa-mb)

Changes from 2.58.0 (build 170104) to 2.59.0 (build 170115) Jan 15 2017
-New feature: Added token email as replacement field for confirmation emails (Gabriel Jenik)
-New feature: Make AuthLDAP support multiple Base DNs for "Search and Bind" (ecraven)
-New feature: RemoteControl - new filter by token ids at invite_participants method (Gabriel Jenik)

Changes from 2.57.0 (build 161202) to 2.58.0 (build 170104) Jan 4 2017
-New feature: Allow enterToken view override. (LouisGac)
-New feature: Configuration to hide update key. (LouisGac)
-New feature: Manage ComfortUpdate key (LouisGac)

Changes from  2.56.0 (build 161117) to 2.57.0 (build 161202) Dec 2 2016
-New feature: Single table PDF export in statistics

Changes from  2.55.0 (build 161021) to 2.56.0 (build 161117) Nov 17 2016
-New feature #11741: Login limesurvey using the email address (Louis Gac)

Changes from  2.54.0 (build 161007) to 2.55.0 (build 161021) Oct 21 2016
-New feature: Quick-add conditions in the condition designer (Olle Haerstedt)

Changes from  2.53.0 (build 161004) to 2.54.0 (build 161007) Oct 07, 2016
-New feature #11683: i18n for EM validations tip (Denis Chenu)
-New feature: Choose language when exporting SPSS data (Carsten Schmitz)
-New translation: Bengali (Carsten Schmitz)

Changes from  2.52 (build 160908) to 2.53.0 (build 161004) Oct 04, 2016
-New feature #11626: beforeTokenEmail for confirmation email (Denis Chenu)
-New feature: Add model for beforeTokenEmail event (name in the DB for surveyls_email_model) (Denis Chenu)
-New feature: Add survey for survey id in beforeTokenEmail event (Denis Chenu)
-Updated feature: Added setting to toggle search box on home page survey listing (#11710) (Matthew Favetti)
-Updated feature: Allow custom links in home page boxes (#11548) (Matthew Favetti)
-Updated feature: User can now choose whether or not to create sample question and group when a creating survey (#11605) (Matthew Favetti)

Changes from  2.51.0 (build 160908) to 2.52.0 (build 160920) Sept 20, 2016
-New feature #11626: beforeTokenEmail for confirmation email (Denis Chenu)
-New feature: Add model for beforeTokenEmail event (name in the DB for surveyls_email_model) (Denis Chenu)
-New feature: Add survey for survey id in beforeTokenEmail event (Denis Chenu)

Changes from  2.50+ (build 160202) to 2.51.0 (build 160829) Aug 29, 2016
-New feature: Option to automatically rename colliding question codes on question import (Carsten Schmitz)
-New feature: Set X-Frame-Options in global settings to restrict iframe embedding to the same server (Carsten Schmitz)
-New feature: User can show survey list on welcome page (LouisGac)
-New feature: Add example group and question on survey creation (Carsten Schmitz)
-New translation: Kyrgyz by kmaksat (Carsten Schmitz)
-New feature: Allow adding new question attribute in Plugin (Denis Chenu)
-New feature: Completion selector for simple stats (LouisGac)
-New feature: Extended mode for responses grid (LouisGac)
-New feature: In "Export result data to SPSS" view, user can define what value should be use for "No Answer". If not set, usual behavior will apply. (LouisGac)
-New feature: Massive actions for question list (LouisGac)
-New feature: HMTL5 video plugin for question editor (Carsten Schmitz)
-New feature: Youtube plugin for question editor (Carsten Schmitz)
-New feature: Edit participant (former token) information in popup window, revamped browsing (LouisGac)
-New feature: Question List, user can search over qid, code, question and question type (LouisGac)
-New feature: Response Excel format now exports xlsx files (Carsten Schmitz)
-New feature : Mass actions for survey list: Export archives, export structure, delete surveys (LouisGac)
-New feature: User can choose how many columns are used to display advanced statistics (LouisGac)
-New feature: User can choose to display Question Code or Question Text for graphs labels in advanced statistics (LouisGac)
-New feature #10051: Enable / disable quotas (Denis Chenu)
-New feature: Breadcrumb for question edition and question group (LouisGac)
-New feature: Button to group summary in question explorer (LouisGac)
-New feature: Question Position Widget, ajax reload on group selector changes (LouisGac)
-New feature: Question position widget when copying a question (LouisGac)
-New feature: Show "Questions in group:{name}" instead of "Questions in this survey" in question list when group filter is on (LouisGac)
-New feature: "Test/Execute" this survey from group edition (LouisGac)
-New feature: Hyphenation for survey content on small screens (very long words will be break with hyphens on recent navigators, or with word-wrap on old ones) (LouisGac)
-New feature: New core plugin: QuickMenu (Olle Haerstedt)
-New feature: User can add its own admin theme in upload directory (LouisGac)
-New feature: Added a config setting to disable by default the possibility for templates to overwrite the views (LouisGac)
-New feature: In template editor, added a tip to explain how to display pictures in pstpl/css files (LouisGac)
-New feature: Templates can now overwrite the question views (LouisGac)
-New feature: Disable asset management for admin gui when debug mode is on, included for CSS and JS files loaded from the subcontrollers (LouisGac)
-New feature: Choose if side-menu should be always hidden, always closed or adaptive (default) (Olle Harstedt)
-New feature: Double column to display advanced statistics (LouisGac)
-New feature #10958: Add btn-primary to next and submit (Denis Chenu)
-New feature: ComfortUpdate improvements (LouisGac)
-New feature: Disable comfortUpdate alerts from version.php (LouisGac)
-New feature: Syntaxhighlighting in source code view when editing survey content (Carsten Schmitz)
-Removed feature: Obsolete setting dropdownthreshold (Carsten Schmitz)
-New feature #10571: beforeController event (for web) (Denis Chenu)
-New feature #10954: Always add font-awesome in public and admin (Denis Chenu)
-New feature: Configuration AuditLog config page + new log survey settings change event (Daniel Gimeno)
-New feature: Enable integer-only answers in multiple numeric fields (Daniel Gimeno)
-New feature: Default template errors/alerts system enhanced (LouisGac)
-New feature: Frontend, scroll to first error (LouisGac)
-New feature: Arrays, mute headers when exlusive option is choosen (LouisGac)
-New feature: Better display for Open Layer map (LouisGac)
-New feature: Force asset manager to republish assets for manual updates (LouisGac)
-New feature : newUnsecureRequest event : same than direct request but without CRSF (Denis Chenu)
-New feature: Added a CLI command to wipe out user data (Carsten Schmitz)
-New feature: More settings for answers PDF export (lenasterg)
-New feature: Old template compatibility (Denis Chenu)

Changes from 2.06+ (build 160129) to 2.50+ (build 160202) Feb 2, 2016
-New feature: New administration interface using Bootstrap
-New feature: New responsive survey templates using Bootstrap

Changes from 2.06+ (build 150611) to 2.06+ (build 160129) Jan 29, 2016
-New feature #8331: Set appearance options for queXML export (Adam Zammit)
-New feature #8343: quexf: next page message with new question splitting option (Adam Zammit)
-New feature #8344: quexf: conditional splitting with new question splitting option (Adam Zammit)
-New feature #9785: unicode function for substr and other text management function (Denis Chenu)
-New feature #9904: allow to use EXPIRY in expression when sending email (Denis Chenu)
-New feature: Added ADMINNAME and ADMINEMAIL as replacement field for survey texts (Gabriel Jenik)
-New feature: replacement field SURVEYRESOURCESURL for relative survey ressource url (Denis Chenu)
-New feature: Auto creation of users from LDAP (Alfredo Esteban)
-New feature: Link template name to template editor if user has (Marcel Minke)
-New feature: Link template name to template editor if user has sufficient permissions. (Marcel Minke)
-New feature: Allow export to use statistics filter (Denis Chenu)
-New feature: ComfortUpdate notification (louis)
-New feature: ComfortUpdater with key system (louis)
-Updated feature: New LDAP authentication option (Alfredo Esteban)

Changes from 2.05+ (build 150520) to 2.06+ (build 150611) Jun 11, 2015
-New feature #5983: allow different value in Database tha shown in Equation question type (Denis Chenu)
-New feature #9431: Create LDAP users taking email and full name from LDAP server (Alfredo Esteban)
-New feature #9544: Question validation equation for List with comment (Denis Chenu)
-New feature: New authentication method management (Alfredo Esteban)
-New feature #7048: Don't show EM error to respondant (Denis Chenu)
-New feature #8351: Public registration page resending of already registered user's login details (Denis Chenu)
-New feature #8659: Configurable proxy for comfort update (mfaber)
-New feature #8757: Individual subquestion relevance (mfaber)
-New feature #8823: Ability to use {QCODE} before it's declared (Denis Chenu)
-New feature #8862: More option in export heading (Denis Chenu)
-New feature #9006: Invalid mail addresses should be marked, not ignored (Denis Chenu)
-New feature #9133: Quota HTML use completed.pstpl (Denis Chenu)
-New feature #9427: A way to validate expression in Quota (Denis Chenu)
-New feature #9442: Allow to save (not save and quit) in Plugin settings and global settings (Denis Chenu)
-New feature #9500: Add ANSWER, QUESTIONHELP and other to beforeQuestionRender plugin event (Denis Chenu)
-New feature #9534: Allow 'other' for sub question code (Denis Chenu)
-New feature #6624: Allow to validate expression in email template (Denis Chenu)
-New feature: Allow barebone URL for OPTOUTURL and OPTINURL (Denis Chenu)
-New feature: allow extended htmlOptions in SettingsWidget (Denis Chenu)
-New feature: Allow to download all files from a survey (Denis Chenu)
-New feature: allow to select another language when exporting (Denis Chenu)
-New feature: Allow to use own default controller and add new routes in config.php (Denis Chenu)
-New feature: beforeHasPermission Plugin events (Denis Chenu)
-New feature: Combine JS files for faster loading (Carsten Schmitz)
-New feature: Export uncompleted (started or not) in export token (Denis Chenu)
-New feature: Form action url contains surveyid (Denis Chenu)
-New feature: Render results using gqGrid (pradeshc) (Carsten Schmitz)
-Updated feature #9391: Google Analytics update to use Universal Analytics standard (Carsten Schmitz)
-Updated feature : Allow plugin or template to use HTML5 validation (Denis Chenu)
-Updated feature: Answers export to PDF (user and admin gui) (Aestu)
-Updated feature: Answers PDF export from admin GUI. (Alfredo Esteban)
-Updated feature: Audit plugin logs login, logout and failed login attempt (Alfredo Esteban)
-Updated feature: CHtml::dropDownList is quicker (Aestu)
-Updated feature: geomap : allow multiple map on same page (Denis Chenu)

Changes from 2.05+ (build 131209) to 2.05+ (build 150520) May 20, 2015
-New translation: Kyrgyz (Carsten Schmitz)
-New translation: Polish (Informal) (elisa)
-New feature #9554: Added the possibility to change an answer value with plugin event beforeQuestionRender() (Denis Chenu)
-Removed feature: 'allowmandbackwards' config option is deprecated (Carsten Schmitz)
-Updated feature: Answers PDF export from admin GUI. (Alfredo Esteban)
-Updated feature: Audit plugin logs login, logout and failed login attempt (Alfredo Esteban)
-Updated feature: Answers export to PDF (user and admin gui) (Aestu)
-New translation: Esperanto (Carsten Schmitz)
-New feature: can use Expression Manager in slider min/max/step and default (Denis Chenu)
-New feature #8596: Allow empty dates for RemoteControl add_response call (Nate Baker)
-New feature: Add title on question list when exporting result (Denis Chenu)
-New feature: Default value for yes/no question type (kairavesloot)
-New translation: Kazakh
-New feature #9066: afterSurveyComplete aren't call from Quota : afterSurveyQuota (Denis Chenu)
-New feature : use shortest url with urlFormat path (Denis Chenu)
-New feature #8659: Configurable proxy for ComfortUpdate (mfaber)
-New feature: Validate uniqueness of question code before submit (Denis Chenu)
-New feature #8524: Implements min/max date in EM (mfaber)
-New translation: Zulu

Changes from 2.00+ (build 131206) to 2.05 (build 131209) Dec 06, 2013
-New feature #5740: Improve VV response import (Denis Chenu)
-New feature #6477: optionnal comment place with  "multi choice with comment" (Denis Chenu)
-New feature #6880: Allow adaptation of 5 point slider (Denis Chenu)
-New feature #7002: allow return to email template in email template edition (Denis Chenu)
-New feature #7371: Allow to reset slider answer (Denis Chenu)
-New feature #7664: Allow unix_socket on installation and connexion string (use socket directly in DB location) (Denis Chenu)
-New feature #7687 :  RemoteControl2 export_responses should also have an Array / JSON with responses (Denis Chenu)
-New feature #7810 Implement max/min date for date question (mfaber)
-new feature #7811: implement strtotime() for EM (mfaber)
-New feature #8040: STATA export functionality (mfaber)
-New feature #8124: quexf: comment field for LIST WITH COMMENT question type (mfaber)
-New feature #8168: limesurvey button style for gringegreen and darkblue template (Denis Chenu)
-New feature #8214: DateTimepicker for date/time question (mfaber)
-New feature #8247: Allow deactivate of autocorrection of numerical values (Denis Chenu)
-New feature #8298: Easy move page in token + quick search (Denis Chenu)
-New feature: Allow to use first line for header in vvimport (Denis Chenu)
-New feature: Added beforeLogout and afterLogout events for authentication plugins (Menno Dekker)
-New feature: Add extra class for multi column: colstyle-ul, colstyle-table and colstyle-css with display columns settings (Denis Chenu)
-New feature: Allow search on token attribute if exist in survey participants table (Denis Chenu)
-New feature: Auditing plugin (Carsten Schmitz)
-New feature: Basic LDAP authentication plugin (Menno Dekker)
-New feature: Can replace javascript file in template (Denis Chenu)
-New feature: Can use SGQA identifier to prefill some answer with URL in preview mode (Denis Chenu)
-New feature: ComfortUpdate now supports updates to/from unstable versions (Carsten Schmitz)
-New feature: Detailed user permissions (Carsten Schmitz)
-New feature: Export Response By Token routine added to remote control (ravindrakhokharia)
-New feature: Remotecontrol Export_timeline (Carsten Schmitz)
-New feature: R-syntax available in remote control export_responses (use documenttype rsyntax) (Menno Dekker)
-New feature: Update_response function (kfegert)
-New feature: When copying a survey you can choose if you want to include/exclude start/end date/time (Carsten Schmitz)
-Updated feature #7145: validation field for date/time question (mfaber)
-Updated feature: Min/max date fields - codes/expressions should be entered without curly braces (mfaber)
-Updated feature: Revised favicon kindly provided by mrasquinho (Carsten Schmitz)

Changes from 2.00+ (build 120920) to 2.00+ (build 131206) Dec 6, 2013
-New feature #8028: File upload system can be replaced (Denis Chenu)
-New Feature: export_timeline function in remotecontrol (Spiros Trougakos)
-New feature: Export Response By Token routine added to remote control (ravindrakhokharia)
-New feature: Add php-func strtotime() to EM (mfaber)
-New feature: Added a function to the expression manager which allows numerical values (weberho)
-New feature: Added new setting 'showrelevance' to config file -  When this settings is activated then the printable survey option will show the raw relevance equation below the general fill-out instructions in case the question has conditions (Carsten Schmitz)
-New feature: Added subquestions, attributes, attributes_lang and answeroptions properties for RemoteControl get_question_properties (Diogo Gonçalves)
-New feature: Added the option to export statistics (in remotecontrol) for a group or a selection of groups of a survey. (Spiros Trougakos)
-New feature: Allow multiple answers with one token (Denis Chenu)
-New feature: ComfortUpdate now supports updates to/from unstable versions (Carsten Schmitz)
-New feature: Console installation scripts (Carsten Schmitz)
-New feature: Extra class for multi column: colstyle-ul, colstyle-table and colstyle-css with display columns settings (Denis Chenu)
-New feature: Global settings now shows URL to remote control interface (Menno Dekker)
-New feature: Installer checks if session save path is writable (Menno Dekker)
-New feature: New advanced question attribute to set a fill-out help text for the printable view (Carsten Schmitz)
-New feature: Spanish (Argentinia) informal translation (Carsten Schmitz)
-New feature: Spanish (Argentinia) translation (Carsten Schmitz)
-New feature: Use SGQA identifier to prefill some answer with URL in preview mode (Denis Chenu)
-New translation: Kurdish (Sorani) translation by havalabdulkarim, bryar1991
-New translation: Mongolian (Carsten Schmitz)
-New translation: Occitan by Cedric Valmary (Carsten Schmitz)
-New translation: Serbian (Latin script) (OnSpot)
-New translation: Tamil by seesiva
-New translation: Valencian (Carsten Schmitz)
-Updated feature #7882: Monday first day in calender (mfaber)

Changes from 1.92 (build 120919) to 2.00 (build 120920) Sept 20, 2012
+New feature #5492: Changing global settings takes you away from survey design Now it "remembers" the referee url and redirect to that url after saving global settings! (magiclko)
+New feature #5044: Allowing selection of token valid from/until datea(#1) (Shubham Sachdeva)
+New feature #5762: empty class on empty input type text (Denis Chenu)
+New feature #5807: ability to replace survey_runtime.js function in template Fixed issue : time_limit attribute javascript error Dev : add only one css/js file if needed for question Dev : use css_header_includes and js_header_includes array from qanda Dev : TODO remove double call to jquery-ui.css, problem with slider (Denis Chenu)
+New feature #6073: token information on the browse index (Denis Chenu)
+New feature: "Send confirmation emails?" setting in Survey properties --> General settings --> Tokens. (Tony Partner)
+New feature: $lwcdropdowns setting removed from config-defaults.php and moved to Advanced question settings for List with Comment question type (Carsten Schmitz)
+New feature: A real installer (magiclko)
+New feature: Ability to change admin theme in global settings (Carsten Schmitz)
+New feature: Ability to copy data from participant attribute to the token field in a survey survey participants table (jcleeland)
+New feature: Ability to make last minute changes in the survey activation screen to settings that cannot be changed after activation anymore (c_schmitz)
+New feature: Ability to overwrite/create attribute values for existing participants when importing from a CSV file (jcleeland)
+New feature: Ability to reset Expression Manager for admin with showlogicfile
+New feature: Add drag and drop feature to ranking question - done by GCI participant Nano8Blazex (Carsten Schmitz)
+New feature: Added link from deactivation page to export page and corrected language (jcleeland)
+New Feature: Added remotecontrol function get_site_settings (Spiros Trougakos)
+New feature: Allow different repeat heading for array, array text and array number question type (Denis Chenu)
+New feature: Attribute hide_tip now available for date question (Carsten Schmitz)
+New feature: Create new label sets or replace old ones from subquestions or answers
+New feature: CSS styles for EM's "Show Logic File" feature (Marcel Minke)
+New feature: Database installation by command line. Usage: "php index.php installer cmd_install_db" (Carsten Schmitz)
+New feature: Direct link from individual token entries to matching entry in the participants database in action row (jcleeland)
+New feature: Direct link from tokens to participants grid showing linked participants only (jcleeland)
+New feature: Dropdown inline search options for jqGrid survey list (useful for active/expired/inactive) (jcleeland)
+New feature: Each type of validation tip can be styled separately (so if a question fails validation checks, you can see whether it is because of wrong number of answers, wrong value range, wrong sum range, or wrong regex criteria). (tmswhite)
+New feature: Export multiple survey archives at the survey list as one big ZIP file (Carsten Schmitz)
+New feature: Export survey ZIP archive function with includes the survey structure, responses, tokens and timings - can be used for archival purposes or to move a survey from one server to another. (c_schmitz)
+New feature: Global setting to restrict the languages being available in administration or frontend (Carsten Schmitz)
+New feature: Header of ranking droptable in advanced settings (Denis Chenu)
+New feature: Implemented mass actions in surveylist which allows to delete/expire several surveys at the same time - only available to super administrators (Carsten Schmitz)
+New feature: In deactivation screen you can choose now between deactivation and expiration (Carsten Schmitz)
+New feature: More class on question and answer item for easiest manipulation
+New feature: More explicit labels for accessibility, hidden by default with .hide class
+New feature: Multilingual question attributes (Carsten Schmitz)
+New feature: New admin style (Carsten Schmitz)
+New feature: New admin style 'gartergrey' (Carsten Schmitz)
+New feature: New admin style 'gringegreen' (Carsten Schmitz)
+New feature: New images for cpdb links - 12 and 16pt size (jcleeland)
+New feature: New images for jqGrid navButtons (jcleeland)
+New feature: New translation: Spanish (Chile) kindly provided by Victor Pinto (Carsten Schmitz)
+New feature: Option to display text responses 'inline' in statistics output (will need translations) (Jason Cleeland)
+New feature: Option to switch between different graphs/no graph in statistics  - switchable in advanced question settings and in statistics itself (Carsten Schmitz)
+New feature: Participant CSV import detects existence of participant_id in CSV file, and if it exists, uses the participant_id to detect duplicates. Also cleaned up colors and styles of upload summary. (jcleeland)
+New feature: Permissions are now copied by default when copying a survey - also added an additional option to exclude it. (Carsten Schmitz)
+New feature: Ported LimeSurvey to use the Yii framework (magiclko,dionet)
+New feature: Question save/save and close options - instead of just updating and closing, now choice is to save and keep editing, or to save and return to question view. My wife made me do it. (jcleeland)
+New feature: Question save/save and close options - instead of just updating and closing, now choice is to save and keep editing, or to save and return to question view. My wife made me do it. (jcleeland)
+New feature: Randomization groups for question groups Carsten Schmitz)
+New feature: Randomization groups for question groups Carsten Schmitz)
+New feature: RemoteControl 'Activate survey' function (Carsten Schmitz)
+New feature: RemoteControl 'Activate tokens' function (Carsten Schmitz)
+New feature: RemoteControl function 'Export responses as csv/xls/pdf/doc' (Carsten Schmitz)
+New feature: RemoteControl function 'Modify survey locale setting' (Carsten Schmitz)
+New feature: RemoteControl functions 'Add/delete survey language' (Carsten Schmitz)
+New feature: Remotecontrol functions for manipulation of groups (Spiros Trougakos)
+New feature: Remotecontrol functions for manipulation of questions (Spiros Trougakos)
+New feature: Remotecontrol functions for manipulation of surveys (Spiros Trougakos)
+New feature: Remotecontrol functions for manipulation of tokens (Spiros Trougakos)
+New feature: Remotecontrol functions invite_participants, remind_participants (Spiros Trougakos)
+New feature: RemoteControl Import survey function (Carsten Schmitz)
+New feature: RemoteControl 'Modify survey settings' function (Carsten Schmitz)
+New feature: RemoteControl RPC API can now be switched to Off,JSON-RPC or XML-RPC (Carsten Schmitz)
+New feature: Reorder questions/question groups per Drag-n-drop  (Carsten Schmitz)
+New feature: Search option 'begins with' in cpdb so fields can be searched in an alternative way to 'contains' (jcleeland)
+New feature: Show Google maps with markers at statistics by GCI participant Licker Nandor (Carsten Schmitz)
+New feature: Show modified question attributes at question summary (Carsten Schmitz)
+New feature: Sorting for inline text listing in statistics display, also initial sorting for text display of numerical responses. Todo: fix some of the sorting problems for numerical responses (jcleeland)
+New feature: Statistics browse, etc - view file and generic sort icons (jcleeland)
+New feature: Statistics output screen cleaned up, placed inside collapsible divs (jcleeland)
+New feature: Survey links table now stores "Last invite" and "Date completed" information for survey links (jcleeland)
+New feature: Timer function added to radio list question type (jcleeland)
+New feature: Token section workflow improvements by GCI participant Nano8Blazex
+New feature: URL params for integration of survey panels (Carsten Schmitz)
+New translation: Afrikaans (Andrie de Vries)
+New translation: Amharic - kindly provided by Mezene Worku (Carsten Schmitz)
+New translation: Czech informal
+New translation: Swahili
+New translation: Spanish (Chile) kindly provided by Victor Pinto (Carsten Schmitz)
+New translation: Amharic - kindly provided by Mezene Worku

Changes from 1.91+ (build 120302) to 1.92+ (build 120303) Mar 11, 2012
+New feature #5780: Information when there is no matching label set (shnoulle)
+New feature #5103: Support conditional piping/tailoring and complex calculations via embedded equation parser (tmswhite)
+New feature #5104: Create new question type for stored calculation results, called Equation (tmswhite)
+New feature #5268: Do all LimeReplacementField and Token replacements in a single function (tmswhite)
+New feature #5269: Use ExpressionManager for Branching logic as optional alternative to Conditions (tmswhite)
+New feature #5279: Add a GUI for ExpressionManager (tmswhite)
+New feature #5288: Optionally replace Assessments with ExpressionManager features (tmswhite)
+New feature: Each type of validation tip can be styled separately (so if a question fails validation checks, you can see whether it is because of wrong number of answers, wrong value range, wrong sum range, or wrong regex criteria). (tmswhite)
+New feature: JavaScript question type selector and Editarea template can be desactivated by user (shnoulle)
+New feature: EM reserved word "this" which refers the the current sgqa code (tmswhite)
+New feature: Question_attribute 'em_validation_q': "Boolean equation to validate the whole question" (tmswhite)
+New feature: Question_attribute 'em_validation_q_tip': "Tip to show user describing the Question Validation Equation" (tmswhite)
+New feature: Question_attribute 'em_validation_sq': "Boolean equation to validate each sub-question." (tmswhite)
+New feature: Question_attribute 'em_validation_sq_tip': "Tip to show user describing the Sub-Question Validation Equation." (tmswhite)
+New feature: Added Tools button to access Expression Manager Test Suite (tmswhite)
+New feature: Allow Regular-Expression validation of question type ';' (ARRAY (Multi Flexi) Text) (tmswhite)
+New feature: Allow Regular-Expression validation of question type 'Q' (Multiple Short Text) (tmswhite)
+New feature: Google Analytics Support (tmswhite)
+New feature: Support dynamic validation range for multiflexible_min and multiflexible_max when in text input mode (tmswhite)
+New feature: dropdown_prefix attribute for List (dropdown) - lets you prefix each entry with its visible order in the list (tmswhite)
+New feature: dropdown_size attribute for List (dropdown) - lets you specify number of visible rows in the dropdown box (tmswhite)
+New feature: Code/QID visible in quick-translation answers/subquestions/questions for easier orientation (c_schmitz)
+New feature: Show Logic File for Entire Survey, with all conditions, validation, and tailoring (tmswhite)
+New feature: Sets "equals" as the default comparison operator for conditions (jcleeland)
+New feature: Quick-add feature for label sets which (was in _dev branch but was accidentally removed with merge in from _dev_tms branch) (tmswhite)
#Updated feature: Added German translations to 1.91 sample survey. (maziminke)
#Updated feature: Browse of submitted responses now only shows relevant questions and answers. (tmswhite)
#Updated feature: Default values now available for the following question types: Date, Short/Long/Huge Text, Multiple ShortText, Multiple Numerical (tmswhite)
#Updated feature: Deprecated min_num_value_sgqa, max_num_value_sgqa, and num_value_equals_sgqa (tmswhite)
#Updated feature: array_filter - now also available for multiple_numeric and multiple_short_text (tmswhite)
#Updated feature: exclude_all_others - now also available for multiple_choice_with_comments (tmswhite)
#Updated feature: max_answers - now also available for all array types, multiple_numeric and multiple_short_text (tmswhite)
#Updated feature: max_num_value_n - now also available for multiple_numeric (tmswhite)
#Updated feature: min_answers - now also available for all array types, multiple_numeric and multiple_short_text (tmswhite)
#Updated feature: Add many more unit tests to EM and group/sort them.  Contributed by GCi participant Aaron Schmitz (tmswhite)
#Updated feature: min_num_value_n - now also available for multiple_numeric (tmswhite)

Changes from 1.90 (build 9642) to 1.91+ (build 120302) Mar 3, 2012
+New feature: New variable $iFileUploadTotalSpaceMB which sets the maximum space available to all file uploads in the particular LimeSurvey installation - defaults to unlimited (c_schmitz)
+New feature: Updated FCKeditor to CKEditor (c_schmitz)
+New feature #4927: added SurveyGroupQuestion identifier {SGQ} as a variable for use in questions - thanks to timbee for the patch (mennodekker)
+New feature: Added the 'showsgqacode' parameter. When this settings is true/1 (default = false/0) then the printable survey option will show a reference to the "lime_survey_12345" table which stores the survey answers.  This code will be shown in front of each question and in front of each answer option at the printable survey. It can be used as a data analysis code book for querying data from the main response table.
+New feature: 'All of the above' option automatically kick in if the participant checks all other options (set by the 'Exclusive option' setting). (parajulik)
+New feature: Group avaiable question types with screenshots (parajulik)
+New feature: #4324: Allow dropdowns for Array(flexible label) questions - patch provided by CarbonaCat
+New feature: Mail Bounce Tracking System (anishseth)
+New feature: Gives the user the ability to preview question groups. (parajulik)
+New feature: Ability to add Google Maps as a question (parajulik)
+New feature: Survey toolbar redesign (c_schmitz)
+New feature: Ability to add mass dummy tokens (parajulik)
+New feature: Token CSV-import now accepts semicolon as separator (mennodekker)
+New feature: Welcome screen can be skipped by using a setting at survey level (mennodekker)
+New feature #4588: Allow to reverse iteration order in Array (Numbers). This allows to reverse the iteration order of the generated numbers when setting "Minimum value" "Maximum value" and "Step" in "Array (Numbers)" question type. Reverse ordering can be achieved by putting a _max value lower than _min. The loop will iterate in reverse (you don't need to put a negative step value). Requested for questions where ordering could introduce bias. Patch by wavexx - Thank you!
+New feature #4652: Keyboard-less operation through JS keypad for tablet PCs or other devices without keyboard - patch provided by Yuri D'Elia (wavexx) - thank you!
+New feature #4660: New switch in survey setting where you can enable that users may enter they survey even after completion and update their answers using the invitation link and token persistence - patch by room2web
+New feature #4650: Page color alternation and navigation delay (c_schmitz)
+New feature: Quick navigation buttons to move forward and backward between question groups and questions (adevries)
+New feature: Survey quick translation screen(adevries)
+New feature: Ability to use comma or dot as decimal separator for numeric and multiple numeric question types - - work done by Google Code-In participant Kshitij Parajuli. Thank you! (c_schmitz)
+New feature: Administration brute force detection and prevention - work done by Google Code-In participant Kshitij Parajuli. Thank you!
+New feature: Allow to restrict input to integers for Numeric question type - patch by wavexx
+New feature: Allow to reverse year order in dropdown dates - patch by wavexx
+New feature: Changing owner of survey. (parajulik)
+New feature: Detailed survey permissions based on a CRUD model (c_schmitz)
+New feature: Direct export to queXML PDF file (azammitdcarf)
+New feature: Emoticon slider (c_schmitz)
+New feature: Google Translate support for quick translation feature - work done by Google Code-In participant Kshitij Parajuli. Thank you!
+New feature: In "question by question" mode, you can now go "back" from the starting element of a group - patch by wavexx
+New feature: Login page automatically sets login language to browser language (c_schmitz)
+New feature: New option for "Number" question types named "Maximum value of the numeric input" and "Minimum value of the numeric input"  - patch by wavexx
+New feature: Option in survey settings to hide the progress bar. (c_schmitz)
+New feature: Optional question index to easily jump between questions while taking the survey. Index also shows if a part of a survey was completely answered or not - great work & patch done by Yuri D'Elia (wavexx) (c_schmitz)
+New feature: Question attribute to reverse iteration order in Array (Numbers) question types - patch by wavexx (c_schmitz)
+New feature: Show details about LimeSurvey installation before starting the db upgrade - work done by Google Code-In participant Little Bird
+New feature: Support for the "maximum_chars" attribute to the array/numbers question type, when using the text input layout. (c_schmitz)
+New feature: Spread sheet type row and colum totals for Array Multi text (numbers only) (eric_t_cruiser)
+New feature: Switching SSL on and off  (eric_t_cruiser)
+New feature #4069: Differentiate String comparizon and numerical comparizon operators. By default numerical order is now assume. Old surveys that were using string comparizons must be updated. The stringcomparizonoperators parameter must be set to 1 in config.php in order to enable these string comparizons. (lemeur)
+New feature #4661 : add some placeholder : {SURVEYLANG}, {SURVEYFORMAT}, {SURVEYCONTACT} (shnoulle)
#Updated feature: Sets "equals" as the default comparison operator for conditions (jcleeland)
#Updated feature #4426: Separation of survey settings - survey settings and editing of survey text elements are now separated to two different icons because users had problems to find the text elemens - patch kindly provided by CarbonaCat (c_schmitz)
#Updated feature: Easier handling for passthru values (to pass URL values from incoming to outgoing link) - patch by orvil
#Updated feature: Converted tabs in label sets, survey text elements and question groups to use jQuery UI - work done by Google Code-In participant Kshitij Parajuli. Thank you! (c_schmitz)
#Updated Feature: the switch for "List survey publicly" moved from "Presentation and Navigation" to "Publication & access control" (wahrendorff)
#Updated feature: Enable token-based response persistence: silent save when "Resume later" is clicked (eric_t_cruiser)
#Updated feature: Direct export to queXML PDF file (azammitdcarf)
#Updated feature: Summary information about opt-out in survey participants table summary, and sortable email status column in "display tokens" view (adevries)
-Deleted feature: business_grey template (c_schmitz)


Changes from 1.87+ (build 8518) to 1.90+ (build 9561) Legend: # updated feature, - bug fix
+New feature: CSS class names for question/answer cells so you can better style the look and feel of the overview. (maziminke)
+New feature: Very basic HTTPS support (c_schmitz) - allows dynamic switching between https and http
+New feature: Irish Translation - kindly contributed by Karin Whooley, National Centre for Technology in Education, Dublin (c_schmitz)
+New feature: actually, minor beautification - displays name of quota as header when adding new 'answers' (jcleeland)
+New feature: Show number of tokens and response rate for surveys using tokens. (maziminke)
+New feature: Layout improvements to make distingushing quotas a bit easier, messagebox class for add-answer, and new option to make adding multiple answers to a quota simpler (jcleeland)
+New feature: Default values can now be set in a different dialog. Language dependant default values for the option 'Other' now possible (c_schmitz)
+New feature: Multiple label sets can be exported/imported now as one file. (c_schmitz)
+New feature: Non-standard design templates now reside in the /upload/templates dir. Makes backup of user generated content easier since it is all in one place and also allows to set stricter permissions on the standard /templates dir (c_schmitz)
+New feature: Show number of tokens and response rate for surveys using tokens. (maziminke)
+New feature: Support for native MSSQL 2005+ adodb driver - patch by c-pucci (c_schmitz)
+New feature: When browsing responses you can mark now several responses for deletion and delete all with a single click (c_schmitz)
+New feature #4272: Disable scrollwheel in listboxes/dropdownboxes to prevent accidental scrolling - patch kindly provided by 'jas' (lemeur)
+New feature: Database-based sessions for load balanced servers which can be activated by a new configuration settings (see config-defaults.php) (c_schmitz)
+New feature: While creating a survey you can now copy an existing one (machaven)
+New feature: Completely reworked XML-based import/export format for questions/groups/surveys/label sets (cschmitz)
+New feature: Label sets are no longer connected to questions - they are merely templates for subquestions or answers (cschmitz)
+New feature: New concept of sub-questions was introduced (cschmitz)
+New feature: Completely new AJAX interface for editing answers/subquestion including the ability to quick-add/replace from label sets or by pasting from Excel or CSV (cschmitz)
+New feature: Integrity check now checks and removes invalid survey permissions automatically (c_schmitz)
+New feature: Integrity check now checks for orphaned survey language settings (c_schmitz)
+New feature: Multiple checkbox selection in template rights screen, so you can choose all templates or no templates with one click (jcleeland)
+New feature #2613: Added question attribute "numbers_only" to question type "Array Multi Flexible Text" - actually, it's adding attribute "Text inputs" to the array (numbers) question type, so that it presents a text input box rather than a dropdown. Note, if selected, overrides minimum value, maximum value and step. (jcleeland)
+New feature: Input-boxes for array (numbers) question type (jcleeland)
+New feature: When filtering for text questions you can use now % and * as wildcards and use OR and ',' as separators matching vor multiple values at the same time - patch by ecaron (c_schmitz)
+New feature: If the maximum character question attribute is set then the print view is properly adjusted (mdekker)
+New feature: Question divs now have ID with schema 'question<qestion_id>' so you can style questions in print view individually (c_schmitz)
+New feature: When copying a question, LimeSurvey now displays the newly created (copied) question after saving (jcleeland)
+New feature: Delete multiple token entries using select boxes (jcleeland)
+New feature: Usability enhancements to response browsing (cschmitz)
+New feature: Use @@SURVEYURL@@ in invitation/reminder emails to be able to use it inside an <a href > link (cschmitz)
+New feature: Opt-out feature for invitations/reminder emails (cschmitz)
+New feature: Question attributes for the time_limit feature - disable previous button while timer counts down, 2nd warning message, insert your own countdown text. Also re-ordered display of time limit group in advanced settings. (jcleeland)
+New feature: Survey count for each users is shown in the user administration (c_schmitz)
+New feature: {INSERTANS:xxx} placeholders are now available in confirmation email for surveys with non-anonymous answers. (lemeur)
+New translation: Hindi (abhinav1, smartbehl)
#Updated feature: the {TOKEN} replacement field is now available in confirmation email. (lemeur)
#Updated feature: Dropped support for importing questions/question groups/survey from any PHPSurveyor/LimeSurvey version older than 1.50 (DBversion 114) (c_schmitz)
#Updated feature: Changed the class for the {QUESTIONHELP} element to "survey-question-help" in all templates (differentiates it from the {QUESTION_HELP} element) (tpartner)
#Updated translation: Dutch (nl) and Dutch informal (nl-informal), thanks to Marcel Ausma (gandalfar)
#Updated translation: Dutch (nl), thanks to Fred Dekkers and Han Velthuis (gandalfar)
#Updated translation: Dutch informal (nl-informal), thanks to Fred Dekkers and Han Velthuis (gandalfar)
#Updated translation: Finnish (thanks Tapio Nurminen) (gandalfar)
#Updated translation: French (b00z00)
#Updated translation: Portuguese (thanks to Rui Gouveia) (gandalfar)
#Updated translation: Slovenian (gandalfar)
#Updated translation: Bulgarian (c_schmitz)
#Updated translation: German (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue #4028: PostgreSQL syntax errors while upgrading from 1.80 to 1.87 (gandalfar)
-Fixed issue #4245: CSS class "questionhelp" used for two different elements (tpartner)
-Fixed issue #4287: Long question text overlaps itself when editing question (tpartner)
-Fixed issue #4302: Navigating between pages may change already saved answers (tpartner)
-Fixed issue #4295: SPSS export of labels for dual scale questions is incorrect (mennodekker)
-Fixed issue #4304: IE has problems with downloads over HTTPS (mennodekker)
-Fixed issue #4281: Fixing a bug which can hang the Webserver when the survey is activated with an empty group. The activation empty-group check wasn't working on all surveys. (lemeur)
-Fixed issue #4175: Adding support for some additional dateformats (texens)
-Fixed issue #4176: Array filter does not know how to handle 'other' field (jcleeland)
-Fixed issue #4256: Having too many timer questions completely kills the session - new cookies.js allows for the use of "sub" cookies meaning all LS timer cookies are in one single cookie (jcleeland)
-Fixed issue #4277: Conditions don't work when combining data from token attributes and survey questions using scenerios (lemeur)
-Fixed issue #3908: DB dump file not quite in standard MySQL (harsha_mora)
-Fixed issue #4155: Question Code is missing at Template Preview (harsha_mora)
-Fixed issue #4234: Results are overwritten in very specific circumstances (lemeur)
-Fixed issue #4242: Unable to send group e-mails in Google Chrome (c_schmitz)
-Fixed issue #4260: Language question switch to Chinese not working (c_schmitz)
-Fixed issue #4143: applied user patch to fix broken multipage surveys activated via lsrc (wahrendorff)
-Fixed issue #4249 Disable icons depending on directory permission. (anishseth)
-Fixed issue #4250: applied a user patch to insertPaticipants with an apostroph (wahrendorff)
-Fixed issue #4254: The user needs to delete or rename the installation directory after installation. (anishseth)
-Fixed issue #4288: Quotes in SPSS export variable labels cause errors (mennodekker)
-Fixed issue #4283: (anishseth)
-Fixed issue: Modified Array (MultiFlexi) Numbers in statistics to work properly (harsha_mora)
-Fixed issue: Actual quota scores are not shown in overview (c_schmitz)
-Fixed issue: Cookie URL causing session problems with root dir installations (c_schmitz)
-Fixed issue: Integrity check for orphaned groups not working (c_schmitz)
-Fixed issue: Missing Portuguese language file for calendar (c_schmitz)
-Fixed issue: Using blanks in label sets codes breaks the Multi Flexi question saving (c_schmitz)
-Fixed issue: Wrong numbers were taken from DB to calculate the percentage of completed tokens at the list survey overview. (maziminke)


Changes from  1.87+ (build 8498) to 1.87+ (build 8518)- Legend: # updated feature, - bug fix
#Updated feature: performance gain in both the participant and administrator interface by caching question attributes (saving loads of db queries) (mennodekker)
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
-Fixed issue #04220: Header at Template Permissions for User is not in normal LimeSurvey style (tpartner)
-Fixed Issue #04180: Add group to a survey. (texens)
-Fixed Issue #04180: Add group to a survey. (texens)
-Fixed issue #4209: Install failed populating database when using the mssql or mssql_n driver (c_schmitz)
-Fixed issue #4214:Adding/importing email addresses with apostrophes to Token lists (harsha_mora)
-Fixed issue #4217: SQL Error when adding a language to a multilingual survey in Postgres on Linux (c_schmitz)
-Fixed issue #4206: Array (Multi Flexible) Numbers not working correctly (harsha_mora)
-Fixed issue #4206:Array (Multi Flexible) (Numbers) - Not working correctly (harsha_mora)
-Fixed unreported issue: When downloading R/SPSS export files in Opera they would be saved as *.html files (c_schmitz)

Changes from  1.87+ (build 8472) to 1.87+ (build 8498)- Legend: # updated feature, - bug fix
#Updated translation: Catalan - sponsored by LimeService (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue #3303: "Error updating - Query was empty" when editing survey settings - again (c_schmitz)
-Fixed issue #4142: RemoteControl: Reminder email "from" field isn't set properly - thank you to Dave Wolff (c_schmitz)
-Fixed issue #4157: Exporting results fails at dual scale question when using MS SQL Server (lemeur)
-Fixed issue #4160: Certain answers/subquestions are doubled in dataentry when using more than one language (c_schmitz)
-Fixed issue #4192: Problem saving partially finished survey for the second time in MSSQL server (c_schmitz)
-Fixed issue #4195: RTL language aligment problem in bluengrey template (c_schmitz)
-Fixed issue #4199: Cookie path not set (c_schmitz)
-Fixed issue 04188: Edit Response - Data Entry - Not working Dev corrected filling values automatically for Array (MultiFlexible)(Numbers) type questions (harsha_mora)
-Fixed the issue for Date type questions 04188 (harsha_mora)

Changes from  1.87+ (build 8453) to 1.87+ (build 8472)- Legend: # updated feature, - bug fix
#Updated translation: French (b00z00)
-Fixed unreported bug: Added help text relating to array_filter attributes, also added help text relating to multi-numerical sum value attributes (jcleeland)
-Fixed issue #4165: Javascript is shown in group description (c_schmitz)
-Fixed issue #4178: When date question is used the email notification does not relay the correct date when in 'All-in-one' mode (c_schmitz)
-Fixed issue #4182: Survey listing - incorrect sorting  - fix by wrenchpilot - thank you! (c_schmitz)
-Fixed issue #4183: Notices at Printable Survey if there are no answers/label set set for a question (c_schmitz)
-Fixed issue #4174: applied survey defined date format to expiry date print out for Survey print view (eric_t_cruiser)

Changes from  1.87+ (build 8429) to 1.87+ (build 8453) - Legend: # updated feature, - bug fix
#Updated feature: the html editor was updated from FCKeditor 2.6.5 to FCKeditor 2.6.6 (lemeur)
#Updated translation: Chinese (Simpified), thanks to yooyooh from shanghai (gandalfar)
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
#Updated translation: Japanase (thanks to Hisashi Nomoto) (gandalfar)
#Updated translation: Catalan - sponsored by LimeService (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue 04109: Slider description has incorrectly position, when moving slider from right to left  (tpartner)
-Fixed issue 04151: {END}-Tag isn't available at Template Preview for Printable Survey Page (tpartner)
-Fixed issue #04154: Array filter not working on Array Flexible (Text) (jcleeland)
-Fixed issue #4126: in Chrome, fckeditor adds a nbsp; element to empty text inputs (lemeur)
-Fixed issue #4136: Multilingual question/group import fails on MSSQL server (c_schmitz)
-Fixed issue #4156: ComfortUpgrade not working because the directories /locale/ms and /locale/ms/LC_MESSAGES are not found - for solutions with earlier versions please visit http://bugs.limesurvey.org/view.php?id=4156 (c_schmitz)
-Fixed issue #4164: When using keyboard navigation the checkboxes are checked in Multiple options Question and Multiple options with comments question types (c_schmitz)
-Fixed issue: Entering invalid float in multiple numeric question is causing the survey to exit (c_schmitz)

Changes from  1.87+ (build 6406) to 1.87+ (build 8429) - Legend: # updated feature, - bug fix
+New language: Malay (thanks to Kardina Kamaruddin) (gandalfar)
#Updated feature: Usability: In login and user language selection the select box is ordered now by the native language. In other language list boxes the native language won't be shown anymore. (c_schmitz)
#Updated language: Croatian (idobraca)
#Updated language: French (b00z00)
#Updated language: Italian (thanks to Cristina Fiorentini ) (gandalfar)
#Updated language: Portuguese, thanks to Rui Gouveia and Marco MendonÃƒÂ§a (gandalfar)
#Updated language: Spanish (es) (kadejo)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
-Fix issue 04117: Check for old table layouts (tpartner)
-Fix issue 04141: Class breakbefore not defined in default-css  (tpartner)
-Fix issue 04150: Basic template is missing IE8 css branching (tpartner)
-Fixed issue #4108: Notice at Question Preview at a Slider Question (lemeur)
-Fixed issue #4140: Unable to export Stats in PDF when using a free text answer (c_schmitz)
-Fixed issue #4144: vvimport.php producing infinite loop (c_schmitz)
-Fixed issue #4125: Text when quota reached in wrong language (idobraca)

Changes from  1.87+ (build 8374) to 1.87+ (build 8406) - Legend: # updated feature, - bug fix
#Updated translation: Croatian (idobraca)
#Updated translation: Slovenian (gandalfar)
#Updated translation: Danish by Robin Sharp
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated feature: Better message for password reset request (idobraca)
-Fixed unreported issue: 'View statistic' translation on index.php (idobraca)
-Fixed unreported issue: Resolved typo in statistics_function.php (idobraca)
-Fixed unreported issue: Update of typo in group management (idobraca)
-Fixed unreported issue: Removed showing of label set ID (idobraca)
-Fixed issue #4117: Check for old table layouts (tpartner)
-Fixed issue #2828: Missing feedback in UI after save when using the 'Resume later' option (c_schmitz)
-Fixed issue #3844: Timer-not resetting after survey completion (idobraca)
-Fixed issue #4039: "Exit and clear survey" not really removing the incomplete response (c_schmitz)
-Fixed issue #4070: With non-latin character languages the statistics & result export shows HTML entities for questions/answers (c_schmitz)
-Fixed issue #4113: Unwanted lines in confirmation emails (c_schmitz)
-Fixed issue #4118: End message is not printed (idobraca)
-Fixed issue #4123: data entry >= constant value conditions not showing correctly  (idobraca)
-Fixed issue #4127: Upgrade to 1.87+ shows error on MSSQL DB (c_schmitz)
-Fixed issue #4131: If download of the update package in the ComfortUpdate failed the version number is still updated (c_schmitz)
-Fixed issue #4135: Time for token "Valid From/To" setting is not adjusted according to time difference set in global settings (c_schmitz)
-Fixed issue #4125: Text when quota reached in wrong language (idobraca)
-Fixed issue #4129: Undefined variable: addsummary  (idobraca)
-Fixed issue #4110: Email Status can't be set via RemoteControl (wahrendorff)
-Fixed issue #4116: emailSender does not include full survey URL (wahrendorff)


Changes from 1.87+ (build 8366) to 1.87+ (build 8374) - Legend: # updated feature, - bug fix
+New Feature: New option to compute stats for each question based only on the total number of responses for which the question was displayed. (lemeur)
+New Feature: New option to generate statistics in any language supported by the survey. (lemeur)
-Fixed a serious issue in save answer introduced in patch 8361 (lemeur)
-Fixed unreported issue: Obsolete question_start.pstpl still editable in template editor even if it does not exist (c_schmitz)
-Fixed unreported issue: Javascript error on some pages while typing in a other field for single choice question (lemeur)

Changes from 1.87+ (build 8338) to 1.87+ (build 8366) - Legend: # updated feature, - bug fix
#Update of Croatian language file (idobraca)
#Updated Feature #04097: small UI update, when clicking the conditions icon on the question toolbar, the condition editor is now open in edit mode, and not in view mode (lemeur)
#Updated translation: German (c_schmitz)
-Fixed issue #04103: Layout problem at Quotas Screen with small browser windows   (tpartner)
-Fixed issue #04107: html and W3C errors on survey page (with solutions) (tpartner)
-Fixed issue #04100: mandatory alert popup for Other-comment not filled-in displays the word 'Other' even if a customized othertext was choosen for the question (lemeur)
-Fixed issue #4087: Unable to reorder questions/groups with arrows in IE (c_schmitz)
-Fixed issue #4091: Quota messages aren't escaped properly (c_schmitz)
-Fixed issue #4096: Allow - + _ in domain part of email addresses. (harsha_mora)
-Fixed issue #4038: Empty fields were counted as 'No answer' in statistics even if set that only completed records should be counted (c_schmitz)
-Fixed unreported issue: deletenonvalue isn't working for array questions using array_filter/array_filter_exclude options. (lemeur)
-Fixed (partly) issue #4093: quota overview messed up. (maziminke)
-Fixed bug #4092: Quota name is shown as link but not clickable  (maziminke)
-Fixed bug #4090: notice when setting quotas (maziminke)

Changes from 1.87+ (build 8310) to 1.87+ (build 8338) - Legend: # updated feature, - bug fix
#Updated translation: French (b00z00)
#Updated translation: Greek by Penny Labropoulou (c_schmitz)
-Fix issue 04051: Full screen HTML editor is not full screen      (tpartner)
-Fix issue 04064: bluengrey-Template: Line breaks are missing at public survey page    (tpartner)
-Fix issue 04084: Multiple numerical display error   (tpartner)
-Fixed #4077: smtp is default method for email, regardless of setting in config.php or config-defaults.php (mennodekker)
-Fixed unreported issue: print_img_radio.png and print_img_checkbox.png are required support files for templates, but were not being copied if they didn't exist (jcleeland)
-Fixed issue #4048: corrected token import with invalid email addresses (harsha_mora)
-Fixed issue #4059: Changing order of answer options does not work in IE (c_schmitz)
-Fixed issue (unreported) - preview of questions using 'array filter' or 'array filter exclusion' were displaying error messages (jcleeland)
-Fixed unreported issue: Dataentry misformatted (c_schmitz)
-Fixed unreported issue: Deprecated notice in dataentry (c_schmitz)
-Fixed unreported issue: Response detail view not looking right (c_schmitz)
-Fixed unreported issue: Syntax error in postgres update script (wahrendorff)
-Fixed unreported issue: a bug prevented creation of survey participants tables under certain circumstances, when using sInsertParticipants (wahrendorff)
-Fixed unreported issue: minor wsdl "validity" errors. (wahrendorff)
-Fixed unreported issue: subject of password remainder email wasn't translated (idobraca)


Changes from 1.87+ (build 8279) to 1.87+ (build 8310) - Legend: # updated feature, - bug fix
#Updated translation: Croatian language (idobraca)
#Updated translation: Slovenian translation (gandalfar)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
-Fix issue 04053: Little Layout problem, when template import fails     (tpartner)
-Fixed #4044: "To" and "subject" header in emails are inserted twice (mennodekker)
-Fixed issue #4047: Mandatory date question can be skipped if survey is inactive (c_schmitz)
-Fixed issue #4052: Token access code truncated in MSSQL 2005 (c_schmitz)
-Fixed issue #4055: Conditions do not survive import/export when Dual-Scale question is used a condition source (lemeur)
-Fixed issue #4057: List DropDown question's answer resets to default value when user gets back to the page where it is displayed (lemeur)
-Fixed issue #4066: Error when adding/editing assessments (c_schmitz)
-Fixed several HTML errors (mennodekker)


Changes from 1.87+ (build 8243) to 1.87+ (build 8279) - Legend: # updated feature, - bug fix
+New feature: Added radio(list) to array_filter and array_filter_exclude (jcleeland)
#Updated feature #4020: Show fullname and assigned rights in survey security settings overview (mennodekker)
#Update translation: Croatian (idobraca)
#Updated translation: Finnish by Tapio Nurminen
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Norwegian bokmal by Pal Monstad (
#Updated translation: Polish (elisa-ls)
#Updated translation: Slovenian (gandalfar)
-Fixed issue #4053: Little Layout problem, when template import fails     (tpartner)
-Fixed issue #3734: Notice "Deprecated: Function set_magic_quotes_runtime() is deprecated" when running statistics (c_schmitz)
-Fixed issue #3994: When importing a survey with an unknown template, question preview is mixed up (mennodekker)
-Fixed issue #4036: exclude_all_others question attribute design changed  (c_schmitz)
-Fixed issue #4036: exclude_all_others question attribute design changed (c_schmitz)
-Fixed issue #4041: Unable to filter statistics by date range (c_schmitz)
-Fixed issue #4045: Questions with only numeric answercodes export to string in SPSS (mennodekker)
-Fixed issue #4050: Problem with Array (flexible labels) dual scale in data entry mode using a multi language labelset (mennodekker)
-Fixed issue: Error on MSSQL when creating a survey (c_schmitz)
-Fixed issue: Group ordering icon does not show up with normal users (c_schmitz)
-Fixed issue: Template for 'Completed'-page not being editable (c_schmitz)
-Fixed issue: the other-textinput isn't displayed when using Question preview for Dropdown list questions (lemeur)

Changes from 1.87+ (build 8227) to 1.87+ (build 8242) - Legend: # updated feature, - bug fix
#Updates translation: Croatian language file (idobraca)
#Updates translation: Slovenian translation (gandalfar)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated Feature: small change to the release notes filename. This shorter filename will will ease the release process. (lemeur)
-Fixed issue: If question attributes were set to invalid (but working) True/False values they will be converted to 1/0 now on upgrade from a 1.86 or earlier. (c_schmitz)

Changes from 1.87 (build 8214) to 1.87+ (build 8227) - Legend: # updated feature, - bug fix
#Updated translation:  Croatian (idobraca)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Romanian by Bogdan State (c_schmitz)
#Updated translation: Thai - sponsored by LimeService (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue #4026: Date Format Problems (PHP) - settings set in config.php were not properly used as a first default for the global settings dialog (c_schmitz)
-Fixed issue #4031: When choosing to never check for updates it is always checked. (c_schmitz)
-Fixed issue #4032: Export of question group structure fails using MSSQL Db server (c_schmitz)
-Fixed issue (unreported): Values in global settings are sanitized better now. (c_schmitz)

Changes from 1.87RC5 (build 8151) [29-11-2009] to 1.87 (build 8214) - Legend: # updated feature, - bug fix
#Updated translation: Croatian (idobraca)
#Updated translation: Chinese Traditional (Hong Kong) by Mark Yeung http://www.pstudy.net
#Updated translation: French (b00z00)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Romanian by Stefaniu Criste
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Thai sponsored by LimeService
#Updated translation: Polish (elisa-ls)
-Fixed issue #4002: LimeReplacementfield window: no scrollbar or tooltips available    (tpartner)
-Fixed issue #4011: Notice after changing admin user rights for a survey is not centered     (tpartner)
-Fixed issue #4022: Some notices at the admin panel are not centered     (tpartner)
-Fixed issue #4023: Use Full name instead of User/Login name at sender name     (tpartner)
-Fixed issue #3727: Valid from and Valid until dates on tokens do not control access when user had already an open session on the token (c_schmitz)
-Fixed issue #4017: Open source SPSS alternative PSPP has issues with syntax (mennodekker)
-Fixed issue #4016: error with slider-max value displayed in slider when setting slider accuracy (lemeur)
-Fixed issue #3835: Javascript code embedded in question text is displayed at condition editor in question list  (c_schmitz)
-Fixed issue #3872: now the other keyword if forbidden in answer and label codes. (lemeur)
-Fixed issue #3940: PHP error when running a a survey with conditions based on Tokens but no survey participants table exists. (lemeur)
-Fixed issue #3968: Arabic text in statistics graphs did not display correctly (c_schmitz)
-Fixed issue #3980: Notices at viewing token information via browse responses (c_schmitz)
-Fixed issue #3981: Tokens screen - some fields are too small when editing (c_schmitz)
-Fixed issue #3983: Unable to show some template pages for editing when using Croatian or French as admin language (c_schmitz)
-Fixed issue #3984: Admin registration email subject untranslated (c_schmitz)
-Fixed issue #3985: Untranslated text in statistics (c_schmitz)
-Fixed issue #3987: Upgrade now showing start and endtime (c_schmitz)
-Fixed issue #3989: Javascript code in (Excel) export (c_schmitz)
-Fixed issue #3990: Javascript code visible in LimeReplacementFields window (c_schmitz)
-Fixed issue #3993: After updating using the ComfortUpdate the message 'Update available ...' remains in the upper right (c_schmitz)
-Fixed issue #4000: Some untranslated strings (c_schmitz)
-Fixed issue #4001: Deleting a label set under some old browser does not work (c_schmitz)
-Fixed issue #4005: Number of active and deactivated surveys is not correctly displayed (c_schmitz)
-Fixed issue #4008: No warning when invitations are to be sent for an inactive survey (c_schmitz)
-Fixed issue #4009: List of failed tokens isn't displayed (c_schmitz)
-Fixed issue #4015: SQL-error when updating label set code using MSSQL server db (c_schmitz)
-Fixed issue: DB is not properly updating in ComfortUpdate due to missing /install dir (c_schmitz)
-Fixed unreported issue: missing </td> (mennodekker)
-Fixed unreported issue: duplicate label code isn't checked in the new label input box (lemeur)
-Fixed unreported issue: issue when a survey doesn't display any question due to conditions (based on tokens). (lemeur)
-Fixed issue #4006: Possible inaccurate data when exporting to R (mennodekker)


Changes from 1.87RC4 (build 8002) [29-11-2009] to 1.87RC5 (build 8151) - Legend: # updated feature, - bug fix
+New feature: Multiple choice questions: When using excludeAllOthers feature in connection with RandomizeAnswers the excludeAllOthers option stays on its predefined position now (c_schmitz)
+New feature: Start/Expiry is now date and time (previously only date) (c_schmitz)
#Updated feature: SPSS export now configurable for SPSS version - patch by Menno Dekker (c_schmitz)
#Updated translation: Croatian (idobraca)
#Updated translation: Norwegian BokmÃƒÂ¥l (reidarok)
#Updated translation: Czech by VladimÃƒÂ­r Braun (c_schmitz)
#Updated translation: Dutch by Fred Dekkers & Han Velthuis (c_schmitz)
#Updated translation: Dutch by Fred Dekkers (c_schmitz)
#Updated translation: Dutch Informal by Han Velthuis (c_schmitz)
#Updated translation: French (b00z00)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Slovakian (c_schmitz)
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Thai - sponsored by LimeService (c_schmitz)
-Fixed issue #3695: Text export no longer truncated for SPSS version 16 and up. (mennodekker)
-Fixed issue #3832: Updated admin template editor to allow functional editing of 1.86 templates. (eric_t_cruiser)
-Fixed issue #3879: Embedded javacript is shown in admin notification emails (c_schmitz)
-Fixed issue #3880: Error at wrong admin input for "Reminder count" (c_schmitz)
-Fixed issue #3882: Templating problems with some question type in RTL languages (c_schmitz)
-Fixed issue #3889: When exporting result data from a Dual Scale question on MSSQL it gives an error (c_schmitz)
-Fixed issue #3890: Restoring a survey participants table fails in MSSQL (c_schmitz)
-Fixed issue #3893: Tab layout issue when creating a group in multilingual surveys (c_schmitz)
-Fixed issue #3896: Evaluation of migrating to jQuery progressbar     (tpartner)
-Fixed issue #3896: Evaluation of migrating to jQuery progressbar  (tpartner)
-Fixed issue #3896: Evaluation of migrating to jQuery progressbar (tpartner)
-Fixed issue #3903: "show advanced settings" in question edit mode shows bad alginments  (tpartner)
-Fixed issue #3905: display columns doesnt work  (tpartner)
-Fixed issue #3906: Gender and Yes/No with wrong alignment  (tpartner)
-Fixed issue #3910: $maxselectlength might not have been initialized (jcleeland)
-Fixed issue #3914: Email button appearing in token list even though there is no email address (c_schmitz)
-Fixed issue #3915: Error in statistics  (tpartner)
-Fixed issue #3916: Unable to test Question type: Ranking at Question Preview (tpartner)
-Fixed issue #3919: Email batch size can be set to 0 (c_schmitz)
-fixed issue #3921: Notice at generating tokens (maziminke)
-Fixed issue #3922: Little layout issue at deleting a survey  (c_schmitz)
-Fixed issue #3923: Little layout issue at List Survey (c_schmitz)
-Fixed issue #3924: Notices & warnings during runtime and statistics when using a language question (c_schmitz)
-Fixed issue #3925: IE8: Extra space in admin panel   (tpartner)
-Fixed issue #3925: IE8: Extra space in admin panel (tpartner)
-Fixed issue #3926: Save button in admin panel not fully readable in IE (c_schmitz)
-Fixed issue #3927: Timer - survey breaks when moving to previous question, and previous question has expired timer with action 2 (jcleeland)
-Fixed issue #3928: Confirmation email to multiple admins? (jcleeland)
-Fixed issue #3929: Incorrect new line in SPSS export version info breaks unicode (mennodekker)
-Fixed issue #3930: Double include for config.php (mennodekker)
-Fixed issue #3932: Start & expiry date pickers partly obscured in survey settings (c_schmitz)
-Fixed issue #3933: error with slider show min and show max (lemeur)
-Fixed issue #3935: Charset problem in emails causing problems in Lotus notes (c_schmitz)
-Fixed issue #3936: Export: Underscore added at the end of every variable name when selecting "convert spaces to underscores"  (c_schmitz)
-Fixed issue #3938: Conditioned question does not appear after using the 'Previous' button (lemeur)
-Fixed issue #3941: Error in parameter function gT (c_schmitz)
-Fixed issue #3943: Text in template editor not translated (c_schmitz)
-Fixed issue #3944 & #3942: Some untranslated text strings (c_schmitz)
-Fixed issue #3946: Missing files reported in webserver error log (c_schmitz)
-Fixed issue #3961: Captcha at Public registration isn't working (c_schmitz)
-Fixed issue #3962: PDF of printable answers fails (c_schmitz)
-Fixed issue #3965: Browsing responses might fail at multilingual surveys (c_schmitz)
-Fixed issue #3967: Tokens are now exported with BOM in the beginning to make Excel open it properly in UTF-8 (c_schmitz)
-Fixed issue #3972: In statistics when clicking the button to open the list of text answers given two windows are opened (c_schmitz)
-Fixed issue #3973: Statistics fails on Multi Flexi question type on MSSQL DB (c_schmitz)
-Fixed issue #3974: Workaround code is displayed in PDF of Print Answers (c_schmitz)
-Fixed issue #3975: Error at recovering existing survey participants table (c_schmitz)
-Fixed issue: Integrity check is not working due to a simple typo (lemeur)
-Fixed issue: Registration confirmation wasn't properly using the right template path (c_schmitz)


Changes from 1.87RC3 (build 7996) to 1.87RC4 (build 8002) [29-11-2009] - Legend: # updated feature, - bug fix
#Updated translation: French (b00z00)
#Updated translation: Portuguese Brazilian by Yoshitake
-Fixed issue #3913: Clean installation failing with error message "Error getting tokens" (c_schmitz)
-Fixed issue: Json_decode error for PHP versions < 5.2 (c_schmitz)

Changes from 1.87RC2 (build 7886) to 1.87RC3 (build 7996) [27-11-2009] - Legend: + new feature, # updated feature, - bug fix
+New feature: Array_filter_exclude cascade functionality. If question 3 is excluding answers based on question 2, and question 2 is excluding answers based on question 1, then question 3 will also exclude answers based on question 1. (jcleeland)
+New feature: Added file permission checks on the ComfortUpdate updater (c_schmitz)
+New feature: When using the ComfortUpdate updater the changelog will be shown for the range you are updating (c_schmitz)
#Updated Feature: Token export now adds the attribute description in the header, next to the attribute_x fieldname (lemeur)
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
#Updated translation: Dutch Informal by Han Velthuis
#Updated translation: Dutch by Han Velthuis
#Updated translation: Finnish by Tapio Nurminen <tapio dot nurminen at tietokannat dot fi>
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Norwegian BokmÃƒÂ¥l. By Reidar ÃƒËœksnevad <reidar dot oksnevad at freecode dot no>
#Updated translation: Portuguese Brazilian by Yoshitake <yoshitake at pucsp dot br>
#Updated translation: Slovakian by Pavel Cerny  <pcerny at gmail dot com>
#Updated translation: Spanish (kadejo)
#Updated translation: Galician(calidonia)
#Updated translation: Polish (elisa-ls)
#Updated translation: Simplified Chinese (yooyooh)
-Fixed #3851: Layout Problem at Email Templates (lemeur)
-Fixed #3855: Exporting tokens fails when having additional attributes. (lemeur)
-Fixed #3870: issue with mod_auth_cas where mod_auth_cas is tampering with the  parameter. (lemeur)
-Fixed #3872: minor notices at survey activation in some cases (lemeur)
-Fixed issue #03858: Bug in new feature - wasn't checking for existence of string before evaluating string (jcleeland)
-Fixed issue #03875: Integritycheck: some strings are not ready to be translated (jcleeland)
-Fixed issue #03875: Integritycheck: some strings are not ready to be translated - changed translations to full sentences with placeholders (jcleeland)
-Fixed issue #3754: Notices at generating charts at statistics (c_schmitz)
-Fixed issue #3800: When using INSERTANS to insert a date the related date format from survey settings for that language is not used (c_schmitz)
-Fixed issue #3848: Configured default language of a user doesn't get used (c_schmitz)
-Fixed issue #3849: Field "Reminder sent?" is missing at edit tokens view (c_schmitz)
-Fixed issue #3850: Layout issue at creating additional token fields (c_schmitz)
-Fixed issue #3853: "Print answers" fails when using tokens (c_schmitz)
-Fixed issue #3854: Invitations are send even if a token is not valid yet/anymore (lemeur)
-Fixed issue #3882: Templating problems with List Radio Question type in RTL languages (c_schmitz)
-Fixed issue - various bugs in or caused by new feature including overwriting of saved responses with exclude_filter, and stray printing of characters with array_increasesamedecrease question type. (jcleeland)
-Fixed issue: Saving email settings is not working (c_schmitz)
-Fixed issue: Security vulnerability when using the mysqli driver (c_schmitz)
-Fixed issue: Semantic differential right text in array question not showing up (c_schmitz)
-Fixed unreported bug: import token from CSV always return a error message because it doesn't count total imported tokens. (lemeur)
-Fixed unreported issue: the condition editor displays duplicated conditions for multi-lingual surveys. (lemeur)


Changes from 1.87RC1 (build 7886) to 1.87RC2 (build 7922) [18-11-2009] - Legend: + new feature, # update feature, - bug fix
#Updated feature: Removed settings available in global settings from config.php - added $debug setting to config.php, added new database types and explanations to config.php (c_schmitz)
#Updated feature: Statistics dialogue was reworked (c_schmitz)
#Update of Croatian language (idobraca)
#Updated translation: German (c_schmitz)
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Polish (elisa-ls)
+New feature - array_filter now works for multiple option questions (jcleeland)
+New feature - array_filter_exclude - hides options based on answers to previous question. Works in opposite way to array_include (jcleeland)
-Fixed issue #3483: the forgot password screen is limitted in username and email length making it impossible to retrieve passwords for users with very long email addresses (thanks to Taliesen)
-Fixed issue #3852: Bug during update - wrong slash in update.php
-Fixed issue #3831: When adding HTML tag at text questions the survey crashes (c_schmitz)
-Fixed issue #03840: Error when using time control (jcleeland)
-Fixed issue #03841: Settings does not appear (timer text messages not appearing) - was more a bug with the entire textarea modification to the question attributes handling. Now solved. (jcleeland)
-Fixed issue #3833: Warning during a fresh install (c_schmitz)
-Fixed issue #3834: Date questions always are displayed as Drop Down Questions (c_schmitz)
-Fixed issue #3835: Javascript code embedded in question text is displayed at condition editor in question list (c_schmitz)
-Fixed issue #3836: Problem with mandatory date question (c_schmitz)
-Fixed issue #3837: Date questions at Statistics: some parts are differently aligned  (c_schmitz)
-Fixed issue #3839: Text not translated in token attribute field configuration (c_schmitz)
-Fixed issue 3843 "No default value set for token length" for MS SQL and Postgres (maziminke)
-Fixed issue 3843 "No default value set for token length" when creating a new survey. (maziminke)
+New feature: Emailmethod now configurable in global settings (c_schmitz)
+New feature: SMTP debug mode which can be switched on in global settings (c_schmitz)


Changes from 1.86 (build 7689) to 1.87RC1 (build 7886) [13-11-2009] - Legend: + new feature, # update feature, - bug fix
+New feature #3292 and #2857: slider min and max can now be displayed below the slider (using the slider_showminmax question attribute). Slider Left and Right text can be displayed before and after the slider (using the slider_separator question attribute and using specific answers format). (lemeur)
+New feature: Reworked question attributes -  they are shown as a form now and in fieldsets
+New feature #3758: Possibility to define a favicon for a template (el-matador-69)
+New feature: Reworked Saved responses and added table sorting capabilities (c_schmitz)
+New feature: Token length can now be set for each survey (maziminke)
+New feature: CSS to differentiate alternate rows by background colour and to highlight row when mouse is hovering over it in admin/styles/default/adminstyle.css (eric_t_cruiser)
+New feature: New ID to table, <thead> and <tbody> tags to improve accessibility and rendering (eric_t_cruiser)
+New feature #2359: On token import you can configure which fields are used for the duplicate check (c_schmitz)
+New feature #3367: Browse buttons in statistics for comments in Multiple Options with comment question type (patch by rocknrole) (c_schmitz)
+New feature #3467 and #2712: All token fields are now exported - on export you can specify certain filters now (c_schmitz)
+New feature #3555: Question attribute to hide a question - patch by flohack (c_schmitz)
+New feature #3686: Option to ignore duplicate label sets on import thus being able to copy existing label sets (c_schmitz)
+New feature #3724: Link to public statistics on home page survey list (c_schmitz)
+New feature: Optimized error handling on token import (c_schmitz)
+New feature: Separate on-top template RTL CSS file is now automatically included when a RTL language is used. New TAG {TEMPLATECSS} takes care of this and template.css (c_schmitz)
+New feature: Survey list is now sortable and Survey ID is shown as additional column (c_schmitz)
+New feature: Global settings dialog for most common settings from config-defaults.php
#Updated feature #2935: In Slider questions, you can make the slider cursor start at the middle position without setting the initial value of the answer (if the question is mandatory, the participant will the have to slide the cursor in order to proceed) (lemeur)
#Updated feature #3488: improvement in condition designer, the code is now displayed before the question text (usability improvement kindly provided by mdekker) (lemeur)
#Updated feature #3612: improve client-side performance while evaluating conditions on the same page (lemeur)
#Updated feature #3738: Update FCKEditor to v2.6.5 (lemeur)
#Updated feature #3799: Assure that there is always a submit button even if the last group has no questions (in group per page mode). See the new show_empty_group_if_the_last_group_is_hidden parameter in config-defaults.php (patch kindly provided by ronvdburg) (lemeur)
#Updated feature: In the LimeSurvey answer saving engine, the answer of a question that is hidden due to conditions is now recorded in DB as NULL instead of an empty string. (lemeur)
#Updated feature: Better handling of group description hiding in all-in-one surveys when all questions in the group are hidden by conditions. (lemeur)
#Updated translation: French (b00z00)
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Croatian (idobraca)
#Updated translation: Galician by Carlos Neira Cortizas (c_schmitz)
#Updated translation: German (c_schmitz)
#Updated translation: Lithuanian - sponsored by Silberauto.ee & LimeService.com (c_schmitz)
#Updated translation: Simplified Chinese (yooyooh)
#Updated translation: Polish (elisa-ls)
-Fixed issue #3805: Assignment of class attributes to <td> tags in dual-scale questions   (tpartner)
-Fixed issue #3821: Question Attribute "Column" isn't working   (tpartner)
-Fixed issue #3823: Layout problem after importing a question    (tpartner)
-Fixed issue #3825: List (radio) by columns not behaving    (tpartner)
-Fixed issue #3572: Statistics not equal to Pie Charts. (lemeur)
-Fixed issue #3735: In printable survey the multiflexi numerical is not translatable (Patch kindly provided by mdekker). (lemeur)
-Fixed issue #3739: Wrong order of conditionnal answers in Editor display (lemeur)
-Fixed issue #3742: Scenario number displayed as Default if only one scenario is used (lemeur)
-Fixed issue #3763: Double Tooltip at Condition Designer (lemeur)
-Fixed issue #3785: No possibility to set other field as condition for 'List Flexible Labels Dropdown' and 'List Flexible Labels (Radio)' questions (lemeur)
-Fixed issue #3818: Copy conditions function doesn't differentiate between upper and lower case. (lemeur)
-Fixed issue #2713: SPSS export of data is in a strange order (mdekker)
-Fixed issue #3718: Question preview differs in design from survey at runtime (c_schmitz)
-Fixed issue #3719: Little usability problem with automatic generated answer codes (c_schmitz)
-Fixed issue #3720: Repeated answer header design being different to normal header in bluengrey and default template (c_schmitz)
-Fixed issue #3747: Font size of suffix is too large in bluengrey-template  (c_schmitz)
-Fixed issue #3750: Captchas don't work anymore due to changed session handling (c_schmitz)
-Fixed issue #3753: Notice at VV-Import, if option "Import as not finalized answers?" is set at import (c_schmitz)
-Fixed issue #3761: Template 'default': font size too large for some question types (c_schmitz)
-Fixed issue #3784: Can't create survey if expiry date is set (jcleeland)
-Fixed issue #3795: Encoding problem at Question List of Condition Editor. (lemeur)
-Fixed issue #3798: importing conditions based on Token fields fails. (lemeur)
-Fixed issue #3806: do_array_flexible - Repeating header no answer produce one column too much (patch by beatjoerg) (c_schmitz)
-Fixed issue #3807: Evaluation of 'Not equal' conditions is different in Group by group mode. When the condition is Q1 is not 'Answer2', when no answer is given to Q1, the group title was displayed, but not the question. (lemeur)
-Fixed issue #3826: Progress bar text is not translated  (c_schmitz)
-Fixed issue #3827: Javascript code shown in question name at question dropdown list (c_schmitz)
-Fixed issue #3829: Error on survey submission when using assessments and a dual scale question type (c_schmitz)
-Fixed issue #3812: Layout issue at Up & Down Arrows  (tpartner)
-Fixed issue #3791: preview question is broken in latest development version (eric_t_cruiser)
-Fixed issue on Postgres update (c_schmitz)
-Fixed unreported issue: When deleting a template the template rights were not removed (c_schmitz)
-Fixed unreported issue: integrity check may be broken when specific conditions are used (conditions on token values). (lemeur)
-Fixed unreported issue: 'Not Equals -NoAnswer-' condition doesn't work in all-in-one surveys (lemeur)
-Fixed unreported issue: incorrect message at template import (lemeur)
-Fixed issue 03772: made the various elements of the question wrapping <DIV> available to question.pstpl if desired. (eric_t_cruiser)
-Fixed issue 03772: updated question.pstpl for all templates to include wrapping div previously supplied by LS system and the contents of question_start.pstpl. Removed redundant question_start.pstpl from all templates. (eric_t_cruiser)
-Fixed issue 03791: Made keywords work in question preview. (eric_t_cruiser)
-Fixed issue #03778: New lastpage property breaks SPSS export (mennodekker)
-Fixed issue #3772. Allowed all template keywords from question_start.pstpl to be used in question.pstpl (eric_t_cruiser)
-Fixed issue #3796: Slider Problem in IE - patch kindly provided by tpartner - THX! (el-matador-69)
-Fixed issue #3809: added missing asterisk css part at template.css for clear_logo template - THX to jelo! (el-matador-69)
-Fixed issue 03736: Removed extra <form> open tags from user template permission form in admin/userrighthandling.php. (eric_t_cruiser)
-Fixed issue minor error while checking for SoapClient Class (wahrendorff)

Changes from 1.85+ (build 7689) to 1.86 (build 7697) [28-09-2009] - Legend: + new feature, # update feature, - bug fix
-Fixed issue #3640: Mandatory question is not working on ranking type (c_schmitz)
-Fixed issue #3729: Survey startlanguage not being recorded accurately (c_schmitz)
#Updated translation: Polish (elisa-ls)
#Updated translation: Simplified Chinese (yooyooh)
#Updated translation: German (c_schmitz)

Changes from 1.85+ (build 7660) to 1.85+ (build 7689) [28-09-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Croatian and Italian language (idobraca)
#Updated translation: French. (b00z00)
#Updated translation: Dutch by Fred Dekkers. (jaycburton)
#Updated translation: German (c_schmitz)
-Fixed #03687: LDAP import of names with apostrophes fails. Patch kindly provided by sradman. (lemeur)
-Fixed #03699: disapearing '\' in conditions values (constant or regexp) when PHP magic_quotes are turned on. (lemeur)
-Fixed #03700: bug in the condition editor, cannot test for empty values. (lemeur)
-Fixed issue (unreported): Removed duplicate tip on question with comments (c_schmitz)
-Fixed issue (unreported): Start & expiry date were not respecting set time differences (c_schmitz)
-Fixed issue: Problems to edit certain pages in template editor when admin language is not English (c_schmitz)

Changes from 1.85+ (build 7636) to 1.85+ (build 7660) [21-09-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Dutch by Menno Dekker. (jaycburton)
#Updated translation: Finnish by Tapio Nurminen. (jaycburton)
#Updated translation: German (c_schmitz)
#Updated translation: Lithuanian by Piotras Cimmperman. (jaycburton)
#Updated translation: Swedish (maxz)
#Updated translation: French. (b00z00)
#Updated translation: Croatian and Italian language (idobraca)
-Fixed #03687: LDAP import of names with apostrophes fails. Patch kindly provided by sradman. (lemeur)
-Fixed #03699: disapearing '\' in conditions values (constant or regexp) when PHP magic_quotes are turned on. (lemeur)
-Fixed #03700: bug in the condition editor, cannot test for empty values. (lemeur)
-Fixed #3408: Question type F (array flexible labels) not shown right in printable survey if answer is empty (c_schmitz)
-Fixed issue #3667: Multibyte data saved as question marks even when collation correct in database (c_schmitz)
-Fixed issue #3680: Improve CSRF security alert to let users know what might cause the error (c_schmitz)
-Fixed issue #3685: Notice when captchas are activated in index.php (c_schmitz)
-Fixed issue (unreported): Removed duplicate tip on question with comments (c_schmitz)

Changes from 1.85+ (build 7591) to 1.85+ (build 7636) [15-09-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Estonian by Hando Riisikamp (c_schmitz)
#Updated translation: IT by Giuseppe De Marco. (jaycburton)
#Updated translation: IT-Formal by Giuseppe De Marco. (jaycburton)
#Updated feature: Question attribute "hide_tip" now available for question type N (numerical input), bugtracker ticket 3635. (maziminke)
-Fixed #03663: SurveyID INSERTANS in ExitUrl (both link and url description) isn't converted to new ID (lemeur)
-Fixed another SQL errors while importing surveys with INSERTANS tags and magic_quotes on. (lemeur)
-Fixed issue #03529: END URL - thanks janokary (jcleeland)
-Fixed issue #03645: Ranking question show popup when $showpopus = 0; (jcleeland)
-Fixed issue #03660: Token import accepts invalid characters in the token value (c_schmitz)
-Fixed issue #03674: Slider having value "0" is shown as "no answer" when using SGQA at a following question (lemeur)
-Fixed issue #3596: IE8 crashing on filtered multi flexi text array due to malformed HTML - thank you Microsoft for having wasted several hours of my life with your badly-coded browser (c_schmitz)
-Fixed issue #3618: Can't load temporary saved survey on MSSQL (c_schmitz)
-Fixed issue #3637: Per default the form tag will now try to disable auto-completion on surveys - this makes sense where people are using the same PC and browser to fill out surveys. (c_schmitz)
-Fixed issue #3643: Superadmin cannot VVExport surveys owned by others (thanks to ITEd) (c_schmitz)
-Fixed issue #3651: Date question behaving erratic on inactive survey when going forward and back. Fixed date question unable to handle very old dates before 1970 (on Windows) and 1901 on Linux (c_schmitz)
-Fixed issue #3655: Reordering groups & questions does not work under certain conditions (c_schmitz)
-Fixed issue #3658: Import fails with SQL error when magic_quotes is activated on the server (c_schmitz)
-Fixed issue #3672: Error message after last 5 point array message (c_schmitz)

Changes from 1.85+ (build 7548) to 1.85+ (build 7591) [08-09-2009] - Legend: + new feature, # update feature, - bug fix
#Update of Croatian language (idobraca)
#Updated Language: French. (b00z00)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
-Fixed issue #03542: ORed conditions based on multiple choices questions options are not correctly evaluated in 'question by question' surveys and sometimes in 'group by group' surveys (lemeur)
-Fixed issue #3575: On dataentry screen answers are duplicated if survey has multiple languages (c_schmitz)
-Fixed issue #3596: Array_filter attribute not working correctly  when used with a Multiflexi array question  (c_schmitz)
-Fixed issue #3610: Question preview not identical to the survey because question CSS class was missing (c_schmitz)
-Fixed issue (unreported): Error Message when using Huge free text question type (c_schmitz)
-Fixed issue 03600: it's possible to delete a token without a warning (pressing the red cross). You should include a security hint: Are you sure to delte this token? (paraya)
-Fixed issue: Removed obsolete PHP4 limit on import which breaks on very big survey structure data fields (c_schmitz)
-fixed #3641: general style error at all print templates ==> corrected hevetica to helvetica (el-matador-69)
-fixed #3644: missing '>' in statistic_user.php leaded to ugly results in all IE Browsers (el-matador-69)

Changes from 1.85+ (build 7524) to 1.85+ (build 7548) [31-08-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: French (b00z00)
#Updated translation: Polish (elisa-ls)
#Updated translation: Dutch Informal by Gert Mensing. (jaycburton)
#Updated translation: Dutch by Menno Dekker (jaycburton)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Russian by Alexander Matrunich. (jaycburton)
#Updated translation: Slovenian by Tomi Zurej. (jaycburton)
#Updated translation: Swedish (maxz)
-Fixed issue #3394: Drop down datefield behaving strange when repeatedly submitted and a mandatory block occurs (c_schmitz)
-Fixed issue #3586: Added alt tags on text input boxes for improved accessibility (c_schmitz)
-Fixed issue #3588: User with survey right 'Browse responses' can delete/modify saved answers (c_schmitz)
-Fixed issue #3596: Array_filter attribute not working correctly  when used with a Multiflexi array question (c_schmitz)
-Fixed issue #3602: Valid from and Valid until fields in tokens don't accept different time than 0:00 (c_schmitz)



Changes from 1.85+ (build 7454) to 1.85+ (build 7523) [24-08-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
#Updated Language: French. (b00z00)
#Updated language: Greek (el). By Yiannos Katsirintakis. (kadejo)
#Updated language: Spanish (es) (kadejo)
#Updated language: Chinese Simplified (yooyooh)
#Updated translation: Sinhalese kindly provided by Chinthaka Jayasundara, Kasun Wickramasuriya and Sachini Shakila (c_schmitz)
#Updated translation: Swedish (maxz)
-Fixed issue #3573: xhtml does not validate because of missing space in qanda.php (el-matador-69)
-Fixed issue #3574: Apostrophe (single quote) in free text crashes the survey when magic quotes are off (c_schmitz)
-Fixed issue #3584: MS SQL Error when trying to export results to application (c_schmitz)
-Fixed issue #3487: NULL database values for start/expiry dates are not exported correctly (c_schmitz)
-Fixed issue #3590: Quota cannot be imported or exported (jcleeland)
-Fixed issue #3389: Respondents can re-start survey (using tokens) after terminating via quota conditions (c_schmitz)
-Fixed issue #3460: Apostrophes in additional attributes of survey participants table errors on edit (c_schmitz)
-Fixed issue #3472: Import of JavaScript with "\n" in strings converts "\n" to real newlines (c_schmitz)
-Fixed issue #3550: Multiple options with comments missing browse buttons in statistics (c_schmitz)
-Fixed issue #3568: Files with hyphens in their name cannot be deleted (c_schmitz)
-Fixed issue #3580: Start/end date prevent the preview of a survey even if it is not active yet (c_schmitz)
-Fixed issue (unreported) where deleting survey did not delete related quota information. (jcleeland)
-Fixed issue (unreported) when importing a really old PHPSurvey survey (c_schmitz)
-Fixed issue (unreported) html warning "unresolved </strong>" in viewanswers. Removed offending item. (jcleeland)



Changes from 1.85+ (build 7393) to 1.85+ (build 7454) [12-08-2009] - Legend: + new feature, # update feature, - bug fix
+New feature (minor) Added id to registration form "Continue" button to allow for DOM access (jcleeland)
#Updated translation: French (b00z00)
#Updated translation: Slovak by Marek Haller. (jaycburton)
#Updated translation: Chinese Simplified (yooyooh)
#Updated feature: when adding a label set in the languages listbox appears the session language by defect instead of English (paraya)
#Updated translation: German (c_schmitz)
-Fixed an issue with preg_match and conditions (c_schmitz)
-Fixed issue #3557: Saved answers get deleted across survey when the result id is matching (c_schmitz)
-Fixed issue: Automatic code counting for labels now working (c_schmitz)
-Fixed issue: HTML validating correctly now on survey creation (c_schmitz)
-Fixed issue: Survey data getting lost during survey creation when survey title is not set  (c_schmitz)
-Fixed issue: When creating a group and the group title was forgotten then the data was lost (c_schmitz)
-Fixed issue: When creating a question and the question code was forgotten then the data was lost (c_schmitz)
-Fixed issue #3533: When not answering a mandatory question in All-in-one survey mode and using captchas you are getting the captcha page again (c_schmitz)
-Fixed issue #3548: Question attribute page_break cannot be used on all question types (mennodekker)
-Fixed issue #3491: CAPTCHA - verification not found when rewrite is activated (c_schmitz)
-Fixed issue #3536: SPSS export incorrectly exports numerical only labelsets as alpha fields (mennodekker)
-Fixed issue #3545: MSSQL error when trying to view public statistics for a survey. (c_schmitz)
-Fixed issue #3546: Re-editing an assessment with embedded Flash object causes the Flash object to break (c_schmitz)
-Fixed issue #3458: Translation problem when you print answers (paraya)
-Fixed issue #3517: When adding new questions they can't be added at the beginning (paraya)
-Fixed issue #3444: fields in reminder will not be replaced (wahrendorff)
-Fixed issue #3493: removeBOM is undefined (wahrendorff)


Changes from 1.85+ (build 7337) to 1.85+ (build 7393) [03-08-2009] - Legend: + new feature, # update feature, - bug fix

#Updated translation: Croatian. (idobraca)
#Updated translation: Czech by Vladimir Braun. (jaycburton)
#Updated translation: Italian. (idobraca)
#Updated translation: French. (b00z00)
#Updated translation: Polish(elisa-ls)
#Updated translation: Slovak by Marek HallÃƒÂ©r. (jaycburton)
#Updated translation: Spanish (es) (kadejo)
+New feature: CSS class for cells within array (flexible label) question type. This way cells within the table can have a background color assigned using CSS. (maziminke)
-Fixed bug #03459: Using a "lower than" > character as code within label set leads to a save error in the end user survey form (jcleeland)
-Fixed issue # 03514: Font size of suffix is too large in template bluengrey (c_schmitz)
-Fixed issue #3436: Corrupted progress box with RTL languages in mint_idea template - patch by kabapy (c_schmitz)
-Fixed issue #3439: Javascript is disabled on saving an assessment (c_schmitz)
-Fixed issue #3445: Disabling going to previous q: does not work if back button used in browser - idea by chrizzler (c_schmitz)
-Fixed issue #3446: Create indexes on tokens (c_schmitz)
-Fixed issue #3452: LimeSurvey and PHP 5.3 (c_schmitz)
-Fixed issue #3468: Error while exporting survey structure on MSSQL server (c_schmitz)
-Fixed issue #3507: Results for Array (flexible labels) show HTML when viewing a single answer (c_schmitz)
-Fixed issue #3510: A group made only of conditional questions will fail to show in Internet Explorer with some templates (lemeur)
-Fixed issue #3513: Dual Scale Matrix: Radio Buttons not centered at Question Preview  (c_schmitz)
-Fixed issue #3515: Label set assessment values are not exported correctly (c_schmitz)
-Fixed issue #3518: Can't import conditions based on token:attributtes (c_schmitz)
-Fixed issue #3519: Graph legends are not visible well on IE6 (c_schmitz)
-Fixed issue #3526: Unable to use tokens with hyphens in (c_schmitz)
-Fixed issue #3527: Due to SQL bad syntax, survey can not be activated at all under PostgreSQL (any version). Tested on PostgreSQL and MySQL. (kadejo)
